
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest4 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test001"); }


    double[] d_array0 = null;
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test002"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    double d5 = openMapRealMatrix2.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.multiplyEntry((-1048576), (-532980225), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test003"); }


    org.apache.commons.math.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0, 4, 36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test004"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    int i2 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test005"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field3 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.power((-127));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field3);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test006"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    double[] d_array4 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.RealVector realVector8 = realVector5.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = arrayRealVector10.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = arrayRealVector9.append(arrayRealVector10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector0, arrayRealVector13);
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.RealVector realVector19 = arrayRealVector0.append(realVector18);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction20 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector21 = arrayRealVector0.map(univariateFunction20);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector0.addToEntry(2113930177, 1.2017468266102238d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector21);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test007"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    int i2 = array2DRowFieldMatrix1.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array4 = array2DRowFieldMatrix1.getRow((-1869155408));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test008"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix5 = blockRealMatrix2.scalarMultiply(10.0d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i10 = openMapRealMatrix9.getColumnDimension();
    int i11 = openMapRealMatrix9.getRowDimension();
    int i12 = openMapRealMatrix9.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setColumnMatrix(1650129271, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test009"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    org.apache.commons.math.FieldElement fieldElement5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix6 = array2DRowFieldMatrix1.scalarMultiply(fieldElement5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test010"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.07347473427972402d, 0.017453292447995462d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07347473427972402d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test011"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field7 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix8 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field7);
    int i9 = array2DRowFieldMatrix8.getColumnDimension();
    double[] d_array12 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array12);
    double[][] d_array_array15 = array2DRowRealMatrix14.getDataRef();
    double[][] d_array_array16 = array2DRowRealMatrix14.getDataRef();
    double[] d_array19 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array19);
    double[][] d_array_array22 = array2DRowRealMatrix21.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix14.subtract(array2DRowRealMatrix21);
    java.lang.String str24 = array2DRowRealMatrix21.toString();
    double[] d_array28 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector29 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array28);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix30 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array28);
    double[][] d_array_array31 = array2DRowRealMatrix30.getDataRef();
    double[] d_array34 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair37 = new org.apache.commons.math.optimization.RealPointValuePair(d_array34, 0.0d);
    double[] d_array38 = realPointValuePair37.getPointRef();
    double[] d_array39 = array2DRowRealMatrix30.preMultiply(d_array38);
    double[][] d_array_array40 = array2DRowRealMatrix30.getData();
    double d41 = array2DRowRealMatrix30.getFrobeniusNorm();
    array2DRowRealMatrix21.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix30);
    boolean b43 = array2DRowFieldMatrix8.equals((java.lang.Object)array2DRowRealMatrix21);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix44 = array2DRowFieldMatrix1.multiply(array2DRowFieldMatrix8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str24.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test012"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    double[][] d_array_array4 = blockRealMatrix2.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = blockRealMatrix2.scalarAdd(4.61512051684126d);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = blockRealMatrix2.scalarMultiply(4.61512051684126d);
    java.io.ObjectInputStream objectInputStream10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.deserializeRealVector((java.lang.Object)4.61512051684126d, "Array2DRowRealMatrix{{1.0},{-1.0}}", objectInputStream10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test013"); }


    java.text.NumberFormat numberFormat3 = null;
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math.linear.RealVectorFormat("hi!", "BlockRealMatrix{{0.0},{0.0},{0.0}}", "org.apache.commons.math.exception.NotStrictlyPositiveException: -1 is smaller than, or equal to, the minimum (0)", numberFormat3);
    double[] d_array7 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector8 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array7);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(realVector8);
    org.apache.commons.math.linear.RealVector realVector11 = realVector8.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math.linear.ArrayRealVector(realVector8);
    double[] d_array15 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector16 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array15);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math.linear.ArrayRealVector(realVector16);
    java.lang.String str18 = arrayRealVector17.toString();
    double[] d_array23 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector24 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math.linear.RealVector realVector26 = realVector24.mapSubtract(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector27 = arrayRealVector17.combineToSelf(2.2250738585072014E-308d, 1.2952995656795021E29d, realVector26);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector28 = arrayRealVector12.append(arrayRealVector27);
    java.util.Iterator iterator29 = arrayRealVector28.sparseIterator();
    org.apache.commons.math.linear.RealVector realVector30 = arrayRealVector28.unitVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector32 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector28, true);
    java.lang.StringBuffer stringBuffer33 = null;
    java.text.FieldPosition fieldPosition34 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer35 = realVectorFormat4.format((org.apache.commons.math.linear.RealVector)arrayRealVector32, stringBuffer33, fieldPosition34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "{1; -1}"+ "'", str18.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test014"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    org.apache.commons.math.linear.RealMatrix realMatrix4 = openMapRealMatrix2.scalarMultiply(0.6249896976611364d);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = openMapRealMatrix2.walkInColumnOrder(realMatrixPreservingVisitor5, (-1037659958), (-906994533), 35, (-2109352879));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test015"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array16);
    double[] d_array19 = array2DRowRealMatrix13.preMultiply(d_array16);
    double[][] d_array_array20 = array2DRowRealMatrix13.getData();
    double[] d_array23 = new double[] { (-1.0d) };
    org.apache.commons.math.linear.RealMatrix realMatrix24 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array23);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair27 = new org.apache.commons.math.optimization.RealPointValuePair(d_array23, 1.2952995656795021E29d, false);
    double[] d_array28 = realPointValuePair27.getPoint();
    double d29 = realPointValuePair27.getValue();
    double[] d_array30 = realPointValuePair27.getPointRef();
    double[] d_array33 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector34 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array33);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math.linear.ArrayRealVector(realVector34);
    org.apache.commons.math.linear.RealVector realVector37 = realVector34.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math.linear.ArrayRealVector(realVector34);
    double[] d_array41 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math.linear.ArrayRealVector(realVector42);
    java.lang.String str44 = arrayRealVector43.toString();
    double[] d_array49 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector50 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array49);
    org.apache.commons.math.linear.RealVector realVector52 = realVector50.mapSubtract(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector53 = arrayRealVector43.combineToSelf(2.2250738585072014E-308d, 1.2952995656795021E29d, realVector52);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector54 = arrayRealVector38.append(arrayRealVector53);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector55 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector57 = arrayRealVector55.mapSubtractToSelf(0.0d);
    boolean b58 = arrayRealVector53.equals((java.lang.Object)arrayRealVector55);
    double[] d_array60 = new double[] {  };
    double[] d_array61 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship63 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array67 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint69 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array61, Double.POSITIVE_INFINITY, relationship63, d_array67, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint71 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array60, relationship63, 100.0d);
    double d72 = linearConstraint71.getValue();
    org.apache.commons.math.optimization.linear.Relationship relationship73 = linearConstraint71.getRelationship();
    org.apache.commons.math.optimization.linear.Relationship relationship74 = relationship73.oppositeRelationship();
    java.text.NumberFormat numberFormat78 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat79 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat78);
    java.lang.String str80 = realVectorFormat79.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector81 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector83 = arrayRealVector81.mapSubtractToSelf(0.0d);
    java.lang.String str84 = realVectorFormat79.format((org.apache.commons.math.linear.RealVector)arrayRealVector81);
    org.apache.commons.math.linear.RealVector realVector86 = arrayRealVector81.mapDivideToSelf(0.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint88 = new org.apache.commons.math.optimization.linear.LinearConstraint((org.apache.commons.math.linear.RealVector)arrayRealVector55, 0.6249896976611364d, relationship74, (org.apache.commons.math.linear.RealVector)arrayRealVector81, 0.946963936374386d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint90 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array30, relationship74, 1.5707963267948966d);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix13.setRow(2113930177, d_array30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.2952995656795021E29d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "{1; -1}"+ "'", str44.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + ""+ "'", str80.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "hi!"+ "'", str84.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector86);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test016"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.6249896976611364d, 0.946963936374386d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test017"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(93648.04747608298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test018"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.FieldVector fieldVector6 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnVector(35, fieldVector6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test019"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field3 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement5 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixPreservingVisitor4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field3);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test020"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-100L), (-10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-10L));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test021"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.5358982356953318d, 1.5293379817722998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5293379817722998d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test022"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.FieldElement fieldElement9 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry((-1023), 2113930177, fieldElement9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test023"); }


    double d3 = org.apache.commons.math.util.Precision.round((-0.10649231749428491d), (-36), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0E36d));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test024"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector((-785855953), 2.718281828459045d);
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test025"); }


    org.apache.commons.math.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math.linear.MatrixDimensionMismatchException(0, 0, 0, 1);
    int i5 = matrixDimensionMismatchException4.getExpectedColumnDimension();
    int i6 = matrixDimensionMismatchException4.getWrongRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      int i8 = matrixDimensionMismatchException4.getWrongDimension(2113930177);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test026"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair5 = new org.apache.commons.math.optimization.RealPointValuePair(d_array2, 0.0d);
    double[] d_array6 = realPointValuePair5.getPointRef();
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array6);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector(d_array6);
    org.apache.commons.math.linear.RealVector realVector10 = arrayRealVector8.mapDivide(1.295299565679502E29d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test027"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d13 = blockRealMatrix12.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d17 = blockRealMatrix16.getFrobeniusNorm();
    double d18 = blockRealMatrix16.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix12.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix16);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix19.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix9.subtract(blockRealMatrix20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test028"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    int i8 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix2.add(openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = openMapRealMatrix6.copy();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = openMapRealMatrix11.walkInRowOrder(realMatrixPreservingVisitor12, (-2109352879), (-906994533), 785855953, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix11);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test029"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector20);
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math.linear.ArrayRealVector(realVector25);
    org.apache.commons.math.linear.RealVector realVector28 = realVector25.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math.linear.ArrayRealVector(realVector25);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector30 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = arrayRealVector30.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector33 = arrayRealVector29.append(arrayRealVector30);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector20, arrayRealVector33);
    java.util.Iterator iterator35 = arrayRealVector33.sparseIterator();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction37 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction((org.apache.commons.math.linear.RealVector)arrayRealVector33, Double.NaN);
    org.apache.commons.math.linear.RealVector realVector38 = arrayRealVector33.unitVector();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setRowVector((-36), (org.apache.commons.math.linear.RealVector)arrayRealVector33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test030"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.8189894035458565E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0422041580219652E-10d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test031"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test032"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix18.getData();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[][] d_array_array28 = array2DRowRealMatrix26.getDataRef();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[][] d_array_array34 = array2DRowRealMatrix33.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = array2DRowRealMatrix26.subtract(array2DRowRealMatrix33);
    double[] d_array38 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array38);
    double[][] d_array_array41 = array2DRowRealMatrix40.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = array2DRowRealMatrix33.subtract(array2DRowRealMatrix40);
    org.apache.commons.math.linear.RealMatrix realMatrix43 = array2DRowRealMatrix18.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix42);
    double[] d_array46 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array46);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[][] d_array_array50 = array2DRowRealMatrix48.getDataRef();
    double[] d_array53 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector54 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array53);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix55 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array53);
    double[][] d_array_array56 = array2DRowRealMatrix55.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = array2DRowRealMatrix48.subtract(array2DRowRealMatrix55);
    double[] d_array60 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector61 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array60);
    org.apache.commons.math.linear.RealMatrix realMatrix62 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array60);
    double[] d_array63 = array2DRowRealMatrix57.preMultiply(d_array60);
    double d64 = array2DRowRealMatrix57.getFrobeniusNorm();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = array2DRowRealMatrix42.subtract(array2DRowRealMatrix57);
    org.apache.commons.math.linear.RealMatrix realMatrix66 = array2DRowRealMatrix42.transpose();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor67 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d72 = array2DRowRealMatrix42.walkInColumnOrder(realMatrixChangingVisitor67, (-1048576), 20, (-1), (-36));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test033"); }


    short s2 = org.apache.commons.math.util.MathUtils.copySign((short)(-1), (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test034"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix11.getData();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor22 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d27 = array2DRowRealMatrix11.walkInRowOrder(realMatrixPreservingVisitor22, 20, (-1037659958), 901951979, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test035"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array5 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement7 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array5);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test036"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixPreservingVisitor1, (-785855953), (-1869155408), 1650129271, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test037"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    double d12 = blockRealMatrix6.getNorm();
    double d13 = blockRealMatrix6.getNorm();
    double d14 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix16 = blockRealMatrix6.getRowMatrix(1);
    int i17 = blockRealMatrix16.getColumnDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d21 = blockRealMatrix20.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix16.multiply(blockRealMatrix20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test038"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.0000001f, (java.lang.Number)0.749145808467651d, true);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test039"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix1 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test040"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    int i4 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = blockRealMatrix5.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix11 = blockRealMatrix5.getSubMatrix(0, 3, 3, (-20));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix6);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test041"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i11 = openMapRealMatrix10.getColumnDimension();
    int i12 = openMapRealMatrix10.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix6.add(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.subtract(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix16);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix17);
    double[] d_array21 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array21);
    double[][] d_array_array24 = array2DRowRealMatrix23.getDataRef();
    double[] d_array27 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair30 = new org.apache.commons.math.optimization.RealPointValuePair(d_array27, 0.0d);
    double[] d_array31 = realPointValuePair30.getPointRef();
    double[] d_array32 = array2DRowRealMatrix23.preMultiply(d_array31);
    double[][] d_array_array33 = array2DRowRealMatrix23.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array33);
    double[] d_array37 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector38 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array37);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix39 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array37);
    double[][] d_array_array40 = array2DRowRealMatrix39.getDataRef();
    double[][] d_array_array41 = array2DRowRealMatrix39.getDataRef();
    double[] d_array44 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector45 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array44);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array44);
    double[][] d_array_array47 = array2DRowRealMatrix46.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = array2DRowRealMatrix39.subtract(array2DRowRealMatrix46);
    java.lang.String str49 = array2DRowRealMatrix46.toString();
    double[] d_array53 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector54 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array53);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix55 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array53);
    double[][] d_array_array56 = array2DRowRealMatrix55.getDataRef();
    double[] d_array59 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector60 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array59);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair62 = new org.apache.commons.math.optimization.RealPointValuePair(d_array59, 0.0d);
    double[] d_array63 = realPointValuePair62.getPointRef();
    double[] d_array64 = array2DRowRealMatrix55.preMultiply(d_array63);
    double[][] d_array_array65 = array2DRowRealMatrix55.getData();
    double d66 = array2DRowRealMatrix55.getFrobeniusNorm();
    array2DRowRealMatrix46.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix55);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix68 = blockRealMatrix34.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix55);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)openMapRealMatrix18, (org.apache.commons.math.linear.AnyMatrix)blockRealMatrix68);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str49.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix68);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test042"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    double d10 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = blockRealMatrix2.walkInOptimizedOrder(realMatrixPreservingVisitor11, 0, 4, (-1048576), (-1037659958));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test043"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix3 = array2DRowFieldMatrix1.transpose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test044"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    java.io.ObjectOutputStream objectOutputStream5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealVector(realVector3, objectOutputStream5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test045"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    java.lang.Object obj5 = null;
    boolean b6 = openMapRealMatrix2.equals(obj5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    double[] d_array11 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector12 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array11);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math.linear.ArrayRealVector(realVector12);
    java.lang.String str14 = arrayRealVector13.toString();
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math.linear.ArrayRealVector(realVector18);
    org.apache.commons.math.linear.RealVector realVector21 = realVector18.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix22 = arrayRealVector13.outerProduct(realVector18);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.setRowMatrix(100, realMatrix22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "{1; -1}"+ "'", str14.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test046"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.2952995656794991E29d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 96);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test047"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix5 = blockRealMatrix2.scalarMultiply(10.0d);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = blockRealMatrix2.walkInRowOrder(realMatrixChangingVisitor6, 3, 3, 52, (-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test048"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    double d19 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix2.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship27 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array31 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint33 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array25, Double.POSITIVE_INFINITY, relationship27, d_array31, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math.linear.ArrayRealVector(d_array25, false);
    org.apache.commons.math.linear.RealVector realVector37 = arrayRealVector35.append(11.548739357257746d);
    blockRealMatrix23.setRowVector(0, realVector37);
    double[][] d_array_array39 = blockRealMatrix23.getData();
    double d40 = blockRealMatrix23.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix23.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix43 = blockRealMatrix23.scalarMultiply(0.8842138921066355d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = blockRealMatrix20.add(blockRealMatrix23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix44.getRowMatrix((-2109352879));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix44);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test049"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.015837661636782366d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.7641934137864657E-4d));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test050"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector(36, 67.03300000000002d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2, false);
    double[] d_array5 = arrayRealVector2.getDataRef();
    double[] d_array7 = new double[] {  };
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship10 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array14 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint16 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array8, Double.POSITIVE_INFINITY, relationship10, d_array14, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint18 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array7, relationship10, 100.0d);
    double d19 = linearConstraint18.getValue();
    org.apache.commons.math.optimization.linear.Relationship relationship20 = linearConstraint18.getRelationship();
    java.lang.String str21 = relationship20.toString();
    double[] d_array23 = new double[] { (-1.0d) };
    org.apache.commons.math.linear.RealMatrix realMatrix24 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array23);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair27 = new org.apache.commons.math.optimization.RealPointValuePair(d_array23, 1.2952995656795021E29d, false);
    double[] d_array28 = realPointValuePair27.getPoint();
    double[] d_array29 = realPointValuePair27.getPointRef();
    double[] d_array30 = new double[] {  };
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship33 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array37 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint39 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array31, Double.POSITIVE_INFINITY, relationship33, d_array37, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint41 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array30, relationship33, 100.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector42 = new org.apache.commons.math.linear.ArrayRealVector(d_array29, d_array30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint44 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array5, 24.953298496035725d, relationship20, d_array29, 0.8813735870195432d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "<="+ "'", str21.equals("<="));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test051"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement11 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor6, 10, 0, 0, (-532980225));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test052"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)11013.23292010332d);
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixPreservingVisitor5, (-20), 36, (-2109352879), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test053"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.5889162309301506d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9726256603968135d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test054"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.9999999f, (-1869155408));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test055"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement13 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor8, 35, (-785855953), (-532980225), 20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test056"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0, arrayRealVector3);
    arrayRealVector0.set(0.10218111879143155d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector7);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector9);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector7, arrayRealVector10);
    int i12 = arrayRealVector7.getMaxIndex();
    double d13 = arrayRealVector0.getLInfDistance((org.apache.commons.math.linear.RealVector)arrayRealVector7);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair19 = new org.apache.commons.math.optimization.RealPointValuePair(d_array16, 0.0d);
    double[] d_array20 = realPointValuePair19.getPointRef();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math.linear.ArrayRealVector(d_array20, false);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector22);
    int i24 = arrayRealVector23.getDimension();
    // The following exception was thrown during execution in test generation
    try {
      double d25 = arrayRealVector7.getDistance((org.apache.commons.math.linear.RealVector)arrayRealVector23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test057"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    double[] d_array4 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.RealVector realVector8 = realVector5.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = arrayRealVector10.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = arrayRealVector9.append(arrayRealVector10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector0, arrayRealVector13);
    java.util.Iterator iterator15 = arrayRealVector13.sparseIterator();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction17 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction((org.apache.commons.math.linear.RealVector)arrayRealVector13, Double.NaN);
    org.apache.commons.math.linear.RealVector realVector18 = linearObjectiveFunction17.getCoefficients();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector19);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector21);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector19, arrayRealVector22);
    int i24 = arrayRealVector19.getMaxIndex();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector25 = arrayRealVector19.copy();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector28 = new org.apache.commons.math.linear.ArrayRealVector(36, 11.548739357257746d);
    org.apache.commons.math.linear.RealVector realVector30 = arrayRealVector28.append(0.015382871033603784d);
    boolean b31 = arrayRealVector28.isInfinite();
    boolean b32 = arrayRealVector19.equals((java.lang.Object)b31);
    // The following exception was thrown during execution in test generation
    try {
      double d33 = linearObjectiveFunction17.getValue((org.apache.commons.math.linear.RealVector)arrayRealVector19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test058"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-1.0E36d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test059"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.06250001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test060"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    int i5 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix8 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i9 = openMapRealMatrix8.getColumnDimension();
    int i10 = openMapRealMatrix8.getColumnDimension();
    int i11 = openMapRealMatrix8.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = openMapRealMatrix8.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix12.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix15 = openMapRealMatrix12.getColumnMatrix(2);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.add(openMapRealMatrix12);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array18 = openMapRealMatrix16.getColumn((-532980225));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test061"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    double d19 = blockRealMatrix2.getNorm();
    double[][] d_array_array22 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(0, 0);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setSubMatrix(d_array_array22, (-36), (-785855953));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test062"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[] d_array23 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector24 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array23);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[][] d_array_array27 = array2DRowRealMatrix25.getDataRef();
    double[] d_array30 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array30);
    double[][] d_array_array33 = array2DRowRealMatrix32.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = array2DRowRealMatrix25.subtract(array2DRowRealMatrix32);
    java.lang.String str35 = array2DRowRealMatrix32.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix36 = array2DRowRealMatrix18.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix32);
    java.text.NumberFormat numberFormat41 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat42 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat41);
    java.lang.String str43 = realVectorFormat42.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector44 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector46 = arrayRealVector44.mapSubtractToSelf(0.0d);
    java.lang.String str47 = realVectorFormat42.format((org.apache.commons.math.linear.RealVector)arrayRealVector44);
    java.lang.String str48 = realVectorFormat42.getSeparator();
    double[] d_array51 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector52 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array51);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector53 = new org.apache.commons.math.linear.ArrayRealVector(realVector52);
    java.lang.String str54 = arrayRealVector53.toString();
    java.lang.String str55 = realVectorFormat42.format((org.apache.commons.math.linear.RealVector)arrayRealVector53);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix18.setColumnVector(35, (org.apache.commons.math.linear.RealVector)arrayRealVector53);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str35.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + ""+ "'", str43.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "hi!"+ "'", str47.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + ""+ "'", str48.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "{1; -1}"+ "'", str54.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "1-1hi!"+ "'", str55.equals("1-1hi!"));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test063"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor4, (-1048576), 2, (-1048576), 785855953);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test064"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    java.lang.String str5 = arrayRealVector4.toString();
    boolean b6 = arrayRealVector4.isInfinite();
    org.apache.commons.math.linear.RealVector realVector7 = arrayRealVector4.unitVector();
    double[] d_array10 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector11 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array10);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array10);
    double[][] d_array_array13 = array2DRowRealMatrix12.getDataRef();
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair19 = new org.apache.commons.math.optimization.RealPointValuePair(d_array16, 0.0d);
    double[] d_array20 = realPointValuePair19.getPointRef();
    double[] d_array21 = array2DRowRealMatrix12.preMultiply(d_array20);
    double[] d_array23 = new double[] {  };
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship26 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array30 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint32 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array24, Double.POSITIVE_INFINITY, relationship26, d_array30, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint34 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array23, relationship26, 100.0d);
    double[] d_array37 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector38 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array37);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair40 = new org.apache.commons.math.optimization.RealPointValuePair(d_array37, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector42 = new org.apache.commons.math.linear.ArrayRealVector(d_array37, false);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array37);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint45 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array21, 11013.0d, relationship26, d_array37, 0.881373587019543d);
    double[] d_array48 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector49 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array48);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array48);
    double[][] d_array_array51 = array2DRowRealMatrix50.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix53 = array2DRowRealMatrix50.scalarAdd(1.2626272556789118d);
    double[] d_array56 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector57 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array56);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair59 = new org.apache.commons.math.optimization.RealPointValuePair(d_array56, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector61 = new org.apache.commons.math.linear.ArrayRealVector(d_array56, false);
    int i62 = org.apache.commons.math.util.MathUtils.hash(d_array56);
    double[] d_array63 = array2DRowRealMatrix50.preMultiply(d_array56);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array56);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math.linear.ArrayRealVector(d_array21, d_array56);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector65, false);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector68 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector4, (org.apache.commons.math.linear.RealVector)arrayRealVector67);
    org.apache.commons.math.linear.RealVector realVector70 = arrayRealVector67.mapSubtractToSelf(10.341444496789954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{1; -1}"+ "'", str5.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector70);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test065"); }


    int i2 = org.apache.commons.math.util.FastMath.min(96, (-2109352879));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2109352879));

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test066"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d6 = blockRealMatrix5.getFrobeniusNorm();
    double[][] d_array_array7 = blockRealMatrix5.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix5.scalarAdd(4.61512051684126d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix2.subtract(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = null;
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix10.setRowMatrix((-785855953), blockRealMatrix12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test067"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    java.lang.String str14 = array2DRowRealMatrix11.toString();
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix19);
    org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix20.scalarAdd(1.2952995656795021E29d);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix20.addToEntry((-1037659958), (-1869155408), 1.0422041580219652E-10d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str14.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test068"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.Field field5 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field5);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array7 = array2DRowFieldMatrix6.getDataRef();
    boolean b9 = array2DRowFieldMatrix6.equals((java.lang.Object)11013.23292010332d);
    boolean b10 = array2DRowFieldMatrix6.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix11 = array2DRowFieldMatrix1.add(array2DRowFieldMatrix6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test069"); }


    java.text.NumberFormat numberFormat4 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math.linear.RealVectorFormat(numberFormat4);
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat6 = new org.apache.commons.math.linear.RealVectorFormat("", "1-1hi!", "Array2DRowRealMatrix{{1.0},{-1.0}}", numberFormat4);
    java.lang.StringBuffer stringBuffer7 = null;
    java.text.FieldPosition fieldPosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = org.apache.commons.math.util.CompositeFormat.formatDouble(0.09284446227996836d, numberFormat4, stringBuffer7, fieldPosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test070"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array7 = array2DRowFieldMatrix1.getRow((-1869155408));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test071"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix2.copy();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = blockRealMatrix10.walkInOptimizedOrder(realMatrixPreservingVisitor11, 4, (-1048576), 0, (-532980225));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test072"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    double[] d_array15 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector16 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    double[][] d_array_array18 = array2DRowRealMatrix17.getDataRef();
    double[][] d_array_array19 = array2DRowRealMatrix17.getDataRef();
    double[] d_array22 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector23 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array22);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array22);
    double[][] d_array_array25 = array2DRowRealMatrix24.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = array2DRowRealMatrix17.subtract(array2DRowRealMatrix24);
    java.lang.String str27 = array2DRowRealMatrix24.toString();
    double[] d_array30 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array30);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = array2DRowRealMatrix24.subtract(array2DRowRealMatrix32);
    org.apache.commons.math.linear.RealMatrix realMatrix34 = array2DRowRealMatrix33.copy();
    double[] d_array37 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector38 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array37);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector39 = new org.apache.commons.math.linear.ArrayRealVector(realVector38);
    java.lang.String str40 = arrayRealVector39.toString();
    double[] d_array43 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector45 = new org.apache.commons.math.linear.ArrayRealVector(realVector44);
    org.apache.commons.math.linear.RealVector realVector47 = realVector44.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix48 = arrayRealVector39.outerProduct(realVector44);
    org.apache.commons.math.linear.RealVector realVector50 = arrayRealVector39.append(0.0d);
    java.text.NumberFormat numberFormat54 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat55 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat54);
    boolean b56 = arrayRealVector39.equals((java.lang.Object)numberFormat54);
    double[] d_array57 = arrayRealVector39.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix58 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array57);
    double[] d_array59 = array2DRowRealMatrix33.preMultiply(d_array57);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix11.setRow((-532980225), d_array57);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str27.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "{1; -1}"+ "'", str40.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test073"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix11.getData();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[][] d_array_array28 = array2DRowRealMatrix26.getDataRef();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[][] d_array_array34 = array2DRowRealMatrix33.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = array2DRowRealMatrix26.subtract(array2DRowRealMatrix33);
    double[] d_array38 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array38);
    double[][] d_array_array41 = array2DRowRealMatrix40.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = array2DRowRealMatrix33.subtract(array2DRowRealMatrix40);
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array45);
    double[][] d_array_array48 = array2DRowRealMatrix47.getDataRef();
    double[][] d_array_array49 = array2DRowRealMatrix47.getDataRef();
    double[] d_array52 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array52);
    double[][] d_array_array55 = array2DRowRealMatrix54.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = array2DRowRealMatrix47.subtract(array2DRowRealMatrix54);
    java.lang.String str57 = array2DRowRealMatrix54.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix58 = array2DRowRealMatrix40.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix54);
    org.apache.commons.math.linear.RealVector realVector60 = array2DRowRealMatrix54.getRowVector(1);
    double d61 = array2DRowRealMatrix54.getFrobeniusNorm();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = array2DRowRealMatrix11.add(array2DRowRealMatrix54);
    // The following exception was thrown during execution in test generation
    try {
      double d63 = array2DRowRealMatrix54.getTrace();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str57.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix62);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test074"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.7165256995489035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7540920875652949d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test075"); }


    java.text.NumberFormat numberFormat4 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat4);
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = org.apache.commons.math.util.CompositeFormat.parseNumber("<=BlockRealMatrix{{0.0},{0.0},{0.0}}", numberFormat4, parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test076"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.629395E-6f);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test077"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    double d12 = blockRealMatrix6.getNorm();
    org.apache.commons.math.linear.RealVector realVector14 = blockRealMatrix6.getColumnVector(0);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = blockRealMatrix6.transpose();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = blockRealMatrix6.walkInOptimizedOrder(realMatrixPreservingVisitor16, (-1048576), (-2109352879), (-4), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix15);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test078"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(1, 3);
    double[][] d_array_array3 = openMapRealMatrix2.getData();
    double[] d_array6 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair9 = new org.apache.commons.math.optimization.RealPointValuePair(d_array6, 0.0d);
    double[] d_array10 = realPointValuePair9.getPointRef();
    org.apache.commons.math.linear.RealMatrix realMatrix11 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array10);
    org.apache.commons.math.optimization.linear.Relationship relationship13 = org.apache.commons.math.optimization.linear.Relationship.EQ;
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair19 = new org.apache.commons.math.optimization.RealPointValuePair(d_array16, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math.linear.ArrayRealVector(d_array16, false);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint23 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array10, 0.0d, relationship13, d_array16, 2.220446049250313E-16d);
    double[] d_array26 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array26);
    double[][] d_array_array29 = array2DRowRealMatrix28.getDataRef();
    double[][] d_array_array30 = array2DRowRealMatrix28.getDataRef();
    double[] d_array33 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector34 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array33);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array33);
    double[][] d_array_array36 = array2DRowRealMatrix35.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix28.subtract(array2DRowRealMatrix35);
    java.lang.String str38 = array2DRowRealMatrix35.toString();
    double[] d_array41 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = array2DRowRealMatrix35.subtract(array2DRowRealMatrix43);
    double[] d_array46 = array2DRowRealMatrix43.getColumn(0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math.linear.ArrayRealVector(d_array10, d_array46);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array46);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix49 = openMapRealMatrix2.multiply((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str38.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test079"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix18.getData();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[][] d_array_array28 = array2DRowRealMatrix26.getDataRef();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[][] d_array_array34 = array2DRowRealMatrix33.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = array2DRowRealMatrix26.subtract(array2DRowRealMatrix33);
    double[] d_array38 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array38);
    double[][] d_array_array41 = array2DRowRealMatrix40.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = array2DRowRealMatrix33.subtract(array2DRowRealMatrix40);
    org.apache.commons.math.linear.RealMatrix realMatrix43 = array2DRowRealMatrix18.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix42);
    double[][] d_array_array44 = array2DRowRealMatrix18.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test080"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    int i2 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.linear.FieldVector fieldVector4 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnVector((-785855953), fieldVector4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test081"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    java.lang.String str5 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math.FieldElement fieldElement8 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry((-1869155408), (-906994533), fieldElement8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str5.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test082"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException(number0, (java.lang.Number)0.07360738289075448d, (java.lang.Number)36);
    java.lang.Number number4 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 36+ "'", number4.equals(36));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test083"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math.util.CompositeFormat.parseNextCharacter("<=BlockRealMatrix{{0.0},{0.0},{0.0}}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test084"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i11 = openMapRealMatrix10.getColumnDimension();
    int i12 = openMapRealMatrix10.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix6.add(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.subtract(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix16);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i21 = openMapRealMatrix20.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i25 = openMapRealMatrix24.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix28 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i29 = openMapRealMatrix28.getColumnDimension();
    int i30 = openMapRealMatrix28.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix31 = openMapRealMatrix24.add(openMapRealMatrix28);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix32 = openMapRealMatrix28.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix33 = openMapRealMatrix28.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix34 = openMapRealMatrix20.subtract(openMapRealMatrix28);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix35 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix34);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix36 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix35);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix37 = openMapRealMatrix17.multiply((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix35);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix34);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test085"); }


    double[][] d_array_array2 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout((-20), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array2);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test086"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixPreservingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test087"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.transpose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test088"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair5 = new org.apache.commons.math.optimization.RealPointValuePair(d_array2, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(d_array2, true);
    boolean b8 = arrayRealVector7.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test089"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement7 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test090"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    double[] d_array4 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.RealVector realVector8 = realVector5.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = arrayRealVector10.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = arrayRealVector9.append(arrayRealVector10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector0, arrayRealVector13);
    java.util.Iterator iterator15 = arrayRealVector13.sparseIterator();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction17 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction((org.apache.commons.math.linear.RealVector)arrayRealVector13, Double.NaN);
    double d18 = linearObjectiveFunction17.getConstantTerm();
    double[] d_array21 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math.linear.ArrayRealVector(realVector22);
    java.lang.String str24 = arrayRealVector23.toString();
    double[] d_array27 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math.linear.ArrayRealVector(realVector28);
    org.apache.commons.math.linear.RealVector realVector31 = realVector28.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = arrayRealVector23.outerProduct(realVector28);
    org.apache.commons.math.linear.RealVector realVector34 = arrayRealVector23.append(0.0d);
    java.text.NumberFormat numberFormat38 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat39 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat38);
    boolean b40 = arrayRealVector23.equals((java.lang.Object)numberFormat38);
    double[] d_array41 = arrayRealVector23.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix42 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array41);
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array45);
    double[][] d_array_array48 = array2DRowRealMatrix47.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix50 = array2DRowRealMatrix47.scalarAdd(1.2626272556789118d);
    double[] d_array53 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector54 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array53);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair56 = new org.apache.commons.math.optimization.RealPointValuePair(d_array53, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math.linear.ArrayRealVector(d_array53, false);
    int i59 = org.apache.commons.math.util.MathUtils.hash(d_array53);
    double[] d_array60 = array2DRowRealMatrix47.preMultiply(d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math.linear.ArrayRealVector(d_array41, d_array53);
    org.apache.commons.math.linear.RealMatrix realMatrix63 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array53);
    double d64 = linearObjectiveFunction17.getValue(d_array53);
    java.lang.Object obj65 = null;
    boolean b66 = linearObjectiveFunction17.equals(obj65);
    double[] d_array67 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d68 = linearObjectiveFunction17.getValue(d_array67);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "{1; -1}"+ "'", str24.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test091"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math.util.CompositeFormat.parseNextCharacter("Array2DRowRealMatrix{{1.0,-1.0}}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test092"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    double d10 = blockRealMatrix2.getFrobeniusNorm();
    double[] d_array12 = blockRealMatrix2.getRow(0);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d18 = blockRealMatrix2.walkInOptimizedOrder(realMatrixPreservingVisitor13, (-1037659958), (-36), 2, 785855953);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test093"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    java.lang.String str5 = arrayRealVector4.toString();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(realVector9);
    org.apache.commons.math.linear.RealVector realVector12 = realVector9.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix13 = arrayRealVector4.outerProduct(realVector9);
    java.io.ObjectOutputStream objectOutputStream14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector4, objectOutputStream14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{1; -1}"+ "'", str5.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test094"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    java.lang.String str2 = arrayRealVector0.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector0);
    double d4 = arrayRealVector0.getNorm();
    double d5 = arrayRealVector0.getLInfNorm();
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector0.unitize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "{}"+ "'", str2.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test095"); }


    long long1 = org.apache.commons.math.util.FastMath.round(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test096"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    double[] d_array4 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array6);
    double[][] d_array_array8 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.0d, (java.lang.Object[])d_array_array6);
    org.apache.commons.math.linear.RealMatrix realMatrix10 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix10);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test097"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field3 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math.FieldElement fieldElement4 = null;
    org.apache.commons.math.FieldElement[] fieldElement_array5 = new org.apache.commons.math.FieldElement[] { fieldElement4 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array6 = array2DRowFieldMatrix1.preMultiply(fieldElement_array5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array5);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test098"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector(31, 0.0d);
    double[] d_array5 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector6 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array5);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(realVector6);
    org.apache.commons.math.linear.RealVector realVector9 = realVector6.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(realVector6);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector13 = arrayRealVector11.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = arrayRealVector10.append(arrayRealVector11);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector10.mapAddToSelf(1.2952995656795021E29d);
    org.apache.commons.math.linear.NonSquareMatrixException nonSquareMatrixException19 = new org.apache.commons.math.linear.NonSquareMatrixException(52, 0);
    boolean b20 = arrayRealVector10.equals((java.lang.Object)nonSquareMatrixException19);
    // The following exception was thrown during execution in test generation
    try {
      double d21 = arrayRealVector2.dotProduct((org.apache.commons.math.linear.RealVector)arrayRealVector10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test099"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    org.apache.commons.math.linear.RealVector realVector6 = realVector3.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector10 = arrayRealVector8.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = arrayRealVector7.append(arrayRealVector8);
    java.text.NumberFormat numberFormat15 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat16 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat15);
    java.lang.String str17 = realVectorFormat16.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector20 = arrayRealVector18.mapSubtractToSelf(0.0d);
    java.lang.String str21 = realVectorFormat16.format((org.apache.commons.math.linear.RealVector)arrayRealVector18);
    double[] d_array22 = arrayRealVector18.getDataRef();
    double[] d_array25 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math.linear.ArrayRealVector(realVector26);
    java.lang.String str28 = arrayRealVector27.toString();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math.linear.ArrayRealVector(realVector32);
    org.apache.commons.math.linear.RealVector realVector35 = realVector32.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix36 = arrayRealVector27.outerProduct(realVector32);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector18, arrayRealVector27);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector11, (org.apache.commons.math.linear.RealVector)arrayRealVector18);
    java.io.ObjectInputStream objectInputStream40 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.deserializeRealMatrix((java.lang.Object)arrayRealVector11, "Array2DRowRealMatrix{{1.0,-1.0}}", objectInputStream40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "{1; -1}"+ "'", str28.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test100"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair5 = new org.apache.commons.math.optimization.RealPointValuePair(d_array2, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(d_array2, false);
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(d_array2);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array2, 2.718281828459045d);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship15 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array19 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint21 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array13, Double.POSITIVE_INFINITY, relationship15, d_array19, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint23 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array12, relationship15, 100.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint25 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array2, relationship15, 5729.5779513082325d);
    java.io.ObjectInputStream objectInputStream27 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.deserializeRealMatrix((java.lang.Object)d_array2, "Array2DRowRealMatrix{{0.0},{0.0}}", objectInputStream27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test101"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d6 = blockRealMatrix5.getNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix8 = blockRealMatrix5.scalarMultiply(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix9 = openMapRealMatrix2.multiply(realMatrix8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test102"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement8 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test103"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix21 = blockRealMatrix2.scalarMultiply(0.0d);
    double d22 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d26 = blockRealMatrix25.getNorm();
    double d27 = blockRealMatrix25.getNorm();
    double[] d_array30 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array30);
    double[][] d_array_array33 = array2DRowRealMatrix32.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix34 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array33);
    double[][] d_array_array35 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array33);
    blockRealMatrix25.setSubMatrix(d_array_array33, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix2.multiply(blockRealMatrix25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test104"); }


    double d2 = org.apache.commons.math.util.FastMath.log(Double.NEGATIVE_INFINITY, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test105"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix8 = new org.apache.commons.math.linear.OpenMapRealMatrix(1, 3);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix8.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix5.subtract(openMapRealMatrix8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix9);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test106"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.946963936374386d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8433698833717787d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test107"); }


    java.text.NumberFormat numberFormat6 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat7 = new org.apache.commons.math.linear.RealVectorFormat(numberFormat6);
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat8 = new org.apache.commons.math.linear.RealVectorFormat("", "1-1hi!", "Array2DRowRealMatrix{{1.0},{-1.0}}", numberFormat6);
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat9 = new org.apache.commons.math.linear.RealVectorFormat("Array2DRowRealMatrix{{0.0},{0.0}}", "{1; -1}", "Array2DRowRealMatrix{{1.0},{-1.0}}", numberFormat6);
    org.apache.commons.math.linear.RealVector realVector10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = realVectorFormat9.format(realVector10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test108"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair5 = new org.apache.commons.math.optimization.RealPointValuePair(d_array2, 0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix6 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship11 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint17 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array9, Double.POSITIVE_INFINITY, relationship11, d_array15, 1.0d);
    double[] d_array20 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector21 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array20);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array20);
    double[][] d_array_array23 = array2DRowRealMatrix22.getDataRef();
    double[] d_array26 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair29 = new org.apache.commons.math.optimization.RealPointValuePair(d_array26, 0.0d);
    double[] d_array30 = realPointValuePair29.getPointRef();
    double[] d_array31 = array2DRowRealMatrix22.preMultiply(d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint34 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array2, 6.8719476453E10d, relationship11, d_array31, 11013.23292010332d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test109"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    double d5 = openMapRealMatrix2.getEntry(0, 0);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.copy();
    boolean b7 = openMapRealMatrix6.isSquare();
    double d8 = openMapRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = openMapRealMatrix6.walkInOptimizedOrder(realMatrixChangingVisitor9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test110"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    double d5 = openMapRealMatrix2.getNorm();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(realVector9);
    java.lang.String str11 = arrayRealVector10.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector12 = arrayRealVector10.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector13 = openMapRealMatrix2.operate((org.apache.commons.math.linear.RealVector)arrayRealVector12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{1; -1}"+ "'", str11.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test111"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[] d_array23 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector24 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array23);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[][] d_array_array27 = array2DRowRealMatrix25.getDataRef();
    double[] d_array30 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array30);
    double[][] d_array_array33 = array2DRowRealMatrix32.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = array2DRowRealMatrix25.subtract(array2DRowRealMatrix32);
    java.lang.String str35 = array2DRowRealMatrix32.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix36 = array2DRowRealMatrix18.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix32);
    org.apache.commons.math.linear.RealVector realVector38 = array2DRowRealMatrix32.getRowVector(1);
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    double[][] d_array_array47 = new double[][] { d_array45 };
    org.apache.commons.math.linear.RealMatrix realMatrix48 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array47);
    double[][] d_array_array49 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array47);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix32.copySubMatrix(1017118720, (-1869155408), 3, 31, d_array_array49);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str35.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test112"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(9.536744E-7f, 10.000001f, 35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test113"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.4210804127942926d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test114"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array5);
    double[] d_array13 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array13);
    double[][] d_array_array16 = array2DRowRealMatrix15.getDataRef();
    double[] d_array19 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair22 = new org.apache.commons.math.optimization.RealPointValuePair(d_array19, 0.0d);
    double[] d_array23 = realPointValuePair22.getPointRef();
    double[] d_array24 = array2DRowRealMatrix15.preMultiply(d_array23);
    double[][] d_array_array25 = array2DRowRealMatrix15.getData();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix6.copySubMatrix((-906994533), (-532980225), 4, 2, d_array_array25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test115"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.Field field5 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix7 = array2DRowFieldMatrix1.power(35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field5);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test116"); }


    org.apache.commons.math.linear.AnyMatrix anyMatrix0 = null;
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix3 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d4 = blockRealMatrix3.getFrobeniusNorm();
    double[][] d_array_array5 = blockRealMatrix3.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = blockRealMatrix3.scalarAdd(4.61512051684126d);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = blockRealMatrix7.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkMultiplicationCompatible(anyMatrix0, (org.apache.commons.math.linear.AnyMatrix)realMatrix8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test117"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d8 = blockRealMatrix7.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d12 = blockRealMatrix11.getFrobeniusNorm();
    double d13 = blockRealMatrix11.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix7.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix11);
    double d15 = blockRealMatrix7.getFrobeniusNorm();
    double[] d_array17 = blockRealMatrix7.getRow(0);
    boolean b18 = array2DRowFieldMatrix1.equals((java.lang.Object)0);
    org.apache.commons.math.FieldElement fieldElement21 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.multiplyEntry((-20), 0, fieldElement21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test118"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Integer[] i_array1 = null;
    java.lang.Integer[] i_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MultiDimensionMismatchException multiDimensionMismatchException3 = new org.apache.commons.math.exception.MultiDimensionMismatchException(localizable0, i_array1, i_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test119"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    java.lang.String str14 = array2DRowRealMatrix11.toString();
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix19);
    int i21 = array2DRowRealMatrix11.getColumnDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship28 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array32 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint34 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array26, Double.POSITIVE_INFINITY, relationship28, d_array32, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math.linear.ArrayRealVector(d_array26, false);
    org.apache.commons.math.linear.RealVector realVector38 = arrayRealVector36.append(11.548739357257746d);
    blockRealMatrix24.setRowVector(0, realVector38);
    double[][] d_array_array40 = blockRealMatrix24.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix24.transpose();
    double[][] d_array_array42 = blockRealMatrix24.getData();
    double[][] d_array_array43 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array42);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix11.setSubMatrix(d_array_array42, 1017118720, 35);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str14.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test120"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 0.0d);
    double[] d_array12 = realPointValuePair11.getPointRef();
    double[] d_array13 = array2DRowRealMatrix4.preMultiply(d_array12);
    double[][] d_array_array14 = array2DRowRealMatrix4.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array18 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector19 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array18);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array18);
    double[][] d_array_array21 = array2DRowRealMatrix20.getDataRef();
    double[][] d_array_array22 = array2DRowRealMatrix20.getDataRef();
    double[] d_array25 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array25);
    double[][] d_array_array28 = array2DRowRealMatrix27.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = array2DRowRealMatrix20.subtract(array2DRowRealMatrix27);
    java.lang.String str30 = array2DRowRealMatrix27.toString();
    double[] d_array34 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array34);
    double[][] d_array_array37 = array2DRowRealMatrix36.getDataRef();
    double[] d_array40 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector41 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array40);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair43 = new org.apache.commons.math.optimization.RealPointValuePair(d_array40, 0.0d);
    double[] d_array44 = realPointValuePair43.getPointRef();
    double[] d_array45 = array2DRowRealMatrix36.preMultiply(d_array44);
    double[][] d_array_array46 = array2DRowRealMatrix36.getData();
    double d47 = array2DRowRealMatrix36.getFrobeniusNorm();
    array2DRowRealMatrix27.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix36);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix15.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix36);
    java.text.NumberFormat numberFormat54 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat55 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat54);
    java.lang.String str56 = realVectorFormat55.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector59 = arrayRealVector57.mapSubtractToSelf(0.0d);
    java.lang.String str60 = realVectorFormat55.format((org.apache.commons.math.linear.RealVector)arrayRealVector57);
    org.apache.commons.math.linear.RealVector realVector62 = arrayRealVector57.mapDivideToSelf(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix15.setRowVector(10, realVector62);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str30.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + ""+ "'", str56.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "hi!"+ "'", str60.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test121"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.99999994f, 7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629395E-6f);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test122"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field3 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldVector fieldVector5 = array2DRowFieldMatrix1.getRowVector((-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field3);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test123"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    int i5 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix6.createMatrix((-20), 901951979);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test124"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix5 = blockRealMatrix2.scalarMultiply(10.0d);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = blockRealMatrix2.walkInRowOrder(realMatrixPreservingVisitor6, 20, 0, (-2109352879), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test125"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    int[] i_array8 = new int[] {  };
    double[] d_array11 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector12 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array11);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array11);
    double[][] d_array_array14 = array2DRowRealMatrix13.getDataRef();
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair20 = new org.apache.commons.math.optimization.RealPointValuePair(d_array17, 0.0d);
    double[] d_array21 = realPointValuePair20.getPointRef();
    double[] d_array22 = array2DRowRealMatrix13.preMultiply(d_array21);
    double[][] d_array_array23 = array2DRowRealMatrix13.getData();
    double[] d_array26 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array26);
    double[][] d_array_array29 = array2DRowRealMatrix28.getDataRef();
    double[][] d_array_array30 = array2DRowRealMatrix28.getDataRef();
    double[] d_array33 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector34 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array33);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array33);
    double[][] d_array_array36 = array2DRowRealMatrix35.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix28.subtract(array2DRowRealMatrix35);
    int i38 = array2DRowRealMatrix37.getColumnDimension();
    double[] d_array41 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    double[][] d_array_array44 = array2DRowRealMatrix43.getDataRef();
    double[][] d_array_array45 = array2DRowRealMatrix43.getDataRef();
    double[] d_array48 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector49 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array48);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array48);
    double[][] d_array_array51 = array2DRowRealMatrix50.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix52 = array2DRowRealMatrix43.subtract(array2DRowRealMatrix50);
    double[] d_array55 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector56 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array55);
    org.apache.commons.math.linear.RealMatrix realMatrix57 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array55);
    double[] d_array58 = array2DRowRealMatrix52.preMultiply(d_array55);
    double[] d_array59 = array2DRowRealMatrix37.operate(d_array58);
    org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix13, (org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix37);
    int[] i_array62 = new int[] { 1 };
    int[] i_array64 = new int[] { 0 };
    double[] d_array67 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector68 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array67);
    double[][] d_array_array69 = new double[][] { d_array67 };
    org.apache.commons.math.linear.RealMatrix realMatrix70 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array69);
    array2DRowRealMatrix13.copySubMatrix(i_array62, i_array64, d_array_array69);
    org.apache.commons.math.FieldElement[] fieldElement_array72 = null;
    org.apache.commons.math.FieldElement[][] fieldElement_array_array73 = new org.apache.commons.math.FieldElement[][] { fieldElement_array72 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.copySubMatrix(i_array8, i_array62, fieldElement_array_array73);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array73);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test126"); }


    org.apache.commons.math.optimization.linear.SimplexSolver simplexSolver2 = new org.apache.commons.math.optimization.linear.SimplexSolver(0.10218111879143155d, 31);
    simplexSolver2.setMaxIterations(1);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector5);
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math.linear.ArrayRealVector(realVector10);
    org.apache.commons.math.linear.RealVector realVector13 = realVector10.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(realVector10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector17 = arrayRealVector15.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = arrayRealVector14.append(arrayRealVector15);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector5, arrayRealVector18);
    java.util.Iterator iterator20 = arrayRealVector18.sparseIterator();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction22 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction((org.apache.commons.math.linear.RealVector)arrayRealVector18, Double.NaN);
    java.lang.Object obj23 = null;
    boolean b24 = linearObjectiveFunction22.equals(obj23);
    java.util.Collection collection25 = null;
    org.apache.commons.math.optimization.GoalType goalType26 = org.apache.commons.math.optimization.GoalType.MAXIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.RealPointValuePair realPointValuePair28 = simplexSolver2.optimize(linearObjectiveFunction22, collection25, goalType26, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType26);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test127"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.4E-45f, 93648.04747608298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8E-45f);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test128"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    double d12 = blockRealMatrix6.getNorm();
    double d13 = blockRealMatrix6.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship21 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array25 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint27 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array19, Double.POSITIVE_INFINITY, relationship21, d_array25, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math.linear.ArrayRealVector(d_array19, false);
    org.apache.commons.math.linear.RealVector realVector31 = arrayRealVector29.append(11.548739357257746d);
    blockRealMatrix17.setRowVector(0, realVector31);
    double[][] d_array_array33 = blockRealMatrix17.getData();
    double d34 = blockRealMatrix17.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix6.setColumnMatrix(1650129271, (org.apache.commons.math.linear.RealMatrix)blockRealMatrix17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 11.548739357257746d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test129"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.07347473427972404d, 35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.524572646509639E9d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test130"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = array2DRowRealMatrix4.scalarAdd(93648.0d);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = array2DRowRealMatrix4.walkInRowOrder(realMatrixPreservingVisitor16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test131"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array5 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement8 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixPreservingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test132"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test133"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[] d_array23 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector24 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array23);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[][] d_array_array27 = array2DRowRealMatrix25.getDataRef();
    double[] d_array30 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array30);
    double[][] d_array_array33 = array2DRowRealMatrix32.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = array2DRowRealMatrix25.subtract(array2DRowRealMatrix32);
    java.lang.String str35 = array2DRowRealMatrix32.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix36 = array2DRowRealMatrix18.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix32);
    org.apache.commons.math.linear.RealVector realVector38 = array2DRowRealMatrix32.getRowVector(1);
    double d39 = array2DRowRealMatrix32.getFrobeniusNorm();
    double[][] d_array_array40 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix32.setSubMatrix(d_array_array40, (-1869155408), 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str35.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.4142135623730951d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test134"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.8842138921066355d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test135"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)3.6151205168412597d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test136"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-11012.118626412981d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-11012.11862641298d));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test137"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.07360738289075448d, 0.01538044482321668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test138"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.scalarAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d18 = blockRealMatrix17.getFrobeniusNorm();
    double[][] d_array_array19 = blockRealMatrix17.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix17.scalarAdd(4.61512051684126d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix14.subtract(blockRealMatrix21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix22.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix9.add(blockRealMatrix22);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor25 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d26 = blockRealMatrix9.walkInOptimizedOrder(realMatrixPreservingVisitor25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test139"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.Field field5 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement6 = array2DRowFieldMatrix1.getTrace();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field5);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test140"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    org.apache.commons.math.linear.RealMatrix realMatrix4 = openMapRealMatrix2.scalarMultiply(0.6249896976611364d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix8 = openMapRealMatrix7.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix2.multiply(openMapRealMatrix8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix8);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test141"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix1.getRowMatrix(6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test142"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    int i14 = array2DRowRealMatrix13.getColumnDimension();
    org.apache.commons.math.linear.RealVector realVector16 = array2DRowRealMatrix13.getRowVector(0);
    int i17 = array2DRowRealMatrix13.getColumnDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix18 = array2DRowRealMatrix13.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector20 = array2DRowRealMatrix13.getRowVector((-785855953));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test143"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)11013.23292010332d);
    boolean b5 = array2DRowFieldMatrix1.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldVector fieldVector7 = array2DRowFieldMatrix1.getRowVector(20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test144"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.094947E-13f);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test145"); }


    org.apache.commons.math.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math.linear.MatrixDimensionMismatchException(52, 785855953, 10, 10);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = matrixDimensionMismatchException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test146"); }


    org.apache.commons.math.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math.linear.RealVectorFormat.getInstance();
    double[] d_array3 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector4 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math.linear.ArrayRealVector(realVector4);
    java.lang.String str6 = arrayRealVector5.toString();
    boolean b7 = arrayRealVector5.isInfinite();
    org.apache.commons.math.linear.RealVector realVector9 = arrayRealVector5.mapMultiply(0.0d);
    java.lang.StringBuffer stringBuffer10 = null;
    java.text.FieldPosition fieldPosition11 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer12 = realVectorFormat0.format(realVector9, stringBuffer10, fieldPosition11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "{1; -1}"+ "'", str6.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test147"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array8 = array2DRowFieldMatrix1.getRow(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test148"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    double d5 = openMapRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.copy();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = openMapRealMatrix2.walkInRowOrder(realMatrixChangingVisitor7, (-36), 0, 1650129271, (-906994533));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test149"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.05444042188181769d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test150"); }


    java.lang.Class clazz2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathParseException mathParseException3 = new org.apache.commons.math.exception.MathParseException("0-0hi!", 0, clazz2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test151"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    double d10 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix12 = blockRealMatrix2.scalarMultiply(1.5707963267948966d);
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix2.scalarMultiply(0.0d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = blockRealMatrix2.walkInColumnOrder(realMatrixChangingVisitor16, 0, 10, (-1), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix15);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test152"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(14.154262241479262d, (-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.58789162712009d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test153"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix13 = blockRealMatrix11.getRowMatrix(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test154"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.FieldElement[] fieldElement_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array6 = array2DRowFieldMatrix1.preMultiply(fieldElement_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test155"); }


    org.apache.commons.math.linear.RealVectorFormat realVectorFormat3 = new org.apache.commons.math.linear.RealVectorFormat("Array2DRowFieldMatrix{}", "<=BlockRealMatrix{{0.0},{0.0},{0.0}}", "1-1hi!");

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test156"); }


    long long2 = org.apache.commons.math.util.FastMath.max(10L, 11013L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 11013L);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test157"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    double[] d_array7 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector8 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array7);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(realVector8);
    java.lang.String str10 = arrayRealVector9.toString();
    double[] d_array13 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector(realVector14);
    org.apache.commons.math.linear.RealVector realVector17 = realVector14.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = arrayRealVector9.outerProduct(realVector14);
    org.apache.commons.math.linear.RealVector realVector20 = arrayRealVector9.append(0.0d);
    java.text.NumberFormat numberFormat24 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat25 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat24);
    boolean b26 = arrayRealVector9.equals((java.lang.Object)numberFormat24);
    double[] d_array27 = arrayRealVector9.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix28 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array27);
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[][] d_array_array34 = array2DRowRealMatrix33.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.scalarAdd(1.2626272556789118d);
    double[] d_array39 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair42 = new org.apache.commons.math.optimization.RealPointValuePair(d_array39, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector44 = new org.apache.commons.math.linear.ArrayRealVector(d_array39, false);
    int i45 = org.apache.commons.math.util.MathUtils.hash(d_array39);
    double[] d_array46 = array2DRowRealMatrix33.preMultiply(d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector48 = new org.apache.commons.math.linear.ArrayRealVector(d_array27, d_array39);
    org.apache.commons.math.linear.RealMatrix realMatrix49 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array39);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix3.setColumn(901951979, d_array39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "{1; -1}"+ "'", str10.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix49);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test158"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d6 = blockRealMatrix5.getFrobeniusNorm();
    double[][] d_array_array7 = blockRealMatrix5.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix5.scalarAdd(4.61512051684126d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix2.subtract(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix10.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix12 = blockRealMatrix10.transpose();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d18 = blockRealMatrix10.walkInRowOrder(realMatrixChangingVisitor13, 6, (-532980225), (-785855953), (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test159"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.113250378782928d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test160"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.718281828459045d, 0.749145808467651d, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test161"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(93648.04747608298d, 10.341444496789954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test162"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d8 = blockRealMatrix7.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d12 = blockRealMatrix11.getFrobeniusNorm();
    double d13 = blockRealMatrix11.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix7.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix11);
    double d15 = blockRealMatrix7.getFrobeniusNorm();
    double[] d_array17 = blockRealMatrix7.getRow(0);
    boolean b18 = array2DRowFieldMatrix1.equals((java.lang.Object)0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = array2DRowFieldMatrix1.getRowMatrix(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test163"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.FieldElement fieldElement11 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.multiplyEntry((-785855953), (-532980225), fieldElement11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test164"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[][] fieldElement_array_array9 = array2DRowFieldMatrix1.getData();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test165"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d8 = blockRealMatrix7.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d12 = blockRealMatrix11.getFrobeniusNorm();
    double d13 = blockRealMatrix11.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix7.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix11);
    double d15 = blockRealMatrix7.getFrobeniusNorm();
    double[] d_array17 = blockRealMatrix7.getRow(0);
    boolean b18 = array2DRowFieldMatrix1.equals((java.lang.Object)0);
    org.apache.commons.math.Field field19 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field19);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = array2DRowFieldMatrix20.getDataRef();
    boolean b23 = array2DRowFieldMatrix20.equals((java.lang.Object)(byte)(-1));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = array2DRowFieldMatrix1.subtract(array2DRowFieldMatrix20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test166"); }


    org.apache.commons.math.FieldElement[][] fieldElement_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[][] fieldElement_array_array1 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test167"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.FieldElement fieldElement8 = null;
    org.apache.commons.math.FieldElement[] fieldElement_array9 = new org.apache.commons.math.FieldElement[] { fieldElement8 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRow(35, fieldElement_array9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array9);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test168"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix5 = blockRealMatrix2.scalarMultiply(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(0, 785855953);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test169"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math.linear.ArrayRealVector(d_array8, false);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair16 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 1.2017468266102238d, false);
    double[] d_array17 = realPointValuePair16.getPoint();
    boolean b18 = array2DRowFieldMatrix1.equals((java.lang.Object)realPointValuePair16);
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor19 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement20 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test170"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.0d, 4.61512051684126d, 93646.01489861734d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test171"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    double d10 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix12 = blockRealMatrix2.scalarMultiply(1.5707963267948966d);
    org.apache.commons.math.linear.RealMatrix realMatrix13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix2.add(realMatrix13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test172"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    double d5 = openMapRealMatrix2.getEntry(0, 0);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(1, 3);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix9.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = openMapRealMatrix6.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test173"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    double d10 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix12 = blockRealMatrix2.scalarMultiply(1.5707963267948966d);
    org.apache.commons.math.linear.RealVector realVector14 = null;
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setColumnVector(100, realVector14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test174"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(14.154262241479262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.7622150711355222d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test175"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)11013.23292010332d);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array5 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = org.apache.commons.math.linear.MatrixUtils.fractionMatrixToRealMatrix((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array5);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test176"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = blockRealMatrix2.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = blockRealMatrix2.createMatrix(1, 36);
    int i8 = blockRealMatrix7.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      double d9 = blockRealMatrix7.getTrace();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 36);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test177"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array8 = array2DRowFieldMatrix1.getRow(1650129271);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test178"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement fieldElement8 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry((-1037659958), (-1869155408), fieldElement8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test179"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.7540920875652949d, (-11012.118626412981d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test180"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8813735870195429d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test181"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math.linear.FieldVector fieldVector8 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnVector(35, fieldVector8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test182"); }


    java.text.NumberFormat numberFormat0 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat1 = new org.apache.commons.math.linear.RealVectorFormat(numberFormat0);
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat2 = new org.apache.commons.math.linear.RealVectorFormat(numberFormat0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector3);
    java.lang.String str5 = arrayRealVector3.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector3);
    java.lang.String str7 = realVectorFormat2.format((org.apache.commons.math.linear.RealVector)arrayRealVector6);
    java.text.NumberFormat numberFormat8 = realVectorFormat2.getFormat();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector9);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector11);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector9, arrayRealVector12);
    arrayRealVector9.set(0.10218111879143155d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector16);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector18);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector16, arrayRealVector19);
    int i21 = arrayRealVector16.getMaxIndex();
    double d22 = arrayRealVector9.getLInfDistance((org.apache.commons.math.linear.RealVector)arrayRealVector16);
    double[] d_array23 = arrayRealVector9.toArray();
    org.apache.commons.math.linear.RealVector realVector24 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math.linear.ArrayRealVector(d_array23, true);
    java.lang.StringBuffer stringBuffer27 = null;
    java.text.FieldPosition fieldPosition28 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer29 = realVectorFormat2.format((org.apache.commons.math.linear.RealVector)arrayRealVector26, stringBuffer27, fieldPosition28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{}"+ "'", str5.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "{}"+ "'", str7.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test183"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.015382871033603784d, 100, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test184"); }


    long long2 = org.apache.commons.math.util.MathUtils.copySign(10L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test185"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement fieldElement6 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry((-20), 35, fieldElement6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test186"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    double d5 = openMapRealMatrix2.getNorm();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math.linear.ArrayRealVector(d_array8, true);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.solveLowerTriangularSystem((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix2, (org.apache.commons.math.linear.RealVector)arrayRealVector14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test187"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test188"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix18.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix23 = array2DRowRealMatrix18.scalarAdd(2.2250738585072014E-308d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix28 = array2DRowRealMatrix18.getSubMatrix(2117366879, 1650129271, 31, 1650129271);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test189"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    double d4 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix6 = blockRealMatrix2.scalarAdd(4.61512051684126d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = blockRealMatrix7.walkInRowOrder(realMatrixPreservingVisitor8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix7);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test190"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    double[][] d_array_array12 = blockRealMatrix6.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d16 = blockRealMatrix15.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d20 = blockRealMatrix19.getFrobeniusNorm();
    double d21 = blockRealMatrix19.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix15.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix19.getColumnMatrix(0);
    double[][] d_array_array25 = blockRealMatrix19.getData();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix6.setSubMatrix(d_array_array25, 0, 785855953);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test191"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    java.lang.String str2 = arrayRealVector0.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector0);
    double d4 = arrayRealVector0.getNorm();
    double d5 = arrayRealVector0.getLInfNorm();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector6);
    java.lang.String str8 = arrayRealVector6.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector6);
    double[] d_array12 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair15 = new org.apache.commons.math.optimization.RealPointValuePair(d_array12, 0.0d);
    double[] d_array16 = realPointValuePair15.getPointRef();
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array16);
    org.apache.commons.math.optimization.linear.Relationship relationship19 = org.apache.commons.math.optimization.linear.Relationship.EQ;
    double[] d_array22 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector23 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array22);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair25 = new org.apache.commons.math.optimization.RealPointValuePair(d_array22, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math.linear.ArrayRealVector(d_array22, false);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint29 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array16, 0.0d, relationship19, d_array22, 2.220446049250313E-16d);
    double[] d_array32 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array32);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[][] d_array_array36 = array2DRowRealMatrix34.getDataRef();
    double[] d_array39 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array39);
    double[][] d_array_array42 = array2DRowRealMatrix41.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = array2DRowRealMatrix34.subtract(array2DRowRealMatrix41);
    java.lang.String str44 = array2DRowRealMatrix41.toString();
    double[] d_array47 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector48 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array47);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array47);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = array2DRowRealMatrix41.subtract(array2DRowRealMatrix49);
    double[] d_array52 = array2DRowRealMatrix49.getColumn(0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector53 = new org.apache.commons.math.linear.ArrayRealVector(d_array16, d_array52);
    boolean b54 = arrayRealVector6.equals((java.lang.Object)d_array52);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector55 = arrayRealVector0.ebeMultiply((org.apache.commons.math.linear.RealVector)arrayRealVector6);
    org.apache.commons.math.linear.RealVector realVector57 = arrayRealVector6.mapMultiplyToSelf(100.0d);
    org.apache.commons.math.linear.RealVector realVector59 = realVector57.mapMultiply(0.10218111879143155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "{}"+ "'", str2.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "{}"+ "'", str8.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str44.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector59);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test192"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)"hi!");
    int i6 = array2DRowFieldMatrix1.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array8 = array2DRowFieldMatrix1.getRow(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test193"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0, arrayRealVector3);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction5 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = arrayRealVector3.mapToSelf(univariateFunction5);
    double[] d_array7 = arrayRealVector6.toArray();
    java.text.NumberFormat numberFormat11 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat12 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat11);
    java.lang.String str13 = realVectorFormat12.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.mapSubtractToSelf(0.0d);
    java.lang.String str17 = realVectorFormat12.format((org.apache.commons.math.linear.RealVector)arrayRealVector14);
    double[] d_array18 = arrayRealVector14.getDataRef();
    double[] d_array21 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math.linear.ArrayRealVector(realVector22);
    java.lang.String str24 = arrayRealVector23.toString();
    double[] d_array27 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math.linear.ArrayRealVector(realVector28);
    org.apache.commons.math.linear.RealVector realVector31 = realVector28.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = arrayRealVector23.outerProduct(realVector28);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector14, arrayRealVector23);
    org.apache.commons.math.linear.RealVector realVector35 = arrayRealVector33.mapAddToSelf(1.2017468266102238d);
    double[] d_array38 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math.linear.ArrayRealVector(realVector39);
    java.lang.String str41 = arrayRealVector40.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector42 = arrayRealVector40.copy();
    double d43 = arrayRealVector33.getLInfDistance((org.apache.commons.math.linear.RealVector)arrayRealVector42);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.ArrayRealVector arrayRealVector44 = arrayRealVector6.add((org.apache.commons.math.linear.RealVector)arrayRealVector42);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "{1; -1}"+ "'", str24.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "{1; -1}"+ "'", str41.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.2017468266102238d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test194"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.58789162712009d, 0.7165256995489035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.58789162712009d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test195"); }


    org.apache.commons.math.linear.RealVectorFormat realVectorFormat3 = new org.apache.commons.math.linear.RealVectorFormat("=", "{}", "0-0hi!");

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test196"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = org.apache.commons.math.linear.MatrixUtils.fractionMatrixToRealMatrix((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test197"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    boolean b5 = array2DRowFieldMatrix1.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = org.apache.commons.math.linear.MatrixUtils.fractionMatrixToRealMatrix((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test198"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field4 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixPreservingVisitor5, 1, 10, (-1037659958), 785855953);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field4);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test199"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    double d5 = openMapRealMatrix2.getEntry(0, 0);
    org.apache.commons.math.linear.RealMatrix realMatrix7 = null;
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.setRowMatrix(0, realMatrix7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test200"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(100.0f, (-36), 96);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test201"); }


    org.apache.commons.math.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0, (-127), 901951979);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test202"); }


    double[] d_array0 = null;
    double[] d_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector(d_array0, d_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test203"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    org.apache.commons.math.linear.RealVector realVector6 = realVector3.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    java.util.Iterator iterator8 = arrayRealVector7.iterator();
    java.text.NumberFormat numberFormat12 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat13 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat12);
    java.lang.String str14 = realVectorFormat13.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector17 = arrayRealVector15.mapSubtractToSelf(0.0d);
    java.lang.String str18 = realVectorFormat13.format((org.apache.commons.math.linear.RealVector)arrayRealVector15);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction19 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector20 = arrayRealVector15.map(univariateFunction19);
    org.apache.commons.math.linear.RealVector realVector22 = arrayRealVector15.mapSubtract(1.4210804127942926d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector23 = arrayRealVector7.projection((org.apache.commons.math.linear.RealVector)arrayRealVector15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test204"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement5 = array2DRowFieldMatrix1.getTrace();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test205"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix2.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector21 = blockRealMatrix2.getRowVector((-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test206"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    double d4 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix6 = blockRealMatrix2.scalarAdd(4.61512051684126d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.AnyMatrix anyMatrix8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix2, anyMatrix8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix7);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test207"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test208"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    int i8 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix2.add(openMapRealMatrix6);
    openMapRealMatrix6.addToEntry(2, 0, 0.8842138921066355d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    openMapRealMatrix16.multiplyEntry(3, 36, 67.033d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix21 = openMapRealMatrix16.copy();
    openMapRealMatrix21.addToEntry(0, 0, 0.0d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix26 = openMapRealMatrix21.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix27 = openMapRealMatrix6.multiply(openMapRealMatrix26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix26);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test209"); }


    float f2 = org.apache.commons.math.util.Precision.round(Float.NaN, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test210"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0, arrayRealVector3);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector5);
    java.lang.String str7 = arrayRealVector5.toString();
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship12 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array16 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint18 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array10, Double.POSITIVE_INFINITY, relationship12, d_array16, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math.linear.ArrayRealVector(d_array10, false);
    org.apache.commons.math.linear.RealVector realVector22 = arrayRealVector20.append(11.548739357257746d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector23 = arrayRealVector5.combine(0.10218111879143155d, Double.NaN, (org.apache.commons.math.linear.RealVector)arrayRealVector20);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector24 = arrayRealVector4.add((org.apache.commons.math.linear.RealVector)arrayRealVector20);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector25 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector24);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = arrayRealVector26.mapSubtractToSelf(0.0d);
    double d29 = arrayRealVector24.dotProduct(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "{}"+ "'", str7.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test211"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    java.lang.Object obj5 = null;
    boolean b6 = openMapRealMatrix2.equals(obj5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = openMapRealMatrix2.walkInColumnOrder(realMatrixPreservingVisitor8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test212"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    int i5 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix6.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix9 = openMapRealMatrix6.getColumnMatrix(2);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = openMapRealMatrix10.add(openMapRealMatrix11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test213"); }


    org.apache.commons.math.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix(field0, (-1869155408));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test214"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldVector fieldVector6 = array2DRowFieldMatrix1.getColumnVector((-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test215"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.8956779913441568d, 100.0d, 1.8318302131199315E29d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test216"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test217"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.529d, 2.421080412794293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.529d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test218"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix2.transpose();
    double d20 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship27 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array31 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint33 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array25, Double.POSITIVE_INFINITY, relationship27, d_array31, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math.linear.ArrayRealVector(d_array25, false);
    org.apache.commons.math.linear.RealVector realVector37 = arrayRealVector35.append(11.548739357257746d);
    blockRealMatrix23.setRowVector(0, realVector37);
    double[][] d_array_array39 = blockRealMatrix23.getData();
    double d40 = blockRealMatrix23.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix23);
    org.apache.commons.math.linear.MatrixUtils.checkRowIndex((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix2, 1);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor44 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d49 = blockRealMatrix2.walkInOptimizedOrder(realMatrixChangingVisitor44, 785855953, 2117366879, (-785855953), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test219"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test220"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor5, 1650129271, 2, (-906994533), 1650129271);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test221"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    org.apache.commons.math.linear.RealVector realVector6 = realVector3.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector10 = arrayRealVector8.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = arrayRealVector7.append(arrayRealVector8);
    java.text.NumberFormat numberFormat15 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat16 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat15);
    java.lang.String str17 = realVectorFormat16.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector20 = arrayRealVector18.mapSubtractToSelf(0.0d);
    java.lang.String str21 = realVectorFormat16.format((org.apache.commons.math.linear.RealVector)arrayRealVector18);
    double[] d_array22 = arrayRealVector18.getDataRef();
    double[] d_array25 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math.linear.ArrayRealVector(realVector26);
    java.lang.String str28 = arrayRealVector27.toString();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math.linear.ArrayRealVector(realVector32);
    org.apache.commons.math.linear.RealVector realVector35 = realVector32.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix36 = arrayRealVector27.outerProduct(realVector32);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector18, arrayRealVector27);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector11, (org.apache.commons.math.linear.RealVector)arrayRealVector18);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction39 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector40 = arrayRealVector18.mapToSelf(univariateFunction39);
    double[] d_array43 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    org.apache.commons.math.linear.RealVector realVector46 = realVector44.mapSubtract(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealVector realVector48 = realVector44.mapAdd(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.ArrayRealVector arrayRealVector49 = arrayRealVector18.ebeMultiply(realVector44);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "{1; -1}"+ "'", str28.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test222"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor20 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d25 = blockRealMatrix2.walkInOptimizedOrder(realMatrixPreservingVisitor20, 35, 1650129271, 901951979, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test223"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math.Field field7 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix8 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field7);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array9 = array2DRowFieldMatrix8.getDataRef();
    int i10 = array2DRowFieldMatrix8.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array11 = array2DRowFieldMatrix8.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix12 = array2DRowFieldMatrix1.subtract(array2DRowFieldMatrix8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array11);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test224"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    java.lang.String str14 = array2DRowRealMatrix11.toString();
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix19);
    org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix20.scalarAdd(1.2952995656795021E29d);
    double[] d_array25 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array25);
    double[][] d_array_array28 = array2DRowRealMatrix27.getDataRef();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair34 = new org.apache.commons.math.optimization.RealPointValuePair(d_array31, 0.0d);
    double[] d_array35 = realPointValuePair34.getPointRef();
    double[] d_array36 = array2DRowRealMatrix27.preMultiply(d_array35);
    double[] d_array38 = new double[] {  };
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship41 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array45 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint47 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array39, Double.POSITIVE_INFINITY, relationship41, d_array45, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint49 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array38, relationship41, 100.0d);
    double[] d_array52 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair55 = new org.apache.commons.math.optimization.RealPointValuePair(d_array52, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math.linear.ArrayRealVector(d_array52, false);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix58 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array52);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint60 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array36, 11013.0d, relationship41, d_array52, 0.881373587019543d);
    double[] d_array63 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector64 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array63);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array63);
    double[][] d_array_array66 = array2DRowRealMatrix65.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix68 = array2DRowRealMatrix65.scalarAdd(1.2626272556789118d);
    double[] d_array71 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector72 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array71);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair74 = new org.apache.commons.math.optimization.RealPointValuePair(d_array71, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector76 = new org.apache.commons.math.linear.ArrayRealVector(d_array71, false);
    int i77 = org.apache.commons.math.util.MathUtils.hash(d_array71);
    double[] d_array78 = array2DRowRealMatrix65.preMultiply(d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector80 = new org.apache.commons.math.linear.ArrayRealVector(d_array36, d_array71);
    boolean b81 = array2DRowRealMatrix20.equals((java.lang.Object)arrayRealVector80);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix20.multiplyEntry(0, 901951979, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str14.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test225"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    double[] d_array4 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.RealVector realVector8 = realVector5.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = arrayRealVector10.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = arrayRealVector9.append(arrayRealVector10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector0, arrayRealVector13);
    java.util.Iterator iterator15 = arrayRealVector13.sparseIterator();
    boolean b16 = arrayRealVector13.isNaN();
    // The following exception was thrown during execution in test generation
    try {
      double d18 = arrayRealVector13.getEntry(96);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test226"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)2.718281828459045d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    java.lang.Number number3 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 2.718281828459045d+ "'", number3.equals(2.718281828459045d));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test227"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.946963936374386d, (-0.015837661636782366d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5875194401056019d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test228"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 11013.23292010332d };
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(d_array1, 0, 1);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector6);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector8);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector6, arrayRealVector9);
    double[] d_array11 = new double[] {  };
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship14 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array18 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint20 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array12, Double.POSITIVE_INFINITY, relationship14, d_array18, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint22 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array11, relationship14, 100.0d);
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship26 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array30 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint32 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array24, Double.POSITIVE_INFINITY, relationship26, d_array30, 1.0d);
    double[] d_array35 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector36 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array35);
    org.apache.commons.math.linear.RealMatrix realMatrix37 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array35);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint39 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array11, (-1.0d), relationship26, d_array35, 1.4210804127942926d);
    org.apache.commons.math.linear.RealVector realVector40 = linearConstraint39.getCoefficients();
    double d41 = arrayRealVector10.getDistance(realVector40);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector42 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector5, arrayRealVector10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector4, (org.apache.commons.math.linear.RealVector)arrayRealVector5);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector4.addToEntry(52, 67.03370969007639d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test229"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix6 = array2DRowFieldMatrix1.getRowMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test230"); }


    org.apache.commons.math.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[][] fieldElement_array_array3 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>createBlocksLayout(field0, 0, 36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test231"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.010908128015230735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01090791170544113d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test232"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    java.lang.String str5 = arrayRealVector4.toString();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(realVector9);
    org.apache.commons.math.linear.RealVector realVector12 = realVector9.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix13 = arrayRealVector4.outerProduct(realVector9);
    org.apache.commons.math.linear.RealVector realVector15 = arrayRealVector4.append(0.0d);
    java.text.NumberFormat numberFormat19 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat20 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat19);
    boolean b21 = arrayRealVector4.equals((java.lang.Object)numberFormat19);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector4);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship25 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array29 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint31 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array23, Double.POSITIVE_INFINITY, relationship25, d_array29, 1.0d);
    org.apache.commons.math.optimization.linear.Relationship relationship32 = relationship25.oppositeRelationship();
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint34 = new org.apache.commons.math.optimization.linear.LinearConstraint((org.apache.commons.math.linear.RealVector)arrayRealVector4, relationship25, 5.059684146676958E9d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector4, true);
    org.apache.commons.math.linear.RealVector realVector37 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.ArrayRealVector arrayRealVector38 = arrayRealVector36.ebeMultiply(realVector37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{1; -1}"+ "'", str5.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship32);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test233"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.881373587019543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3818891261280049d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test234"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.06250001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test235"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array10 = array2DRowFieldMatrix1.getColumn(2113930177);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test236"); }


    int i2 = org.apache.commons.math.util.FastMath.max(20, 96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 96);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test237"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)6.283185307179586d, false);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test238"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    double d19 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix2.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix22 = blockRealMatrix2.scalarMultiply(0.8842138921066355d);
    double d23 = blockRealMatrix2.getNorm();
    double[] d_array26 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array26);
    double[][] d_array_array29 = array2DRowRealMatrix28.getDataRef();
    double[] d_array32 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair35 = new org.apache.commons.math.optimization.RealPointValuePair(d_array32, 0.0d);
    double[] d_array36 = realPointValuePair35.getPointRef();
    double[] d_array37 = array2DRowRealMatrix28.preMultiply(d_array36);
    double[][] d_array_array38 = array2DRowRealMatrix28.getData();
    double[] d_array41 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    double[][] d_array_array44 = array2DRowRealMatrix43.getDataRef();
    double[][] d_array_array45 = array2DRowRealMatrix43.getDataRef();
    double[] d_array48 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector49 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array48);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array48);
    double[][] d_array_array51 = array2DRowRealMatrix50.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix52 = array2DRowRealMatrix43.subtract(array2DRowRealMatrix50);
    int i53 = array2DRowRealMatrix52.getColumnDimension();
    double[] d_array56 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector57 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array56);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix58 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array56);
    double[][] d_array_array59 = array2DRowRealMatrix58.getDataRef();
    double[][] d_array_array60 = array2DRowRealMatrix58.getDataRef();
    double[] d_array63 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector64 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array63);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array63);
    double[][] d_array_array66 = array2DRowRealMatrix65.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix67 = array2DRowRealMatrix58.subtract(array2DRowRealMatrix65);
    double[] d_array70 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector71 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array70);
    org.apache.commons.math.linear.RealMatrix realMatrix72 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array70);
    double[] d_array73 = array2DRowRealMatrix67.preMultiply(d_array70);
    double[] d_array74 = array2DRowRealMatrix52.operate(d_array73);
    org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix28, (org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix52);
    int[] i_array77 = new int[] { 1 };
    int[] i_array79 = new int[] { 0 };
    double[] d_array82 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector83 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array82);
    double[][] d_array_array84 = new double[][] { d_array82 };
    org.apache.commons.math.linear.RealMatrix realMatrix85 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array84);
    array2DRowRealMatrix28.copySubMatrix(i_array77, i_array79, d_array_array84);
    int[] i_array90 = new int[] { 10, 1, 0 };
    double[][] d_array_array91 = null;
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.copySubMatrix(i_array77, i_array90, d_array_array91);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array90);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test239"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[][] fieldElement_array_array5 = array2DRowFieldMatrix1.getData();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test240"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.3818891261280049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test241"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.270941486354136d, 3.215811638885268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.270941486354136d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test242"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test243"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    double[] d_array4 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.RealVector realVector8 = realVector5.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = arrayRealVector10.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = arrayRealVector9.append(arrayRealVector10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector0, arrayRealVector13);
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.RealVector realVector19 = arrayRealVector0.append(realVector18);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math.linear.ArrayRealVector(36, 4.61512051684126d);
    org.apache.commons.math.linear.RealVector realVector23 = arrayRealVector0.append((org.apache.commons.math.linear.RealVector)arrayRealVector22);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector0);
    double[] d_array27 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math.linear.ArrayRealVector(realVector28);
    org.apache.commons.math.linear.RealVector realVector31 = realVector28.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector32 = new org.apache.commons.math.linear.ArrayRealVector(realVector28);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector35 = arrayRealVector33.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector36 = arrayRealVector32.append(arrayRealVector33);
    java.text.NumberFormat numberFormat40 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat41 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat40);
    java.lang.String str42 = realVectorFormat41.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector45 = arrayRealVector43.mapSubtractToSelf(0.0d);
    java.lang.String str46 = realVectorFormat41.format((org.apache.commons.math.linear.RealVector)arrayRealVector43);
    double[] d_array47 = arrayRealVector43.getDataRef();
    double[] d_array50 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector51 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array50);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector52 = new org.apache.commons.math.linear.ArrayRealVector(realVector51);
    java.lang.String str53 = arrayRealVector52.toString();
    double[] d_array56 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector57 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array56);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math.linear.ArrayRealVector(realVector57);
    org.apache.commons.math.linear.RealVector realVector60 = realVector57.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix61 = arrayRealVector52.outerProduct(realVector57);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector43, arrayRealVector52);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector36, (org.apache.commons.math.linear.RealVector)arrayRealVector43);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector64 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector64);
    java.lang.String str66 = arrayRealVector64.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector64);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector68 = arrayRealVector43.subtract((org.apache.commons.math.linear.RealVector)arrayRealVector67);
    int i69 = arrayRealVector43.getDimension();
    double d70 = arrayRealVector43.getL1Norm();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector71 = arrayRealVector0.subtract((org.apache.commons.math.linear.RealVector)arrayRealVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + ""+ "'", str42.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "hi!"+ "'", str46.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "{1; -1}"+ "'", str53.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "{}"+ "'", str66.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector71);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test244"); }


    org.apache.commons.math.linear.RealVectorFormat realVectorFormat3 = new org.apache.commons.math.linear.RealVectorFormat("", "", "1-1hi!");
    java.lang.String str4 = realVectorFormat3.getSeparator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1-1hi!"+ "'", str4.equals("1-1hi!"));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test245"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test246"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(9.536743E-7f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test247"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement11 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor6, 3, 52, 6, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test248"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    int i8 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix2.add(openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix15 = openMapRealMatrix9.getSubMatrix(3, 52, 1, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix9);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test249"); }


    double[][] d_array_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(4, 1017118720, d_array_array2, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test250"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.util.CompositeFormat.parseFixedstring("{129,529,956,567,950,210,000,000,000,000; -129,529,956,567,950,210,000,000,000,000}", "hi!BlockRealMatrix{{0.0},{0.0},{0.0}}", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test251"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    org.apache.commons.math.linear.RealVector realVector6 = realVector3.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector10 = arrayRealVector8.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = arrayRealVector7.append(arrayRealVector8);
    boolean b12 = arrayRealVector8.isNaN();
    org.apache.commons.math.optimization.linear.Relationship relationship14 = org.apache.commons.math.optimization.linear.Relationship.GEQ;
    org.apache.commons.math.optimization.linear.Relationship relationship15 = relationship14.oppositeRelationship();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector16);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector18);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector16, arrayRealVector19);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship24 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array28 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint30 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array22, Double.POSITIVE_INFINITY, relationship24, d_array28, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint32 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array21, relationship24, 100.0d);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship36 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array40 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint42 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array34, Double.POSITIVE_INFINITY, relationship36, d_array40, 1.0d);
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint49 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array21, (-1.0d), relationship36, d_array45, 1.4210804127942926d);
    org.apache.commons.math.linear.RealVector realVector50 = linearConstraint49.getCoefficients();
    double d51 = arrayRealVector20.getDistance(realVector50);
    double d52 = arrayRealVector20.getNorm();
    double[] d_array55 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector56 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array55);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math.linear.ArrayRealVector(realVector56);
    java.lang.String str58 = arrayRealVector57.toString();
    double[] d_array61 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector62 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array61);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math.linear.ArrayRealVector(realVector62);
    org.apache.commons.math.linear.RealVector realVector65 = realVector62.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix66 = arrayRealVector57.outerProduct(realVector62);
    org.apache.commons.math.linear.RealVector realVector68 = arrayRealVector57.append(0.0d);
    java.text.NumberFormat numberFormat72 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat73 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat72);
    boolean b74 = arrayRealVector57.equals((java.lang.Object)numberFormat72);
    double[] d_array75 = arrayRealVector57.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix76 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array75);
    org.apache.commons.math.linear.RealMatrix realMatrix77 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array75);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector78 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector20, d_array75);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint80 = new org.apache.commons.math.optimization.linear.LinearConstraint((org.apache.commons.math.linear.RealVector)arrayRealVector8, 2.718281828459045d, relationship14, (org.apache.commons.math.linear.RealVector)arrayRealVector78, (-4.9E-324d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "{1; -1}"+ "'", str58.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix77);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test252"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    int i3 = blockRealMatrix2.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.multiplyEntry(31, 4, 0.9639414027443985d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test253"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement8 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test254"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair5 = new org.apache.commons.math.optimization.RealPointValuePair(d_array2, 0.0d);
    double[] d_array6 = realPointValuePair5.getPointRef();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector(d_array6, false);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array6, 0.0d, false);
    double d12 = realPointValuePair11.getValue();
    double[] d_array13 = realPointValuePair11.getPoint();
    double d14 = realPointValuePair11.getValue();
    double d15 = realPointValuePair11.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test255"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(7.629395E-6f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test256"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(1.0422041580219652E-10d, 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0422041580219652E-10d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test257"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field10 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix11 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field10);
    int i12 = array2DRowFieldMatrix11.getColumnDimension();
    double[] d_array15 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector16 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    double[][] d_array_array18 = array2DRowRealMatrix17.getDataRef();
    double[][] d_array_array19 = array2DRowRealMatrix17.getDataRef();
    double[] d_array22 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector23 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array22);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array22);
    double[][] d_array_array25 = array2DRowRealMatrix24.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = array2DRowRealMatrix17.subtract(array2DRowRealMatrix24);
    java.lang.String str27 = array2DRowRealMatrix24.toString();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[][] d_array_array34 = array2DRowRealMatrix33.getDataRef();
    double[] d_array37 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector38 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array37);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair40 = new org.apache.commons.math.optimization.RealPointValuePair(d_array37, 0.0d);
    double[] d_array41 = realPointValuePair40.getPointRef();
    double[] d_array42 = array2DRowRealMatrix33.preMultiply(d_array41);
    double[][] d_array_array43 = array2DRowRealMatrix33.getData();
    double d44 = array2DRowRealMatrix33.getFrobeniusNorm();
    array2DRowRealMatrix24.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix33);
    boolean b46 = array2DRowFieldMatrix11.equals((java.lang.Object)array2DRowRealMatrix24);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowMatrix((-1), (org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str27.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test258"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 11013.23292010332d };
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(d_array1, 0, 1);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math.linear.ArrayRealVector(d_array1);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector5);
    java.text.NumberFormat numberFormat10 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat11 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat10);
    java.lang.String str12 = realVectorFormat11.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector15 = arrayRealVector13.mapSubtractToSelf(0.0d);
    java.lang.String str16 = realVectorFormat11.format((org.apache.commons.math.linear.RealVector)arrayRealVector13);
    double[] d_array17 = arrayRealVector13.getDataRef();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction19 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction(d_array17, 0.8956779913441568d);
    org.apache.commons.math.linear.RealVector realVector20 = linearObjectiveFunction19.getCoefficients();
    // The following exception was thrown during execution in test generation
    try {
      double d21 = arrayRealVector5.getL1Distance(realVector20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test259"); }


    org.apache.commons.math.linear.AnyMatrix anyMatrix0 = null;
    double[] d_array3 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector4 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix5 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array3);
    double[][] d_array_array6 = array2DRowRealMatrix5.getDataRef();
    double[][] d_array_array7 = array2DRowRealMatrix5.getDataRef();
    double[] d_array10 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector11 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array10);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array10);
    double[][] d_array_array13 = array2DRowRealMatrix12.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix5.subtract(array2DRowRealMatrix12);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = array2DRowRealMatrix5.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible(anyMatrix0, (org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test260"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    org.apache.commons.math.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector15 = blockRealMatrix11.getColumnVector((-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test261"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(9.094947E-13f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test262"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field4 = array2DRowFieldMatrix1.getField();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.linear.FieldVector fieldVector7 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowVector((-1869155408), fieldVector7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test263"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor21 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d22 = array2DRowRealMatrix11.walkInRowOrder(realMatrixChangingVisitor21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test264"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.05823109416899832d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test265"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix10 = array2DRowFieldMatrix1.power(36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test266"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d6 = blockRealMatrix5.getFrobeniusNorm();
    double[][] d_array_array7 = blockRealMatrix5.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix5.scalarAdd(4.61512051684126d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix2.subtract(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix10.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix12 = blockRealMatrix10.transpose();
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair19 = new org.apache.commons.math.optimization.RealPointValuePair(d_array16, 0.0d);
    double[] d_array20 = realPointValuePair19.getPointRef();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix10.setColumn((-20), d_array20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test267"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    boolean b7 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.linear.FieldVector fieldVector9 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnVector(36, fieldVector9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test268"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(1.1920929E-7f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test269"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.015382871033603784d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test270"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)"hi!");
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement11 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor6, 96, (-4), 0, (-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test271"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 0.0d);
    double[] d_array12 = realPointValuePair11.getPointRef();
    double[] d_array13 = array2DRowRealMatrix4.preMultiply(d_array12);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship18 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array22 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint24 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array16, Double.POSITIVE_INFINITY, relationship18, d_array22, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint26 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array15, relationship18, 100.0d);
    double[] d_array29 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector30 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array29);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair32 = new org.apache.commons.math.optimization.RealPointValuePair(d_array29, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math.linear.ArrayRealVector(d_array29, false);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array29);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint37 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array13, 11013.0d, relationship18, d_array29, 0.881373587019543d);
    double[] d_array40 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector41 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array40);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array40);
    double[][] d_array_array43 = array2DRowRealMatrix42.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.scalarAdd(1.2626272556789118d);
    double[] d_array48 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector49 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array48);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair51 = new org.apache.commons.math.optimization.RealPointValuePair(d_array48, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector53 = new org.apache.commons.math.linear.ArrayRealVector(d_array48, false);
    int i54 = org.apache.commons.math.util.MathUtils.hash(d_array48);
    double[] d_array55 = array2DRowRealMatrix42.preMultiply(d_array48);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array48);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math.linear.ArrayRealVector(d_array13, d_array48);
    java.io.ObjectInputStream objectInputStream59 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.deserializeRealMatrix((java.lang.Object)d_array13, "0-0hi!", objectInputStream59);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test272"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Integer[] i_array6 = new java.lang.Integer[] { 2113930177 };
    java.lang.Integer[] i_array8 = new java.lang.Integer[] { 52 };
    org.apache.commons.math.exception.MultiDimensionMismatchException multiDimensionMismatchException9 = new org.apache.commons.math.exception.MultiDimensionMismatchException(localizable4, i_array6, i_array8);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Integer[] i_array13 = new java.lang.Integer[] { 2113930177 };
    java.lang.Integer[] i_array15 = new java.lang.Integer[] { 52 };
    org.apache.commons.math.exception.MultiDimensionMismatchException multiDimensionMismatchException16 = new org.apache.commons.math.exception.MultiDimensionMismatchException(localizable11, i_array13, i_array15);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Integer[] i_array19 = new java.lang.Integer[] { 2113930177 };
    java.lang.Integer[] i_array21 = new java.lang.Integer[] { 52 };
    org.apache.commons.math.exception.MultiDimensionMismatchException multiDimensionMismatchException22 = new org.apache.commons.math.exception.MultiDimensionMismatchException(localizable17, i_array19, i_array21);
    org.apache.commons.math.exception.MultiDimensionMismatchException multiDimensionMismatchException23 = new org.apache.commons.math.exception.MultiDimensionMismatchException(i_array13, i_array19);
    org.apache.commons.math.linear.MatrixDimensionMismatchException matrixDimensionMismatchException28 = new org.apache.commons.math.linear.MatrixDimensionMismatchException(0, 0, 0, 1);
    int i29 = matrixDimensionMismatchException28.getExpectedColumnDimension();
    java.lang.Integer[] i_array30 = matrixDimensionMismatchException28.getExpectedDimensions();
    org.apache.commons.math.exception.MultiDimensionMismatchException multiDimensionMismatchException31 = new org.apache.commons.math.exception.MultiDimensionMismatchException(localizable10, i_array13, i_array30);
    org.apache.commons.math.exception.MultiDimensionMismatchException multiDimensionMismatchException32 = new org.apache.commons.math.exception.MultiDimensionMismatchException(localizable3, i_array8, i_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException33 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)(-1048576), (java.lang.Object[])i_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException34 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test273"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement fieldElement6 = null;
    org.apache.commons.math.FieldElement[] fieldElement_array7 = new org.apache.commons.math.FieldElement[] { fieldElement6 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array8 = array2DRowFieldMatrix1.operate(fieldElement_array7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array7);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test274"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(7.6293945E-6f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test275"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    java.lang.String str5 = arrayRealVector4.toString();
    int i6 = arrayRealVector4.getMinIndex();
    double[] d_array7 = arrayRealVector4.getDataRef();
    double[] d_array9 = new double[] { (-1.0d) };
    org.apache.commons.math.linear.RealMatrix realMatrix10 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array9);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair13 = new org.apache.commons.math.optimization.RealPointValuePair(d_array9, 1.2952995656795021E29d, false);
    double[] d_array14 = realPointValuePair13.getPoint();
    double[] d_array15 = realPointValuePair13.getPointRef();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math.linear.ArrayRealVector(d_array7, d_array15);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math.linear.ArrayRealVector(d_array15, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{1; -1}"+ "'", str5.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test276"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = blockRealMatrix2.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = blockRealMatrix2.createMatrix(1, 36);
    double[] d_array10 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector11 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math.linear.RealMatrix realMatrix13 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array12);
    double[][] d_array_array14 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array12);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array12, false);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setSubMatrix(d_array_array12, (-1), 35);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test277"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getRowDimension();
    double[] d_array6 = openMapRealMatrix2.getColumn(0);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i10 = openMapRealMatrix9.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i14 = openMapRealMatrix13.getColumnDimension();
    int i15 = openMapRealMatrix13.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix9.add(openMapRealMatrix13);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix13);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = openMapRealMatrix2.add(openMapRealMatrix17);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix17.addToEntry((-1023), (-127), 0.015384084512007764d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix18);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test278"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array5 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement8 = array2DRowFieldMatrix1.getEntry((-4), (-532980225));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array5);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test279"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.295299565679502E29d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test280"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement fieldElement4 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.addToEntry(1017118720, 35, fieldElement4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test281"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.getRowMatrix(1017118720);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test282"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector(36, 67.03300000000002d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2, false);
    int i5 = arrayRealVector2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 36);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test283"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    org.apache.commons.math.linear.RealVector realVector6 = realVector3.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    double[] d_array10 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector11 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math.linear.ArrayRealVector(realVector11);
    java.lang.String str13 = arrayRealVector12.toString();
    double[] d_array18 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector19 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array18);
    org.apache.commons.math.linear.RealVector realVector21 = realVector19.mapSubtract(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector22 = arrayRealVector12.combineToSelf(2.2250738585072014E-308d, 1.2952995656795021E29d, realVector21);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector23 = arrayRealVector7.append(arrayRealVector22);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector26 = arrayRealVector24.mapSubtractToSelf(0.0d);
    boolean b27 = arrayRealVector22.equals((java.lang.Object)arrayRealVector24);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector24.setEntry((-1869155408), 10.341444496789954d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "{1; -1}"+ "'", str13.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test284"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(2.0d, 0.015382871033603784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test285"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    int i14 = array2DRowRealMatrix13.getColumnDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    java.io.ObjectOutputStream objectOutputStream16 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealMatrix(realMatrix15, objectOutputStream16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test286"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    double d5 = openMapRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.copy();
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.multiplyEntry(1017118720, 96, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test287"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    java.lang.String str2 = arrayRealVector0.toString();
    double[] d_array5 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship7 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array11 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint13 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array5, Double.POSITIVE_INFINITY, relationship7, d_array11, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector(d_array5, false);
    org.apache.commons.math.linear.RealVector realVector17 = arrayRealVector15.append(11.548739357257746d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = arrayRealVector0.combine(0.10218111879143155d, Double.NaN, (org.apache.commons.math.linear.RealVector)arrayRealVector15);
    java.text.NumberFormat numberFormat22 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat23 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat22);
    java.lang.String str24 = realVectorFormat23.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector25 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector27 = arrayRealVector25.mapSubtractToSelf(0.0d);
    java.lang.String str28 = realVectorFormat23.format((org.apache.commons.math.linear.RealVector)arrayRealVector25);
    double[] d_array29 = arrayRealVector25.getDataRef();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector30 = new org.apache.commons.math.linear.ArrayRealVector(d_array29);
    boolean b31 = arrayRealVector30.isNaN();
    org.apache.commons.math.linear.RealVector realVector32 = arrayRealVector0.projection((org.apache.commons.math.linear.RealVector)arrayRealVector30);
    double[] d_array35 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector36 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array35);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array35);
    double[][] d_array_array38 = array2DRowRealMatrix37.getDataRef();
    double[] d_array41 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair44 = new org.apache.commons.math.optimization.RealPointValuePair(d_array41, 0.0d);
    double[] d_array45 = realPointValuePair44.getPointRef();
    double[] d_array46 = array2DRowRealMatrix37.preMultiply(d_array45);
    double[] d_array48 = new double[] {  };
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship51 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array55 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint57 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array49, Double.POSITIVE_INFINITY, relationship51, d_array55, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint59 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array48, relationship51, 100.0d);
    double[] d_array62 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector63 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array62);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair65 = new org.apache.commons.math.optimization.RealPointValuePair(d_array62, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math.linear.ArrayRealVector(d_array62, false);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix68 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array62);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint70 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array46, 11013.0d, relationship51, d_array62, 0.881373587019543d);
    double[] d_array73 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector74 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array73);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix75 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array73);
    double[][] d_array_array76 = array2DRowRealMatrix75.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix78 = array2DRowRealMatrix75.scalarAdd(1.2626272556789118d);
    double[] d_array81 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector82 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array81);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair84 = new org.apache.commons.math.optimization.RealPointValuePair(d_array81, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector86 = new org.apache.commons.math.linear.ArrayRealVector(d_array81, false);
    int i87 = org.apache.commons.math.util.MathUtils.hash(d_array81);
    double[] d_array88 = array2DRowRealMatrix75.preMultiply(d_array81);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array81);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector90 = new org.apache.commons.math.linear.ArrayRealVector(d_array46, d_array81);
    org.apache.commons.math.linear.RealVector realVector91 = arrayRealVector90.unitVector();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector92 = arrayRealVector0.projection(realVector91);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "{}"+ "'", str2.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "hi!"+ "'", str28.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector91);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test288"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    double d2 = arrayRealVector1.getMinValue();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector3);
    java.lang.String str5 = arrayRealVector3.toString();
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship10 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array14 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint16 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array8, Double.POSITIVE_INFINITY, relationship10, d_array14, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math.linear.ArrayRealVector(d_array8, false);
    org.apache.commons.math.linear.RealVector realVector20 = arrayRealVector18.append(11.548739357257746d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector21 = arrayRealVector3.combine(0.10218111879143155d, Double.NaN, (org.apache.commons.math.linear.RealVector)arrayRealVector18);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector1, arrayRealVector18);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector23);
    double d25 = arrayRealVector24.getMinValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction26 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector27 = arrayRealVector24.map(univariateFunction26);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector28 = arrayRealVector1.ebeDivide((org.apache.commons.math.linear.RealVector)arrayRealVector27);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector27.addToEntry((-1), 93646.01489861734d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{}"+ "'", str5.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector28);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test289"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    double[] d_array4 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array6);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array6);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.1219605474603065d, (java.lang.Object[])d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test290"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0, arrayRealVector3);
    org.apache.commons.math.linear.RealVector realVector6 = arrayRealVector4.mapDivide((-1.0d));
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction8 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction(realVector6, 1.0052250343534246d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector9);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector11);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector9, arrayRealVector12);
    arrayRealVector9.set(0.10218111879143155d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector16);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector18);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector16, arrayRealVector19);
    int i21 = arrayRealVector16.getMaxIndex();
    double d22 = arrayRealVector9.getLInfDistance((org.apache.commons.math.linear.RealVector)arrayRealVector16);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector23);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector25 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector25);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector23, arrayRealVector26);
    org.apache.commons.math.linear.RealVector realVector29 = arrayRealVector27.mapDivide((-1.0d));
    double d30 = arrayRealVector9.dotProduct((org.apache.commons.math.linear.RealVector)arrayRealVector27);
    double d31 = linearObjectiveFunction8.getValue((org.apache.commons.math.linear.RealVector)arrayRealVector9);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector34);
    java.lang.String str36 = arrayRealVector34.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector34);
    java.util.Iterator iterator38 = arrayRealVector34.iterator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector39 = arrayRealVector9.combineToSelf(0.8813735870195432d, 1.2952995656795021E29d, (org.apache.commons.math.linear.RealVector)arrayRealVector34);
    java.lang.String str40 = arrayRealVector9.toString();
    org.apache.commons.math.linear.RealVector realVector41 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector42 = arrayRealVector9.projection(realVector41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0052250343534246d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "{}"+ "'", str36.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "{}"+ "'", str40.equals("{}"));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test291"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = array2DRowRealMatrix13.walkInColumnOrder(realMatrixChangingVisitor14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test292"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.9998039600078416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test293"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.CompositeFormat.parseAndIgnoreWhitespace("<=", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test294"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldVector fieldVector7 = array2DRowFieldMatrix1.getRowVector((-1037659958));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test295"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair5 = new org.apache.commons.math.optimization.RealPointValuePair(d_array2, 0.0d);
    double[] d_array6 = realPointValuePair5.getPointRef();
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array6);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector(d_array6);
    java.util.Iterator iterator9 = arrayRealVector8.iterator();
    java.io.ObjectOutputStream objectOutputStream10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector8, objectOutputStream10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator9);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test296"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array16);
    double[] d_array19 = array2DRowRealMatrix13.preMultiply(d_array16);
    double d20 = array2DRowRealMatrix13.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix13.getRowMatrix(0);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor23 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d24 = array2DRowRealMatrix13.walkInRowOrder(realMatrixChangingVisitor23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test297"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i11 = openMapRealMatrix10.getColumnDimension();
    int i12 = openMapRealMatrix10.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix6.add(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.subtract(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix16);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    openMapRealMatrix20.multiplyEntry(3, 36, 67.033d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix25 = openMapRealMatrix20.copy();
    openMapRealMatrix25.addToEntry(0, 0, 0.0d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix30 = openMapRealMatrix25.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix33 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    openMapRealMatrix33.multiplyEntry(3, 36, 67.033d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix38 = openMapRealMatrix33.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix39 = openMapRealMatrix25.add(openMapRealMatrix38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkMultiplicationCompatible((org.apache.commons.math.linear.AnyMatrix)openMapRealMatrix17, (org.apache.commons.math.linear.AnyMatrix)openMapRealMatrix39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix39);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test298"); }


    org.apache.commons.math.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math.linear.MatrixDimensionMismatchException(52, 785855953, 10, 10);
    int i5 = matrixDimensionMismatchException4.getWrongColumnDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 785855953);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test299"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    int i6 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.Field field7 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix8 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field7);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array9 = array2DRowFieldMatrix8.getDataRef();
    int i10 = array2DRowFieldMatrix8.getRowDimension();
    boolean b11 = array2DRowFieldMatrix8.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix12 = array2DRowFieldMatrix1.preMultiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test300"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    java.lang.String str14 = array2DRowRealMatrix11.toString();
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix19);
    org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix20.scalarAdd(1.2952995656795021E29d);
    double[] d_array25 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array25);
    double[][] d_array_array28 = array2DRowRealMatrix27.getDataRef();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair34 = new org.apache.commons.math.optimization.RealPointValuePair(d_array31, 0.0d);
    double[] d_array35 = realPointValuePair34.getPointRef();
    double[] d_array36 = array2DRowRealMatrix27.preMultiply(d_array35);
    double[] d_array38 = new double[] {  };
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship41 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array45 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint47 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array39, Double.POSITIVE_INFINITY, relationship41, d_array45, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint49 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array38, relationship41, 100.0d);
    double[] d_array52 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair55 = new org.apache.commons.math.optimization.RealPointValuePair(d_array52, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math.linear.ArrayRealVector(d_array52, false);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix58 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array52);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint60 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array36, 11013.0d, relationship41, d_array52, 0.881373587019543d);
    double[] d_array63 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector64 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array63);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array63);
    double[][] d_array_array66 = array2DRowRealMatrix65.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix68 = array2DRowRealMatrix65.scalarAdd(1.2626272556789118d);
    double[] d_array71 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector72 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array71);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair74 = new org.apache.commons.math.optimization.RealPointValuePair(d_array71, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector76 = new org.apache.commons.math.linear.ArrayRealVector(d_array71, false);
    int i77 = org.apache.commons.math.util.MathUtils.hash(d_array71);
    double[] d_array78 = array2DRowRealMatrix65.preMultiply(d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector80 = new org.apache.commons.math.linear.ArrayRealVector(d_array36, d_array71);
    boolean b81 = array2DRowRealMatrix20.equals((java.lang.Object)arrayRealVector80);
    int i82 = array2DRowRealMatrix20.getColumnDimension();
    org.apache.commons.math.linear.RealVector realVector83 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.solveLowerTriangularSystem((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix20, realVector83);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str14.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 1);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test301"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor5, (-20), 100, 36, (-532980225));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test302"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.812644285236262E-103d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test303"); }


    org.apache.commons.math.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math.linear.BlockFieldMatrix(field0, (-20), 785855953);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test304"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    double[] d_array4 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array4);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[][] d_array_array8 = array2DRowRealMatrix6.getDataRef();
    double[] d_array11 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector12 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array11);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array11);
    double[][] d_array_array14 = array2DRowRealMatrix13.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = array2DRowRealMatrix6.subtract(array2DRowRealMatrix13);
    double[] d_array18 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector19 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array18);
    org.apache.commons.math.linear.RealMatrix realMatrix20 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array18);
    double[] d_array21 = array2DRowRealMatrix15.preMultiply(d_array18);
    int i22 = org.apache.commons.math.util.MathUtils.hash(d_array21);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setColumn((-127), d_array21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 31);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test305"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(2.812644285236262E-103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-102.5508851895296d));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test306"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d8 = blockRealMatrix7.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d12 = blockRealMatrix11.getFrobeniusNorm();
    double d13 = blockRealMatrix11.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix7.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix11);
    double d15 = blockRealMatrix7.getFrobeniusNorm();
    double[] d_array17 = blockRealMatrix7.getRow(0);
    boolean b18 = array2DRowFieldMatrix1.equals((java.lang.Object)0);
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor19 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement24 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixChangingVisitor19, 2117366879, 0, (-532980225), (-1037659958));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test307"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field9 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix10 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field9);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array11 = array2DRowFieldMatrix10.getDataRef();
    int i12 = array2DRowFieldMatrix10.getRowDimension();
    boolean b13 = array2DRowFieldMatrix10.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix14 = array2DRowFieldMatrix1.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test308"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.10649231749428491d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4739939074363401d));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test309"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair5 = new org.apache.commons.math.optimization.RealPointValuePair(d_array2, 0.0d);
    double[] d_array6 = realPointValuePair5.getPointRef();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector(d_array6, false);
    double[] d_array9 = arrayRealVector8.getDataRef();
    int i10 = arrayRealVector8.getMinIndex();
    java.text.NumberFormat numberFormat14 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat15 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat14);
    java.lang.String str16 = realVectorFormat15.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = arrayRealVector17.mapSubtractToSelf(0.0d);
    java.lang.String str20 = realVectorFormat15.format((org.apache.commons.math.linear.RealVector)arrayRealVector17);
    org.apache.commons.math.linear.RealVector realVector22 = arrayRealVector17.mapDivide((-1.0d));
    int i23 = arrayRealVector17.getMaxIndex();
    arrayRealVector17.set(1.5707963267948966d);
    org.apache.commons.math.linear.RealVector realVector26 = arrayRealVector8.append((org.apache.commons.math.linear.RealVector)arrayRealVector17);
    double[] d_array28 = new double[] {  };
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship31 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array35 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint37 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array29, Double.POSITIVE_INFINITY, relationship31, d_array35, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint39 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array28, relationship31, 100.0d);
    double d40 = linearConstraint39.getValue();
    double d41 = linearConstraint39.getValue();
    double d42 = linearConstraint39.getValue();
    org.apache.commons.math.optimization.linear.Relationship relationship43 = linearConstraint39.getRelationship();
    org.apache.commons.math.linear.RealVector realVector44 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint46 = new org.apache.commons.math.optimization.linear.LinearConstraint(realVector26, 3.141592653589793d, relationship43, realVector44, (-0.10101804543046455d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship43);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test310"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixPreservingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test311"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0, arrayRealVector3);
    double[] d_array5 = new double[] {  };
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship8 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array12 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint14 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array6, Double.POSITIVE_INFINITY, relationship8, d_array12, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint16 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array5, relationship8, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship20 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array24 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint26 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array18, Double.POSITIVE_INFINITY, relationship20, d_array24, 1.0d);
    double[] d_array29 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector30 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array29);
    org.apache.commons.math.linear.RealMatrix realMatrix31 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array29);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint33 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array5, (-1.0d), relationship20, d_array29, 1.4210804127942926d);
    org.apache.commons.math.linear.RealVector realVector34 = linearConstraint33.getCoefficients();
    double d35 = arrayRealVector4.getDistance(realVector34);
    double d36 = arrayRealVector4.getNorm();
    double[] d_array39 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math.linear.ArrayRealVector(realVector40);
    java.lang.String str42 = arrayRealVector41.toString();
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math.linear.ArrayRealVector(realVector46);
    org.apache.commons.math.linear.RealVector realVector49 = realVector46.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix50 = arrayRealVector41.outerProduct(realVector46);
    org.apache.commons.math.linear.RealVector realVector52 = arrayRealVector41.append(0.0d);
    java.text.NumberFormat numberFormat56 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat57 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat56);
    boolean b58 = arrayRealVector41.equals((java.lang.Object)numberFormat56);
    double[] d_array59 = arrayRealVector41.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix60 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array59);
    org.apache.commons.math.linear.RealMatrix realMatrix61 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array59);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector4, d_array59);
    double[] d_array63 = new double[] {  };
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship66 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array70 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint72 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array64, Double.POSITIVE_INFINITY, relationship66, d_array70, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint74 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array63, relationship66, 100.0d);
    double[] d_array76 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship78 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array82 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint84 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array76, Double.POSITIVE_INFINITY, relationship78, d_array82, 1.0d);
    double[] d_array87 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector88 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array87);
    org.apache.commons.math.linear.RealMatrix realMatrix89 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array87);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint91 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array63, (-1.0d), relationship78, d_array87, 1.4210804127942926d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector92 = new org.apache.commons.math.linear.ArrayRealVector(d_array59, d_array87);
    org.apache.commons.math.linear.RealVector realVector94 = arrayRealVector92.mapAdd(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "{1; -1}"+ "'", str42.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector94);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test312"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    double d10 = blockRealMatrix2.getFrobeniusNorm();
    double[] d_array12 = blockRealMatrix2.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector(d_array12, 0, (-1869155408));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test313"); }


    java.text.NumberFormat numberFormat3 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat3);
    java.lang.String str5 = realVectorFormat4.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector8 = arrayRealVector6.mapSubtractToSelf(0.0d);
    java.lang.String str9 = realVectorFormat4.format((org.apache.commons.math.linear.RealVector)arrayRealVector6);
    double[] d_array10 = arrayRealVector6.getDataRef();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction12 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction(d_array10, 0.8956779913441568d);
    org.apache.commons.math.linear.RealVector realVector13 = linearObjectiveFunction12.getCoefficients();
    java.lang.Double[] d_array15 = new java.lang.Double[] { 11013.23292010332d };
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math.linear.ArrayRealVector(d_array15, 0, 1);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math.linear.ArrayRealVector(d_array15);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = linearObjectiveFunction12.getValue((org.apache.commons.math.linear.RealVector)arrayRealVector19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test314"); }


    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException0 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext1 = mathIllegalStateException0.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test315"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 0.0d);
    double[] d_array12 = realPointValuePair11.getPointRef();
    double[] d_array13 = array2DRowRealMatrix4.preMultiply(d_array12);
    double[][] d_array_array14 = array2DRowRealMatrix4.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array18 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector19 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array18);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array18);
    double[][] d_array_array21 = array2DRowRealMatrix20.getDataRef();
    double[][] d_array_array22 = array2DRowRealMatrix20.getDataRef();
    double[] d_array25 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array25);
    double[][] d_array_array28 = array2DRowRealMatrix27.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = array2DRowRealMatrix20.subtract(array2DRowRealMatrix27);
    java.lang.String str30 = array2DRowRealMatrix27.toString();
    double[] d_array34 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array34);
    double[][] d_array_array37 = array2DRowRealMatrix36.getDataRef();
    double[] d_array40 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector41 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array40);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair43 = new org.apache.commons.math.optimization.RealPointValuePair(d_array40, 0.0d);
    double[] d_array44 = realPointValuePair43.getPointRef();
    double[] d_array45 = array2DRowRealMatrix36.preMultiply(d_array44);
    double[][] d_array_array46 = array2DRowRealMatrix36.getData();
    double d47 = array2DRowRealMatrix36.getFrobeniusNorm();
    array2DRowRealMatrix27.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix36);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix15.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix36);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor50 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d55 = blockRealMatrix15.walkInOptimizedOrder(realMatrixChangingVisitor50, 2, 3, 901951979, 901951979);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str30.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test316"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    int i8 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix2.add(openMapRealMatrix6);
    double[] d_array12 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array12);
    double[][] d_array_array15 = array2DRowRealMatrix14.getDataRef();
    double[][] d_array_array16 = array2DRowRealMatrix14.getDataRef();
    double[] d_array19 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array19);
    double[][] d_array_array22 = array2DRowRealMatrix21.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix14.subtract(array2DRowRealMatrix21);
    double[] d_array26 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    org.apache.commons.math.linear.RealMatrix realMatrix28 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array26);
    double[] d_array29 = array2DRowRealMatrix23.preMultiply(d_array26);
    double[][] d_array_array30 = array2DRowRealMatrix23.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix32 = array2DRowRealMatrix23.scalarMultiply(0.5358982356953318d);
    double[] d_array35 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector36 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array35);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array35);
    double[][] d_array_array38 = array2DRowRealMatrix37.getDataRef();
    double[] d_array41 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair44 = new org.apache.commons.math.optimization.RealPointValuePair(d_array41, 0.0d);
    double[] d_array45 = realPointValuePair44.getPointRef();
    double[] d_array46 = array2DRowRealMatrix37.preMultiply(d_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector48 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector49 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector48);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector50 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector51 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector50);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector52 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector48, arrayRealVector51);
    arrayRealVector48.set(0.10218111879143155d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector55 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector56 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector55);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector57);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector59 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector55, arrayRealVector58);
    int i60 = arrayRealVector55.getMaxIndex();
    double d61 = arrayRealVector48.getLInfDistance((org.apache.commons.math.linear.RealVector)arrayRealVector55);
    double[] d_array62 = arrayRealVector48.toArray();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math.linear.ArrayRealVector(d_array46, d_array62);
    double[] d_array64 = array2DRowRealMatrix23.operate(d_array46);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array65 = openMapRealMatrix2.preMultiply(d_array64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test317"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(11013.232920103323d, (-0.10101804543046455d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.10101804543046455d));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test318"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    double d4 = blockRealMatrix2.getNorm();
    double[] d_array7 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector8 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array7);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix11 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array10);
    double[][] d_array_array12 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array10);
    blockRealMatrix2.setSubMatrix(d_array_array10, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector17 = blockRealMatrix2.getRowVector((-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test319"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix2 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(0, 96);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test320"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix2.transpose();
    double d20 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship27 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array31 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint33 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array25, Double.POSITIVE_INFINITY, relationship27, d_array31, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math.linear.ArrayRealVector(d_array25, false);
    org.apache.commons.math.linear.RealVector realVector37 = arrayRealVector35.append(11.548739357257746d);
    blockRealMatrix23.setRowVector(0, realVector37);
    double[][] d_array_array39 = blockRealMatrix23.getData();
    double d40 = blockRealMatrix23.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix23);
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array45);
    double[][] d_array_array48 = array2DRowRealMatrix47.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix50 = array2DRowRealMatrix47.scalarAdd(1.2626272556789118d);
    double[] d_array53 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector54 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array53);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair56 = new org.apache.commons.math.optimization.RealPointValuePair(d_array53, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math.linear.ArrayRealVector(d_array53, false);
    int i59 = org.apache.commons.math.util.MathUtils.hash(d_array53);
    double[] d_array60 = array2DRowRealMatrix47.preMultiply(d_array53);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setColumn(36, d_array53);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test321"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 0.0d);
    double[] d_array12 = realPointValuePair11.getPointRef();
    double[] d_array13 = array2DRowRealMatrix4.preMultiply(d_array12);
    double[][] d_array_array14 = array2DRowRealMatrix4.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array14, false);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = array2DRowRealMatrix17.walkInColumnOrder(realMatrixChangingVisitor18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test322"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.10119064810960694d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test323"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    double d12 = blockRealMatrix6.getNorm();
    org.apache.commons.math.linear.RealVector realVector14 = blockRealMatrix6.getColumnVector(0);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = blockRealMatrix6.transpose();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = blockRealMatrix6.walkInColumnOrder(realMatrixChangingVisitor16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix15);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test324"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    java.io.ObjectOutputStream objectOutputStream14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix13, objectOutputStream14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test325"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    openMapRealMatrix2.multiplyEntry(3, 36, 67.033d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    openMapRealMatrix7.addToEntry(0, 0, 0.0d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i15 = openMapRealMatrix14.getColumnDimension();
    int i16 = openMapRealMatrix14.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = openMapRealMatrix7.add(openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix22 = new org.apache.commons.math.linear.OpenMapRealMatrix(1, 3);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = openMapRealMatrix22.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix19.add(openMapRealMatrix22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix23);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test326"); }


    float f3 = org.apache.commons.math.util.Precision.round(0.99999994f, (-1037659958), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test327"); }


    org.apache.commons.math.optimization.linear.SimplexSolver simplexSolver2 = new org.apache.commons.math.optimization.linear.SimplexSolver(1.4142135623730951d, 10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector3);
    double[] d_array7 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector8 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array7);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(realVector8);
    org.apache.commons.math.linear.RealVector realVector11 = realVector8.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math.linear.ArrayRealVector(realVector8);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector15 = arrayRealVector13.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector16 = arrayRealVector12.append(arrayRealVector13);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector3, arrayRealVector16);
    java.util.Iterator iterator18 = arrayRealVector16.sparseIterator();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction20 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction((org.apache.commons.math.linear.RealVector)arrayRealVector16, Double.NaN);
    java.lang.Object obj21 = null;
    boolean b22 = linearObjectiveFunction20.equals(obj21);
    java.util.Collection collection23 = null;
    org.apache.commons.math.optimization.GoalType goalType24 = org.apache.commons.math.optimization.GoalType.MAXIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.RealPointValuePair realPointValuePair26 = simplexSolver2.optimize(linearObjectiveFunction20, collection23, goalType24, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType24);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test328"); }


    java.text.NumberFormat numberFormat3 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat3);
    java.lang.String str5 = realVectorFormat4.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector8 = arrayRealVector6.mapSubtractToSelf(0.0d);
    java.lang.String str9 = realVectorFormat4.format((org.apache.commons.math.linear.RealVector)arrayRealVector6);
    double[] d_array10 = arrayRealVector6.getDataRef();
    double[] d_array13 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector(realVector14);
    java.lang.String str16 = arrayRealVector15.toString();
    double[] d_array19 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math.linear.ArrayRealVector(realVector20);
    org.apache.commons.math.linear.RealVector realVector23 = realVector20.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = arrayRealVector15.outerProduct(realVector20);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector25 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector6, arrayRealVector15);
    org.apache.commons.math.linear.RealVector realVector27 = arrayRealVector25.mapAddToSelf(1.2017468266102238d);
    double[] d_array30 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector32 = new org.apache.commons.math.linear.ArrayRealVector(realVector31);
    java.lang.String str33 = arrayRealVector32.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector34 = arrayRealVector32.copy();
    double d35 = arrayRealVector25.getLInfDistance((org.apache.commons.math.linear.RealVector)arrayRealVector34);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector36 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.ArrayRealVector arrayRealVector37 = arrayRealVector25.append(arrayRealVector36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "{1; -1}"+ "'", str16.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "{1; -1}"+ "'", str33.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.2017468266102238d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test329"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(100.00001f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test330"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test331"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.scalarAdd((-1.0d));
    double[] d_array14 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array14);
    double[][] d_array_array17 = array2DRowRealMatrix16.getDataRef();
    double[][] d_array_array18 = array2DRowRealMatrix16.getDataRef();
    double[] d_array21 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array21);
    double[][] d_array_array24 = array2DRowRealMatrix23.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = array2DRowRealMatrix16.subtract(array2DRowRealMatrix23);
    int i26 = array2DRowRealMatrix25.getColumnDimension();
    org.apache.commons.math.linear.RealVector realVector28 = array2DRowRealMatrix25.getRowVector(0);
    int i29 = array2DRowRealMatrix25.getColumnDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix30 = array2DRowRealMatrix25.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix32 = array2DRowRealMatrix25.scalarAdd(0.015382871033603784d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix33 = blockRealMatrix6.multiply((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test332"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-1023), (java.lang.Number)9223372036854775807L, true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 9223372036854775807L+ "'", number4.equals(9223372036854775807L));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test333"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix6 = array2DRowFieldMatrix1.getColumnMatrix((-532980225));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test334"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector1);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector3);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector1, arrayRealVector4);
    double[] d_array6 = new double[] {  };
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship9 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array13 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint15 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array7, Double.POSITIVE_INFINITY, relationship9, d_array13, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint17 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array6, relationship9, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship21 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array25 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint27 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array19, Double.POSITIVE_INFINITY, relationship21, d_array25, 1.0d);
    double[] d_array30 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array30);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint34 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array6, (-1.0d), relationship21, d_array30, 1.4210804127942926d);
    org.apache.commons.math.linear.RealVector realVector35 = linearConstraint34.getCoefficients();
    double d36 = arrayRealVector5.getDistance(realVector35);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector0, arrayRealVector5);
    double[] d_array40 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector41 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array40);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector42 = new org.apache.commons.math.linear.ArrayRealVector(realVector41);
    double d43 = realVector41.getMaxValue();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix44 = arrayRealVector37.outerProduct(realVector41);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test335"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    double d2 = arrayRealVector1.getMinValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction3 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = arrayRealVector1.map(univariateFunction3);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector4, false);
    java.lang.Double[] d_array8 = new java.lang.Double[] { 2.718281828459045d };
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(d_array8);
    double d10 = arrayRealVector9.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      double d11 = arrayRealVector4.getLInfDistance((org.apache.commons.math.linear.RealVector)arrayRealVector9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.718281828459045d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test336"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i11 = openMapRealMatrix10.getColumnDimension();
    int i12 = openMapRealMatrix10.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix6.add(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.subtract(openMapRealMatrix10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = openMapRealMatrix10.createMatrix(901951979, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test337"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.4E-45f, 1.0f, (-532980225));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test338"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixPreservingVisitor1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test339"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)11013.23292010332d);
    boolean b5 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.FieldElement fieldElement7 = null;
    org.apache.commons.math.FieldElement[] fieldElement_array8 = new org.apache.commons.math.FieldElement[] { fieldElement7 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumn(2117366879, fieldElement_array8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array8);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test340"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(11.152674297177025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 69749.11142525458d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test341"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    int i4 = openMapRealMatrix2.getColumnDimension();
    int i5 = openMapRealMatrix2.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.multiplyEntry(10, (-785855953), 0.29289321881345254d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 52);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test342"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, number1, (java.lang.Number)(short)10, number3);
    java.lang.Number number5 = outOfRangeException4.getHi();
    java.lang.Number number6 = outOfRangeException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test343"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.RealMatrix realMatrix5 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array4);
    double[][] d_array_array6 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array6);
    double[][] d_array_array8 = blockRealMatrix7.getData();
    double[] d_array12 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(realVector13);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix7.setRowVector((-1037659958), (org.apache.commons.math.linear.RealVector)arrayRealVector14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test344"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    int i4 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = blockRealMatrix5.walkInOptimizedOrder(realMatrixPreservingVisitor6, 1650129271, (-785855953), 100, (-2109352879));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test345"); }


    org.apache.commons.math.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix(field0, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test346"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    int i4 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix7 = blockRealMatrix5.scalarMultiply(1.4210804127942926d);
    double[] d_array10 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector11 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array10);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array10);
    double[][] d_array_array13 = array2DRowRealMatrix12.getDataRef();
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair19 = new org.apache.commons.math.optimization.RealPointValuePair(d_array16, 0.0d);
    double[] d_array20 = realPointValuePair19.getPointRef();
    double[] d_array21 = array2DRowRealMatrix12.preMultiply(d_array20);
    double[][] d_array_array22 = array2DRowRealMatrix12.getData();
    double[] d_array25 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array25);
    double[][] d_array_array28 = array2DRowRealMatrix27.getDataRef();
    double[][] d_array_array29 = array2DRowRealMatrix27.getDataRef();
    double[] d_array32 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array32);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = array2DRowRealMatrix27.subtract(array2DRowRealMatrix34);
    int i37 = array2DRowRealMatrix36.getColumnDimension();
    double[] d_array40 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector41 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array40);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array40);
    double[][] d_array_array43 = array2DRowRealMatrix42.getDataRef();
    double[][] d_array_array44 = array2DRowRealMatrix42.getDataRef();
    double[] d_array47 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector48 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array47);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array47);
    double[][] d_array_array50 = array2DRowRealMatrix49.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix51 = array2DRowRealMatrix42.subtract(array2DRowRealMatrix49);
    double[] d_array54 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector55 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array54);
    org.apache.commons.math.linear.RealMatrix realMatrix56 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array54);
    double[] d_array57 = array2DRowRealMatrix51.preMultiply(d_array54);
    double[] d_array58 = array2DRowRealMatrix36.operate(d_array57);
    org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix12, (org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix36);
    int[] i_array61 = new int[] { 1 };
    int[] i_array63 = new int[] { 0 };
    double[] d_array66 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector67 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array66);
    double[][] d_array_array68 = new double[][] { d_array66 };
    org.apache.commons.math.linear.RealMatrix realMatrix69 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array68);
    array2DRowRealMatrix12.copySubMatrix(i_array61, i_array63, d_array_array68);
    int[] i_array72 = new int[] { 1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix5, i_array61, i_array72);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test347"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix5 = blockRealMatrix2.scalarMultiply(10.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector6);
    double[] d_array10 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector11 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math.linear.ArrayRealVector(realVector11);
    org.apache.commons.math.linear.RealVector realVector14 = realVector11.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector(realVector11);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector18 = arrayRealVector16.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector19 = arrayRealVector15.append(arrayRealVector16);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector6, arrayRealVector19);
    java.util.Iterator iterator21 = arrayRealVector19.sparseIterator();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction23 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction((org.apache.commons.math.linear.RealVector)arrayRealVector19, Double.NaN);
    double d24 = linearObjectiveFunction23.getConstantTerm();
    double d25 = linearObjectiveFunction23.getConstantTerm();
    org.apache.commons.math.linear.RealVector realVector26 = linearObjectiveFunction23.getCoefficients();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.solveLowerTriangularSystem(realMatrix5, realVector26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test348"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double d14 = array2DRowRealMatrix4.getNorm();
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    double[][] d_array_array20 = array2DRowRealMatrix19.getDataRef();
    double[][] d_array_array21 = array2DRowRealMatrix19.getDataRef();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = array2DRowRealMatrix19.subtract(array2DRowRealMatrix26);
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[][] d_array_array34 = array2DRowRealMatrix33.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = array2DRowRealMatrix26.subtract(array2DRowRealMatrix33);
    double[] d_array38 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array38);
    double[][] d_array_array41 = array2DRowRealMatrix40.getDataRef();
    double[][] d_array_array42 = array2DRowRealMatrix40.getDataRef();
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array45);
    double[][] d_array_array48 = array2DRowRealMatrix47.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix40.subtract(array2DRowRealMatrix47);
    java.lang.String str50 = array2DRowRealMatrix47.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix51 = array2DRowRealMatrix33.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix47);
    org.apache.commons.math.linear.RealMatrix realMatrix52 = array2DRowRealMatrix4.add(realMatrix51);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor53 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d54 = array2DRowRealMatrix4.walkInRowOrder(realMatrixPreservingVisitor53);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str50.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test349"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.718281828459045d, 2.1730492634188204E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test350"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(2.3052170728333294d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3210034214643929d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test351"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d8 = blockRealMatrix7.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d12 = blockRealMatrix11.getFrobeniusNorm();
    double d13 = blockRealMatrix11.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix7.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix11);
    double d15 = blockRealMatrix7.getFrobeniusNorm();
    double[] d_array17 = blockRealMatrix7.getRow(0);
    boolean b18 = array2DRowFieldMatrix1.equals((java.lang.Object)0);
    double[] d_array21 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array21);
    double[][] d_array_array24 = array2DRowRealMatrix23.getDataRef();
    double[] d_array27 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair30 = new org.apache.commons.math.optimization.RealPointValuePair(d_array27, 0.0d);
    double[] d_array31 = realPointValuePair30.getPointRef();
    double[] d_array32 = array2DRowRealMatrix23.preMultiply(d_array31);
    double[][] d_array_array33 = array2DRowRealMatrix23.getData();
    double[] d_array36 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector37 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array36);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array36);
    double[][] d_array_array39 = array2DRowRealMatrix38.getDataRef();
    double[][] d_array_array40 = array2DRowRealMatrix38.getDataRef();
    double[] d_array43 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array43);
    double[][] d_array_array46 = array2DRowRealMatrix45.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = array2DRowRealMatrix38.subtract(array2DRowRealMatrix45);
    int i48 = array2DRowRealMatrix47.getColumnDimension();
    double[] d_array51 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector52 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array51);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix53 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array51);
    double[][] d_array_array54 = array2DRowRealMatrix53.getDataRef();
    double[][] d_array_array55 = array2DRowRealMatrix53.getDataRef();
    double[] d_array58 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector59 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array58);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array58);
    double[][] d_array_array61 = array2DRowRealMatrix60.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = array2DRowRealMatrix53.subtract(array2DRowRealMatrix60);
    double[] d_array65 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector66 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array65);
    org.apache.commons.math.linear.RealMatrix realMatrix67 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array65);
    double[] d_array68 = array2DRowRealMatrix62.preMultiply(d_array65);
    double[] d_array69 = array2DRowRealMatrix47.operate(d_array68);
    org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix23, (org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix47);
    int[] i_array72 = new int[] { 1 };
    int[] i_array74 = new int[] { 0 };
    double[] d_array77 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector78 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array77);
    double[][] d_array_array79 = new double[][] { d_array77 };
    org.apache.commons.math.linear.RealMatrix realMatrix80 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array79);
    array2DRowRealMatrix23.copySubMatrix(i_array72, i_array74, d_array_array79);
    int[] i_array82 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix83 = array2DRowFieldMatrix1.getSubMatrix(i_array74, i_array82);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array82);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test352"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    int i6 = array2DRowFieldMatrix1.getColumnDimension();
    int i7 = array2DRowFieldMatrix1.getRowDimension();
    boolean b8 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.Field field9 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix10 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field9);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array11 = array2DRowFieldMatrix10.getDataRef();
    int i12 = array2DRowFieldMatrix10.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix13 = array2DRowFieldMatrix1.preMultiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test353"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)11013.23292010332d);
    boolean b5 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement11 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor6, (-1048576), 1650129271, 1, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test354"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.Field field6 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix7 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field6);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix7.getDataRef();
    int i9 = array2DRowFieldMatrix7.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array10 = array2DRowFieldMatrix7.getDataRef();
    int i11 = array2DRowFieldMatrix7.getColumnDimension();
    int i12 = array2DRowFieldMatrix7.getColumnDimension();
    int i13 = array2DRowFieldMatrix7.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowMatrix((-785855953), (org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test355"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0, arrayRealVector3);
    arrayRealVector0.set(0.10218111879143155d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector7);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector9);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector7, arrayRealVector10);
    int i12 = arrayRealVector7.getMaxIndex();
    double d13 = arrayRealVector0.getLInfDistance((org.apache.commons.math.linear.RealVector)arrayRealVector7);
    double[] d_array14 = arrayRealVector0.toArray();
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair16 = new org.apache.commons.math.optimization.RealPointValuePair(d_array14, 6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test356"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d6 = blockRealMatrix5.getFrobeniusNorm();
    double[][] d_array_array7 = blockRealMatrix5.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix5.scalarAdd(4.61512051684126d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix2.subtract(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix10.transpose();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = blockRealMatrix10.walkInRowOrder(realMatrixChangingVisitor12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test357"); }


    org.apache.commons.math.linear.RealMatrix realMatrix0 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector1);
    double[] d_array7 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector8 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array7);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[][] d_array_array11 = array2DRowRealMatrix9.getDataRef();
    double[] d_array14 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array14);
    double[][] d_array_array17 = array2DRowRealMatrix16.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix9.subtract(array2DRowRealMatrix16);
    java.lang.String str19 = array2DRowRealMatrix16.toString();
    double[] d_array22 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector23 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array22);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array22);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = array2DRowRealMatrix16.subtract(array2DRowRealMatrix24);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector26);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector28 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector28);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector30 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector26, arrayRealVector29);
    arrayRealVector26.set(0.10218111879143155d);
    boolean b33 = array2DRowRealMatrix16.equals((java.lang.Object)arrayRealVector26);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector34 = arrayRealVector2.combineToSelf(1.0052250343534246d, 5.059684146676958E9d, (org.apache.commons.math.linear.RealVector)arrayRealVector26);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.solveUpperTriangularSystem(realMatrix0, (org.apache.commons.math.linear.RealVector)arrayRealVector2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector34);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test358"); }


    org.apache.commons.math.optimization.linear.SimplexSolver simplexSolver2 = new org.apache.commons.math.optimization.linear.SimplexSolver(1.4142135623730951d, 10);
    int i3 = simplexSolver2.getIterations();
    double[] d_array6 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array6);
    double[][] d_array_array9 = array2DRowRealMatrix8.getDataRef();
    double[][] d_array_array10 = array2DRowRealMatrix8.getDataRef();
    double[] d_array13 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array13);
    double[][] d_array_array16 = array2DRowRealMatrix15.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = array2DRowRealMatrix8.subtract(array2DRowRealMatrix15);
    double[] d_array20 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector21 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array20);
    org.apache.commons.math.linear.RealMatrix realMatrix22 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array20);
    double[] d_array23 = array2DRowRealMatrix17.preMultiply(d_array20);
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector25 = new org.apache.commons.math.linear.ArrayRealVector(d_array23);
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction27 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction(d_array23, 1.1102230246251565E-16d);
    java.util.Collection collection28 = null;
    org.apache.commons.math.optimization.GoalType goalType29 = org.apache.commons.math.optimization.GoalType.MAXIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.RealPointValuePair realPointValuePair31 = simplexSolver2.optimize(linearObjectiveFunction27, collection28, goalType29, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType29);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test359"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(69749.11142525458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 264.10057066438645d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test360"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix1.copy();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test361"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement7 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test362"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(100.0f, 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test363"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d21 = blockRealMatrix20.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d25 = blockRealMatrix24.getFrobeniusNorm();
    double d26 = blockRealMatrix24.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix24);
    double d28 = blockRealMatrix20.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix30 = blockRealMatrix20.scalarMultiply(1.5707963267948966d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix31 = blockRealMatrix2.add(blockRealMatrix20);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor32 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d33 = blockRealMatrix20.walkInOptimizedOrder(realMatrixPreservingVisitor32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix31);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test364"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i11 = openMapRealMatrix10.getColumnDimension();
    int i12 = openMapRealMatrix10.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix6.add(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.subtract(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix16);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix17);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix22 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    openMapRealMatrix22.multiplyEntry(3, 36, 67.033d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix27 = openMapRealMatrix22.copy();
    openMapRealMatrix27.addToEntry(0, 0, 0.0d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix32 = openMapRealMatrix27.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix35 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    openMapRealMatrix35.multiplyEntry(3, 36, 67.033d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix40 = openMapRealMatrix35.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix41 = openMapRealMatrix27.add(openMapRealMatrix40);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix17.setRowMatrix(100, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix41);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test365"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    openMapRealMatrix2.multiplyEntry(3, 36, 67.033d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    openMapRealMatrix7.addToEntry(0, 0, 0.0d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = openMapRealMatrix7.copy();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = openMapRealMatrix7.walkInRowOrder(realMatrixChangingVisitor13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix12);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test366"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement12 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor7, 3, (-36), (-532980225), 1650129271);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test367"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.010908128015230735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test368"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d5 = openMapRealMatrix2.walkInRowOrder(realMatrixChangingVisitor4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test369"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)11013.23292010332d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix1, (-127), (-1048576), 36, 1650129271);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test370"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0, arrayRealVector3);
    double[] d_array5 = new double[] {  };
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship8 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array12 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint14 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array6, Double.POSITIVE_INFINITY, relationship8, d_array12, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint16 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array5, relationship8, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship20 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array24 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint26 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array18, Double.POSITIVE_INFINITY, relationship20, d_array24, 1.0d);
    double[] d_array29 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector30 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array29);
    org.apache.commons.math.linear.RealMatrix realMatrix31 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array29);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint33 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array5, (-1.0d), relationship20, d_array29, 1.4210804127942926d);
    org.apache.commons.math.linear.RealVector realVector34 = linearConstraint33.getCoefficients();
    double d35 = arrayRealVector4.getDistance(realVector34);
    double d36 = arrayRealVector4.getNorm();
    double[] d_array39 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math.linear.ArrayRealVector(realVector40);
    java.lang.String str42 = arrayRealVector41.toString();
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math.linear.ArrayRealVector(realVector46);
    org.apache.commons.math.linear.RealVector realVector49 = realVector46.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix50 = arrayRealVector41.outerProduct(realVector46);
    org.apache.commons.math.linear.RealVector realVector52 = arrayRealVector41.append(0.0d);
    java.text.NumberFormat numberFormat56 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat57 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat56);
    boolean b58 = arrayRealVector41.equals((java.lang.Object)numberFormat56);
    double[] d_array59 = arrayRealVector41.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix60 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array59);
    org.apache.commons.math.linear.RealMatrix realMatrix61 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array59);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector4, d_array59);
    double[] d_array63 = new double[] {  };
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship66 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array70 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint72 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array64, Double.POSITIVE_INFINITY, relationship66, d_array70, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint74 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array63, relationship66, 100.0d);
    double[] d_array76 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship78 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array82 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint84 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array76, Double.POSITIVE_INFINITY, relationship78, d_array82, 1.0d);
    double[] d_array87 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector88 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array87);
    org.apache.commons.math.linear.RealMatrix realMatrix89 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array87);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint91 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array63, (-1.0d), relationship78, d_array87, 1.4210804127942926d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector92 = new org.apache.commons.math.linear.ArrayRealVector(d_array59, d_array87);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix93 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array87);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix93.addToEntry(901951979, (-36), 2.524572646509639E9d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "{1; -1}"+ "'", str42.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix89);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test371"); }


    java.text.NumberFormat numberFormat3 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat3);
    java.lang.String str5 = realVectorFormat4.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector8 = arrayRealVector6.mapSubtractToSelf(0.0d);
    java.lang.String str9 = realVectorFormat4.format((org.apache.commons.math.linear.RealVector)arrayRealVector6);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = arrayRealVector6.map(univariateFunction10);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = arrayRealVector11.map(univariateFunction12);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = arrayRealVector11.getEntry(0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test372"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 100);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.multiplyEntry((-1), (-906994533), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test373"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    double[] d_array4 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.RealVector realVector8 = realVector5.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector(realVector5);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = arrayRealVector10.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = arrayRealVector9.append(arrayRealVector10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector0, arrayRealVector13);
    java.util.Iterator iterator15 = arrayRealVector13.sparseIterator();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction17 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction((org.apache.commons.math.linear.RealVector)arrayRealVector13, Double.NaN);
    double d18 = linearObjectiveFunction17.getConstantTerm();
    double d19 = linearObjectiveFunction17.getConstantTerm();
    double d20 = linearObjectiveFunction17.getConstantTerm();
    double[] d_array23 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector24 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair26 = new org.apache.commons.math.optimization.RealPointValuePair(d_array23, 0.0d);
    double[] d_array27 = realPointValuePair26.getPointRef();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math.linear.ArrayRealVector(d_array27, false);
    double[] d_array30 = arrayRealVector29.getDataRef();
    int i31 = arrayRealVector29.getMinIndex();
    double d32 = linearObjectiveFunction17.getValue((org.apache.commons.math.linear.RealVector)arrayRealVector29);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector33);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector35);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector33, arrayRealVector36);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction38 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector39 = arrayRealVector36.mapToSelf(univariateFunction38);
    double[] d_array40 = arrayRealVector39.toArray();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector41 = arrayRealVector29.projection((org.apache.commons.math.linear.RealVector)arrayRealVector39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test374"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement11 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor6, 35, 3, 31, (-532980225));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test375"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 0.0d);
    double[] d_array12 = realPointValuePair11.getPointRef();
    double[] d_array13 = array2DRowRealMatrix4.preMultiply(d_array12);
    double[][] d_array_array14 = array2DRowRealMatrix4.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = blockRealMatrix15.scalarMultiply(2.1730492634188204E-15d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix15.getColumnMatrix(31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test376"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixPreservingVisitor5, (-532980225), 36, (-532980225), (-2109352879));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test377"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7853981633974483d));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test378"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 0.0d);
    double[] d_array12 = realPointValuePair11.getPointRef();
    double[] d_array13 = array2DRowRealMatrix4.preMultiply(d_array12);
    double[][] d_array_array14 = array2DRowRealMatrix4.getData();
    double d15 = array2DRowRealMatrix4.getFrobeniusNorm();
    double d16 = array2DRowRealMatrix4.getNorm();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d22 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixChangingVisitor17, (-1037659958), (-4), 2113930177, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.0d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test379"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0, arrayRealVector3);
    arrayRealVector0.set(0.10218111879143155d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector7);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector9);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector7, arrayRealVector10);
    int i12 = arrayRealVector7.getMaxIndex();
    double d13 = arrayRealVector0.getLInfDistance((org.apache.commons.math.linear.RealVector)arrayRealVector7);
    double[] d_array14 = arrayRealVector0.toArray();
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math.linear.ArrayRealVector(d_array14, true);
    double[] d_array20 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector21 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array20);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math.linear.ArrayRealVector(realVector21);
    org.apache.commons.math.linear.RealVector realVector24 = realVector21.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector25 = new org.apache.commons.math.linear.ArrayRealVector(realVector21);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = arrayRealVector26.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector29 = arrayRealVector25.append(arrayRealVector26);
    java.text.NumberFormat numberFormat33 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat34 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat33);
    java.lang.String str35 = realVectorFormat34.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector38 = arrayRealVector36.mapSubtractToSelf(0.0d);
    java.lang.String str39 = realVectorFormat34.format((org.apache.commons.math.linear.RealVector)arrayRealVector36);
    double[] d_array40 = arrayRealVector36.getDataRef();
    double[] d_array43 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector45 = new org.apache.commons.math.linear.ArrayRealVector(realVector44);
    java.lang.String str46 = arrayRealVector45.toString();
    double[] d_array49 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector50 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array49);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector51 = new org.apache.commons.math.linear.ArrayRealVector(realVector50);
    org.apache.commons.math.linear.RealVector realVector53 = realVector50.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix54 = arrayRealVector45.outerProduct(realVector50);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector55 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector36, arrayRealVector45);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector56 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector29, (org.apache.commons.math.linear.RealVector)arrayRealVector36);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector57);
    java.lang.String str59 = arrayRealVector57.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector60 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector57);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector61 = arrayRealVector36.subtract((org.apache.commons.math.linear.RealVector)arrayRealVector60);
    int i62 = arrayRealVector36.getDimension();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector63 = arrayRealVector17.add((org.apache.commons.math.linear.RealVector)arrayRealVector36);
    double[] d_array66 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector67 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array66);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector68 = new org.apache.commons.math.linear.ArrayRealVector(realVector67);
    org.apache.commons.math.linear.RealVector realVector70 = realVector67.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector71 = new org.apache.commons.math.linear.ArrayRealVector(realVector67);
    double[] d_array74 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector75 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array74);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector76 = new org.apache.commons.math.linear.ArrayRealVector(realVector75);
    java.lang.String str77 = arrayRealVector76.toString();
    double[] d_array82 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector83 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array82);
    org.apache.commons.math.linear.RealVector realVector85 = realVector83.mapSubtract(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector86 = arrayRealVector76.combineToSelf(2.2250738585072014E-308d, 1.2952995656795021E29d, realVector85);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector87 = arrayRealVector71.append(arrayRealVector86);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector88 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector90 = arrayRealVector88.mapSubtractToSelf(0.0d);
    boolean b91 = arrayRealVector86.equals((java.lang.Object)arrayRealVector88);
    // The following exception was thrown during execution in test generation
    try {
      double d92 = arrayRealVector63.getDistance((org.apache.commons.math.linear.RealVector)arrayRealVector86);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + ""+ "'", str35.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "hi!"+ "'", str39.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "{1; -1}"+ "'", str46.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "{}"+ "'", str59.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "{1; -1}"+ "'", str77.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test380"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix2.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix10.getRowMatrix(1);
    double[] d_array15 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector16 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array15);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair18 = new org.apache.commons.math.optimization.RealPointValuePair(d_array15, 0.0d);
    double[] d_array19 = realPointValuePair18.getPointRef();
    org.apache.commons.math.linear.RealMatrix realMatrix20 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array19);
    org.apache.commons.math.optimization.linear.Relationship relationship22 = org.apache.commons.math.optimization.linear.Relationship.EQ;
    double[] d_array25 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair28 = new org.apache.commons.math.optimization.RealPointValuePair(d_array25, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector30 = new org.apache.commons.math.linear.ArrayRealVector(d_array25, false);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint32 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array19, 0.0d, relationship22, d_array25, 2.220446049250313E-16d);
    double[] d_array35 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector36 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array35);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array35);
    double[][] d_array_array38 = array2DRowRealMatrix37.getDataRef();
    double[][] d_array_array39 = array2DRowRealMatrix37.getDataRef();
    double[] d_array42 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector43 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array42);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array42);
    double[][] d_array_array45 = array2DRowRealMatrix44.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix37.subtract(array2DRowRealMatrix44);
    java.lang.String str47 = array2DRowRealMatrix44.toString();
    double[] d_array50 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector51 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array50);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix52 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array50);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix53 = array2DRowRealMatrix44.subtract(array2DRowRealMatrix52);
    double[] d_array55 = array2DRowRealMatrix52.getColumn(0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector56 = new org.apache.commons.math.linear.ArrayRealVector(d_array19, d_array55);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array55);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix58 = blockRealMatrix12.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix57);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str47.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test381"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array16);
    double[] d_array19 = array2DRowRealMatrix13.preMultiply(d_array16);
    double[][] d_array_array20 = array2DRowRealMatrix13.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix13.scalarMultiply(0.5358982356953318d);
    double[] d_array25 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array25);
    double[][] d_array_array28 = array2DRowRealMatrix27.getDataRef();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair34 = new org.apache.commons.math.optimization.RealPointValuePair(d_array31, 0.0d);
    double[] d_array35 = realPointValuePair34.getPointRef();
    double[] d_array36 = array2DRowRealMatrix27.preMultiply(d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector39 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector38);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector40);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector42 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector38, arrayRealVector41);
    arrayRealVector38.set(0.10218111879143155d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector45 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector46 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector45);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector48 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector47);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector49 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector45, arrayRealVector48);
    int i50 = arrayRealVector45.getMaxIndex();
    double d51 = arrayRealVector38.getLInfDistance((org.apache.commons.math.linear.RealVector)arrayRealVector45);
    double[] d_array52 = arrayRealVector38.toArray();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector53 = new org.apache.commons.math.linear.ArrayRealVector(d_array36, d_array52);
    double[] d_array54 = array2DRowRealMatrix13.operate(d_array36);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor55 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d60 = array2DRowRealMatrix13.walkInRowOrder(realMatrixPreservingVisitor55, 0, 35, (-906994533), 20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test382"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.0000001f, (java.lang.Number)(-1.0d), false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-1.0d)+ "'", number5.equals((-1.0d)));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test383"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix2.transpose();
    double d20 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship27 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array31 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint33 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array25, Double.POSITIVE_INFINITY, relationship27, d_array31, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math.linear.ArrayRealVector(d_array25, false);
    org.apache.commons.math.linear.RealVector realVector37 = arrayRealVector35.append(11.548739357257746d);
    blockRealMatrix23.setRowVector(0, realVector37);
    double[][] d_array_array39 = blockRealMatrix23.getData();
    double d40 = blockRealMatrix23.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix23);
    org.apache.commons.math.linear.MatrixUtils.checkRowIndex((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix2, 1);
    int i44 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = blockRealMatrix2.transpose();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array47 = blockRealMatrix2.getColumn((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix45);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test384"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix9.transpose();
    double[] d_array13 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector(realVector14);
    java.lang.String str16 = arrayRealVector15.toString();
    double[] d_array19 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math.linear.ArrayRealVector(realVector20);
    org.apache.commons.math.linear.RealVector realVector23 = realVector20.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = arrayRealVector15.outerProduct(realVector20);
    org.apache.commons.math.linear.RealVector realVector26 = arrayRealVector15.append(0.0d);
    java.text.NumberFormat numberFormat30 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat31 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat30);
    boolean b32 = arrayRealVector15.equals((java.lang.Object)numberFormat30);
    double[] d_array33 = arrayRealVector15.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix34 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array33);
    double[] d_array37 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector38 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array37);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix39 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array37);
    double[][] d_array_array40 = array2DRowRealMatrix39.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix42 = array2DRowRealMatrix39.scalarAdd(1.2626272556789118d);
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair48 = new org.apache.commons.math.optimization.RealPointValuePair(d_array45, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector50 = new org.apache.commons.math.linear.ArrayRealVector(d_array45, false);
    int i51 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    double[] d_array52 = array2DRowRealMatrix39.preMultiply(d_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector54 = new org.apache.commons.math.linear.ArrayRealVector(d_array33, d_array45);
    org.apache.commons.math.linear.RealMatrix realMatrix55 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array57 = blockRealMatrix9.preMultiply(d_array45);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "{1; -1}"+ "'", str16.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix55);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test385"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkFinite(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test386"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement12 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor7, 52, 0, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test387"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix2 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(0, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test388"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    int i13 = blockRealMatrix12.getRowDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix9.subtract(blockRealMatrix12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector16 = blockRealMatrix12.getColumnVector(96);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test389"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix2.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix10.getRowMatrix(1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix10, (-785855953), 1, (-4), (-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test390"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix7 = array2DRowRealMatrix4.scalarAdd(1.2626272556789118d);
    double[] d_array10 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector11 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array10);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair13 = new org.apache.commons.math.optimization.RealPointValuePair(d_array10, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector(d_array10, false);
    int i16 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double[] d_array17 = array2DRowRealMatrix4.preMultiply(d_array10);
    double d18 = array2DRowRealMatrix4.getFrobeniusNorm();
    double[] d_array21 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair24 = new org.apache.commons.math.optimization.RealPointValuePair(d_array21, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math.linear.ArrayRealVector(d_array21, false);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array21);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array28 = array2DRowRealMatrix4.operate(d_array21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test391"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    double d12 = blockRealMatrix6.getNorm();
    double d13 = blockRealMatrix6.getNorm();
    double d14 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix18 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d19 = blockRealMatrix18.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d23 = blockRealMatrix22.getFrobeniusNorm();
    double d24 = blockRealMatrix22.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix18.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix22.scalarAdd((-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix6.setRowMatrix(1650129271, (org.apache.commons.math.linear.RealMatrix)blockRealMatrix22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test392"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test393"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector(36, 4.61512051684126d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector3);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector5);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector3, arrayRealVector6);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = arrayRealVector2.append(arrayRealVector6);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector6.setEntry(901951979, 6.476497828397496E28d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test394"); }


    float f2 = org.apache.commons.math.util.FastMath.max(100.0f, Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test395"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 0.0d);
    double[] d_array12 = realPointValuePair11.getPointRef();
    double[] d_array13 = array2DRowRealMatrix4.preMultiply(d_array12);
    double[][] d_array_array14 = array2DRowRealMatrix4.getData();
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    double[][] d_array_array20 = array2DRowRealMatrix19.getDataRef();
    double[][] d_array_array21 = array2DRowRealMatrix19.getDataRef();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = array2DRowRealMatrix19.subtract(array2DRowRealMatrix26);
    int i29 = array2DRowRealMatrix28.getColumnDimension();
    double[] d_array32 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array32);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[][] d_array_array36 = array2DRowRealMatrix34.getDataRef();
    double[] d_array39 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array39);
    double[][] d_array_array42 = array2DRowRealMatrix41.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = array2DRowRealMatrix34.subtract(array2DRowRealMatrix41);
    double[] d_array46 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    org.apache.commons.math.linear.RealMatrix realMatrix48 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array46);
    double[] d_array49 = array2DRowRealMatrix43.preMultiply(d_array46);
    double[] d_array50 = array2DRowRealMatrix28.operate(d_array49);
    org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix4, (org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix28);
    int[] i_array53 = new int[] { 1 };
    int[] i_array55 = new int[] { 0 };
    double[] d_array58 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector59 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array58);
    double[][] d_array_array60 = new double[][] { d_array58 };
    org.apache.commons.math.linear.RealMatrix realMatrix61 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array60);
    array2DRowRealMatrix4.copySubMatrix(i_array53, i_array55, d_array_array60);
    double[] d_array65 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector66 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array65);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix67 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array65);
    double[][] d_array_array68 = array2DRowRealMatrix67.getDataRef();
    double[][] d_array_array69 = array2DRowRealMatrix67.getDataRef();
    double[] d_array72 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector73 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array72);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix74 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array72);
    double[][] d_array_array75 = array2DRowRealMatrix74.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix76 = array2DRowRealMatrix67.subtract(array2DRowRealMatrix74);
    int i77 = array2DRowRealMatrix76.getColumnDimension();
    org.apache.commons.math.linear.RealVector realVector79 = array2DRowRealMatrix76.getRowVector(0);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = array2DRowRealMatrix4.add(array2DRowRealMatrix76);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix83 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d84 = blockRealMatrix83.getFrobeniusNorm();
    double[][] d_array_array85 = blockRealMatrix83.getData();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix86 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array85);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix87 = array2DRowRealMatrix76.multiply(array2DRowRealMatrix86);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array85);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test396"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix9.transpose();
    int i11 = blockRealMatrix10.getColumnDimension();
    double[] d_array14 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array16);
    double[][] d_array_array18 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array16);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix10.add(blockRealMatrix19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test397"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.10218111879143155d, 0.270941486354136d, 1.5889162309301506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test398"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    int i14 = array2DRowRealMatrix13.getColumnDimension();
    org.apache.commons.math.linear.RealVector realVector16 = array2DRowRealMatrix13.getRowVector(0);
    int i17 = array2DRowRealMatrix13.getColumnDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix18 = array2DRowRealMatrix13.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix20 = array2DRowRealMatrix13.scalarAdd(0.015382871033603784d);
    org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix13.scalarMultiply(1.4142135623730951d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkRowIndex((org.apache.commons.math.linear.AnyMatrix)realMatrix22, 1650129271);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test399"); }


    org.apache.commons.math.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix(field0, 2117366879);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test400"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    openMapRealMatrix2.multiplyEntry(3, 36, 67.033d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    openMapRealMatrix7.addToEntry(0, 0, 0.0d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i15 = openMapRealMatrix14.getColumnDimension();
    int i16 = openMapRealMatrix14.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = openMapRealMatrix7.add(openMapRealMatrix14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkMatrixIndex((org.apache.commons.math.linear.AnyMatrix)openMapRealMatrix7, 4, 785855953);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix19);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test401"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    int i7 = array2DRowRealMatrix4.getRowDimension();
    double[] d_array10 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector11 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array10);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array10);
    double[][] d_array_array13 = array2DRowRealMatrix12.getDataRef();
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair19 = new org.apache.commons.math.optimization.RealPointValuePair(d_array16, 0.0d);
    double[] d_array20 = realPointValuePair19.getPointRef();
    double[] d_array21 = array2DRowRealMatrix12.preMultiply(d_array20);
    double[][] d_array_array22 = array2DRowRealMatrix12.getData();
    double d23 = array2DRowRealMatrix12.getFrobeniusNorm();
    double d24 = array2DRowRealMatrix12.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix25 = array2DRowRealMatrix4.multiply((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.0d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test402"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    int i2 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field4 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix5.getDataRef();
    int i7 = array2DRowFieldMatrix5.getRowDimension();
    org.apache.commons.math.Field field8 = array2DRowFieldMatrix5.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix9 = array2DRowFieldMatrix1.subtract(array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field8);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test403"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    double d19 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(10, 10);
    int i23 = blockRealMatrix22.getRowDimension();
    org.apache.commons.math.linear.RealVector realVector25 = blockRealMatrix22.getRowVector(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix26 = blockRealMatrix2.subtract(blockRealMatrix22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test404"); }


    org.apache.commons.math.linear.RealVector realVector0 = null;
    java.text.NumberFormat numberFormat4 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat4);
    java.lang.String str6 = realVectorFormat5.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = arrayRealVector7.mapSubtractToSelf(0.0d);
    java.lang.String str10 = realVectorFormat5.format((org.apache.commons.math.linear.RealVector)arrayRealVector7);
    double[] d_array11 = arrayRealVector7.getDataRef();
    double[] d_array14 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math.linear.ArrayRealVector(realVector15);
    java.lang.String str17 = arrayRealVector16.toString();
    double[] d_array20 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector21 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array20);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math.linear.ArrayRealVector(realVector21);
    org.apache.commons.math.linear.RealVector realVector24 = realVector21.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix25 = arrayRealVector16.outerProduct(realVector21);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector7, arrayRealVector16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math.linear.ArrayRealVector(realVector0, arrayRealVector7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "{1; -1}"+ "'", str17.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test405"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    int i2 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    int i4 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test406"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix6 = array2DRowFieldMatrix1.add(fieldMatrix5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test407"); }


    double[] d_array0 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship2 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint8 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array0, Double.POSITIVE_INFINITY, relationship2, d_array6, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(d_array0, false);
    org.apache.commons.math.linear.RealVector realVector12 = arrayRealVector10.append(11.548739357257746d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = arrayRealVector10.copy();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector13, true);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector16);
    double d18 = arrayRealVector17.getMinValue();
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction19 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector20 = arrayRealVector17.map(univariateFunction19);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector21 = arrayRealVector15.ebeDivide((org.apache.commons.math.linear.RealVector)arrayRealVector20);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector22);
    double[] d_array26 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector28 = new org.apache.commons.math.linear.ArrayRealVector(realVector27);
    org.apache.commons.math.linear.RealVector realVector30 = realVector27.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math.linear.ArrayRealVector(realVector27);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector32 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector34 = arrayRealVector32.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector35 = arrayRealVector31.append(arrayRealVector32);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector22, arrayRealVector35);
    java.util.Iterator iterator37 = arrayRealVector35.sparseIterator();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction39 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction((org.apache.commons.math.linear.RealVector)arrayRealVector35, Double.NaN);
    double d40 = linearObjectiveFunction39.getConstantTerm();
    org.apache.commons.math.linear.RealVector realVector41 = linearObjectiveFunction39.getCoefficients();
    org.apache.commons.math.linear.RealVector realVector42 = linearObjectiveFunction39.getCoefficients();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.ArrayRealVector arrayRealVector43 = arrayRealVector15.subtract(realVector42);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test408"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    java.lang.String str5 = array2DRowFieldMatrix1.toString();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array8);
    double[][] d_array_array11 = array2DRowRealMatrix10.getDataRef();
    double[] d_array14 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair17 = new org.apache.commons.math.optimization.RealPointValuePair(d_array14, 0.0d);
    double[] d_array18 = realPointValuePair17.getPointRef();
    double[] d_array19 = array2DRowRealMatrix10.preMultiply(d_array18);
    double[][] d_array_array20 = array2DRowRealMatrix10.getData();
    double[] d_array23 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector24 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array23);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[][] d_array_array27 = array2DRowRealMatrix25.getDataRef();
    double[] d_array30 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array30);
    double[][] d_array_array33 = array2DRowRealMatrix32.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = array2DRowRealMatrix25.subtract(array2DRowRealMatrix32);
    int i35 = array2DRowRealMatrix34.getColumnDimension();
    double[] d_array38 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array38);
    double[][] d_array_array41 = array2DRowRealMatrix40.getDataRef();
    double[][] d_array_array42 = array2DRowRealMatrix40.getDataRef();
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array45);
    double[][] d_array_array48 = array2DRowRealMatrix47.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix40.subtract(array2DRowRealMatrix47);
    double[] d_array52 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    org.apache.commons.math.linear.RealMatrix realMatrix54 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array52);
    double[] d_array55 = array2DRowRealMatrix49.preMultiply(d_array52);
    double[] d_array56 = array2DRowRealMatrix34.operate(d_array55);
    org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix10, (org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix34);
    int[] i_array59 = new int[] { 1 };
    int[] i_array61 = new int[] { 0 };
    double[] d_array64 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector65 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array64);
    double[][] d_array_array66 = new double[][] { d_array64 };
    org.apache.commons.math.linear.RealMatrix realMatrix67 = org.apache.commons.math.linear.MatrixUtils.createRealMatrix(d_array_array66);
    array2DRowRealMatrix10.copySubMatrix(i_array59, i_array61, d_array_array66);
    int[] i_array72 = new int[] { (-1), 100, 1 };
    org.apache.commons.math.FieldElement[] fieldElement_array73 = null;
    org.apache.commons.math.FieldElement[][] fieldElement_array_array74 = new org.apache.commons.math.FieldElement[][] { fieldElement_array73 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.copySubMatrix(i_array61, i_array72, fieldElement_array_array74);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str5.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array74);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test409"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array5 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    boolean b7 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.Field field8 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix9 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field8);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array10 = array2DRowFieldMatrix9.getDataRef();
    int i11 = array2DRowFieldMatrix9.getRowDimension();
    org.apache.commons.math.Field field12 = array2DRowFieldMatrix9.getField();
    int i13 = array2DRowFieldMatrix9.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix14 = array2DRowFieldMatrix1.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test410"); }


    double[][] d_array_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix((-1048576), 31, d_array_array2, false);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test411"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    double[] d_array3 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector4 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix5 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array3);
    double[][] d_array_array6 = array2DRowRealMatrix5.getDataRef();
    double[][] d_array_array7 = array2DRowRealMatrix5.getDataRef();
    double[] d_array10 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector11 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array10);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array10);
    double[][] d_array_array13 = array2DRowRealMatrix12.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix5.subtract(array2DRowRealMatrix12);
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    double[][] d_array_array20 = array2DRowRealMatrix19.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix12.subtract(array2DRowRealMatrix19);
    double[][] d_array_array22 = array2DRowRealMatrix19.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test412"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)4.220003313078636d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test413"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    int i3 = blockRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = blockRealMatrix2.walkInOptimizedOrder(realMatrixChangingVisitor4, (-127), (-127), (-532980225), 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test414"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.017453292447995462d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01745417855763632d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test415"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    double d19 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix2.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship27 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array31 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint33 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array25, Double.POSITIVE_INFINITY, relationship27, d_array31, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math.linear.ArrayRealVector(d_array25, false);
    org.apache.commons.math.linear.RealVector realVector37 = arrayRealVector35.append(11.548739357257746d);
    blockRealMatrix23.setRowVector(0, realVector37);
    double[][] d_array_array39 = blockRealMatrix23.getData();
    double d40 = blockRealMatrix23.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix23.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix43 = blockRealMatrix23.scalarMultiply(0.8842138921066355d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = blockRealMatrix20.add(blockRealMatrix23);
    // The following exception was thrown during execution in test generation
    try {
      double d47 = blockRealMatrix44.getEntry((-2109352879), 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix44);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.8433698833717787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.377222094214899d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test417"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test418"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.4E-45f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test419"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)(byte)(-1));
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix7 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d8 = blockRealMatrix7.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d12 = blockRealMatrix11.getFrobeniusNorm();
    double d13 = blockRealMatrix11.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix7.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix11);
    double d15 = blockRealMatrix7.getFrobeniusNorm();
    double[] d_array17 = blockRealMatrix7.getRow(0);
    boolean b18 = array2DRowFieldMatrix1.equals((java.lang.Object)0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldVector fieldVector20 = array2DRowFieldMatrix1.getColumnVector((-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test420"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-308d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test421"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.Field field8 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix9 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field8);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array10 = array2DRowFieldMatrix9.getDataRef();
    int i11 = array2DRowFieldMatrix9.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix12 = array2DRowFieldMatrix1.preMultiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test422"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.4142135623730951d, (-0.32146326725590796d), 11.152674297177025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test423"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    int i8 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix2.add(openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix9.copy();
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix10.multiplyEntry(2113930177, 20, 11013.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test424"); }


    org.apache.commons.math.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix(field0, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test425"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field4 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array6 = array2DRowFieldMatrix1.getRow(35);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field4);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test426"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    double[][] d_array_array12 = blockRealMatrix11.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d16 = blockRealMatrix15.getFrobeniusNorm();
    double[][] d_array_array17 = blockRealMatrix15.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix15.scalarAdd(4.61512051684126d);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = blockRealMatrix15.scalarMultiply(4.61512051684126d);
    java.lang.String str22 = blockRealMatrix15.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix11.multiply(blockRealMatrix15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "BlockRealMatrix{{0.0},{0.0},{0.0}}"+ "'", str22.equals("BlockRealMatrix{{0.0},{0.0},{0.0}}"));

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test427"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    double d10 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix12 = blockRealMatrix2.scalarMultiply(1.5707963267948966d);
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix2.scalarMultiply(0.0d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d20 = blockRealMatrix19.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix19.copy();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix15.setRowMatrix((-4), blockRealMatrix21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test428"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix21 = blockRealMatrix2.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor22 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d27 = blockRealMatrix2.walkInRowOrder(realMatrixPreservingVisitor22, 35, 20, 2117366879, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test429"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = blockRealMatrix6.getColumn(901951979);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test430"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    int i8 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix2.add(openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    org.apache.commons.math.linear.RealMatrix realMatrix11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix12 = openMapRealMatrix6.add(realMatrix11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix9);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test431"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.CompositeFormat.parseAndIgnoreWhitespace("{}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test432"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = array2DRowFieldMatrix1.add(array2DRowFieldMatrix4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test433"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.10101804543046455d, 0.0d, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test434"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix6.getColumnMatrix(0);
    org.apache.commons.math.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(10.0d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    openMapRealMatrix16.multiplyEntry(3, 36, 67.033d);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = openMapRealMatrix16.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix22 = blockRealMatrix11.add((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test435"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array16);
    double[] d_array19 = array2DRowRealMatrix13.preMultiply(d_array16);
    double[][] d_array_array20 = array2DRowRealMatrix13.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix13.scalarMultiply(0.5358982356953318d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix26 = blockRealMatrix25.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix25.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = blockRealMatrix25.createMatrix(1, 36);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix31 = blockRealMatrix25.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkMultiplicationCompatible((org.apache.commons.math.linear.AnyMatrix)realMatrix22, (org.apache.commons.math.linear.AnyMatrix)blockRealMatrix31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix31);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test436"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.149548905166106d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test437"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-11012.118626412981d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-630947.9207908651d));

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test438"); }


    long long2 = org.apache.commons.math.util.MathUtils.copySign(1L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test439"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    int i6 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement fieldElement7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix8 = array2DRowFieldMatrix1.scalarMultiply(fieldElement7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test440"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair5 = new org.apache.commons.math.optimization.RealPointValuePair(d_array2, 0.0d);
    double[] d_array6 = realPointValuePair5.getPointRef();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math.linear.ArrayRealVector(d_array6, false);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array6, 0.0d, false);
    double d12 = realPointValuePair11.getValue();
    double[] d_array13 = realPointValuePair11.getPoint();
    double[] d_array14 = realPointValuePair11.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test441"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    double d19 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix2.copy();
    int i21 = blockRealMatrix20.getRowDimension();
    double[] d_array25 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math.linear.RealMatrix realMatrix27 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array25);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix20.setRow(0, d_array25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test442"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    java.lang.String str5 = arrayRealVector4.toString();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(realVector9);
    org.apache.commons.math.linear.RealVector realVector12 = realVector9.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix13 = arrayRealVector4.outerProduct(realVector9);
    org.apache.commons.math.linear.RealVector realVector15 = arrayRealVector4.append(0.0d);
    java.text.NumberFormat numberFormat19 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat20 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat19);
    boolean b21 = arrayRealVector4.equals((java.lang.Object)numberFormat19);
    double d22 = arrayRealVector4.getMinValue();
    org.apache.commons.math.linear.RealVector realVector24 = arrayRealVector4.mapDivide((-0.1010180454312941d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{1; -1}"+ "'", str5.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test443"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(10.000001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test444"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 0.946963936374386d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test445"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    int i4 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = blockRealMatrix5.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship14 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array18 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint20 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array12, Double.POSITIVE_INFINITY, relationship14, d_array18, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math.linear.ArrayRealVector(d_array12, false);
    org.apache.commons.math.linear.RealVector realVector24 = arrayRealVector22.append(11.548739357257746d);
    blockRealMatrix10.setRowVector(0, realVector24);
    double[][] d_array_array26 = blockRealMatrix10.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix10.transpose();
    double[][] d_array_array28 = blockRealMatrix10.getData();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix5.setColumnMatrix(31, (org.apache.commons.math.linear.RealMatrix)blockRealMatrix10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test446"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship3 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array7 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint9 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array1, Double.POSITIVE_INFINITY, relationship3, d_array7, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint11 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array0, relationship3, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship15 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array19 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint21 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array13, Double.POSITIVE_INFINITY, relationship15, d_array19, 1.0d);
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array24);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint28 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array0, (-1.0d), relationship15, d_array24, 1.4210804127942926d);
    org.apache.commons.math.linear.RealVector realVector29 = linearConstraint28.getCoefficients();
    double d30 = linearConstraint28.getValue();
    double d31 = linearConstraint28.getValue();
    double d32 = linearConstraint28.getValue();
    double d33 = linearConstraint28.getValue();
    double d34 = linearConstraint28.getValue();
    double d35 = linearConstraint28.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 2.421080412794293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 2.421080412794293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 2.421080412794293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 2.421080412794293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 2.421080412794293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 2.421080412794293d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test447"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.Field field2 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field2);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix3.getDataRef();
    int i5 = array2DRowFieldMatrix3.getColumnDimension();
    boolean b7 = array2DRowFieldMatrix3.equals((java.lang.Object)"hi!");
    int i8 = array2DRowFieldMatrix3.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix1.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test448"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    int i3 = blockRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = blockRealMatrix2.walkInOptimizedOrder(realMatrixChangingVisitor4, 1, 0, (-2109352879), 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test449"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    java.lang.String str5 = arrayRealVector4.toString();
    int i6 = arrayRealVector4.getMinIndex();
    double[] d_array7 = arrayRealVector4.getDataRef();
    double[] d_array9 = new double[] { (-1.0d) };
    org.apache.commons.math.linear.RealMatrix realMatrix10 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array9);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair13 = new org.apache.commons.math.optimization.RealPointValuePair(d_array9, 1.2952995656795021E29d, false);
    double[] d_array14 = realPointValuePair13.getPoint();
    double[] d_array15 = realPointValuePair13.getPointRef();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math.linear.ArrayRealVector(d_array7, d_array15);
    double[] d_array20 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector21 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array20);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair23 = new org.apache.commons.math.optimization.RealPointValuePair(d_array20, 0.0d);
    double[] d_array24 = realPointValuePair23.getPointRef();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math.linear.ArrayRealVector(d_array24, false);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair29 = new org.apache.commons.math.optimization.RealPointValuePair(d_array24, 0.0d, false);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix30 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector16.setSubVector(31, d_array24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{1; -1}"+ "'", str5.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test450"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.01745417855763632d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13211426326342027d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test451"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math.FieldElement[] fieldElement_array7 = null;
    org.apache.commons.math.FieldElement[][] fieldElement_array_array8 = new org.apache.commons.math.FieldElement[][] { fieldElement_array7 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setSubMatrix(fieldElement_array_array8, 3, 96);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException");
    } catch (org.apache.commons.math.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array8);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test452"); }


    double[][] d_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix1 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test453"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0d, 0.09729105184615566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test454"); }


    org.apache.commons.math.optimization.linear.SimplexSolver simplexSolver0 = new org.apache.commons.math.optimization.linear.SimplexSolver();
    int i1 = simplexSolver0.getMaxIterations();
    simplexSolver0.setMaxIterations((-1));
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector4);
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(realVector9);
    org.apache.commons.math.linear.RealVector realVector12 = realVector9.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math.linear.ArrayRealVector(realVector9);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector17 = arrayRealVector13.append(arrayRealVector14);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector4, arrayRealVector17);
    java.util.Iterator iterator19 = arrayRealVector17.sparseIterator();
    org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction21 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction((org.apache.commons.math.linear.RealVector)arrayRealVector17, Double.NaN);
    double d22 = linearObjectiveFunction21.getConstantTerm();
    org.apache.commons.math.linear.RealVector realVector23 = linearObjectiveFunction21.getCoefficients();
    double[] d_array26 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair29 = new org.apache.commons.math.optimization.RealPointValuePair(d_array26, 0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix30 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array26);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array26);
    org.apache.commons.math.optimization.linear.Relationship relationship33 = org.apache.commons.math.optimization.linear.Relationship.GEQ;
    double[] d_array36 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector37 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array36);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair39 = new org.apache.commons.math.optimization.RealPointValuePair(d_array36, 0.0d);
    double[] d_array40 = realPointValuePair39.getPointRef();
    org.apache.commons.math.linear.RealMatrix realMatrix41 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array40);
    org.apache.commons.math.optimization.linear.Relationship relationship43 = org.apache.commons.math.optimization.linear.Relationship.EQ;
    double[] d_array46 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair49 = new org.apache.commons.math.optimization.RealPointValuePair(d_array46, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector51 = new org.apache.commons.math.linear.ArrayRealVector(d_array46, false);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint53 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array40, 0.0d, relationship43, d_array46, 2.220446049250313E-16d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint55 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array26, 0.9999999958776927d, relationship33, d_array40, 12.140446039082454d);
    double d56 = linearObjectiveFunction21.getValue(d_array40);
    java.util.Collection collection57 = null;
    org.apache.commons.math.optimization.GoalType goalType58 = org.apache.commons.math.optimization.GoalType.MAXIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.RealPointValuePair realPointValuePair60 = simplexSolver0.optimize(linearObjectiveFunction21, collection57, goalType58, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType58);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test455"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(7.629395E-6f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test456"); }


    org.apache.commons.math.FieldElement[] fieldElement_array2 = null;
    org.apache.commons.math.FieldElement[][] fieldElement_array_array3 = new org.apache.commons.math.FieldElement[][] { fieldElement_array2 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix5 = new org.apache.commons.math.linear.BlockFieldMatrix((-20), 10, fieldElement_array_array3, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array3);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test457"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    int i7 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test458"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.linear.LinearObjectiveFunction linearObjectiveFunction2 = new org.apache.commons.math.optimization.linear.LinearObjectiveFunction(d_array0, 0.015382870976174952d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test459"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign((-10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test460"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.749145808467651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test461"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    int i4 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = blockRealMatrix5.copy();
    double[] d_array10 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector11 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array10);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math.linear.ArrayRealVector(realVector11);
    java.lang.String str13 = arrayRealVector12.toString();
    int i14 = arrayRealVector12.getMinIndex();
    java.text.NumberFormat numberFormat18 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat19 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat18);
    java.lang.String str20 = realVectorFormat19.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector23 = arrayRealVector21.mapSubtractToSelf(0.0d);
    java.lang.String str24 = realVectorFormat19.format((org.apache.commons.math.linear.RealVector)arrayRealVector21);
    double[] d_array25 = arrayRealVector21.getDataRef();
    double d26 = arrayRealVector21.getMaxValue();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector12, arrayRealVector21);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix6.setRowVector(4, (org.apache.commons.math.linear.RealVector)arrayRealVector27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "{1; -1}"+ "'", str13.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test462"); }


    java.text.NumberFormat numberFormat3 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat3);
    java.lang.String str5 = realVectorFormat4.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector8 = arrayRealVector6.mapSubtractToSelf(0.0d);
    java.lang.String str9 = realVectorFormat4.format((org.apache.commons.math.linear.RealVector)arrayRealVector6);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector11 = arrayRealVector6.map(univariateFunction10);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector13 = arrayRealVector11.map(univariateFunction12);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector15);
    java.lang.String str17 = arrayRealVector15.toString();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector15);
    org.apache.commons.math.linear.RealVector realVector20 = arrayRealVector15.mapAddToSelf(1.7453292519943295d);
    org.apache.commons.math.linear.RealVector realVector22 = arrayRealVector15.mapSubtractToSelf(0.07360738289075448d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector23);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector25 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector25);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector23, arrayRealVector26);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector28 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector28);
    java.lang.String str30 = arrayRealVector28.toString();
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship35 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array39 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint41 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array33, Double.POSITIVE_INFINITY, relationship35, d_array39, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math.linear.ArrayRealVector(d_array33, false);
    org.apache.commons.math.linear.RealVector realVector45 = arrayRealVector43.append(11.548739357257746d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector46 = arrayRealVector28.combine(0.10218111879143155d, Double.NaN, (org.apache.commons.math.linear.RealVector)arrayRealVector43);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector47 = arrayRealVector27.add((org.apache.commons.math.linear.RealVector)arrayRealVector43);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector48 = new org.apache.commons.math.linear.ArrayRealVector((org.apache.commons.math.linear.RealVector)arrayRealVector47);
    double d49 = arrayRealVector15.dotProduct((org.apache.commons.math.linear.RealVector)arrayRealVector48);
    double[] d_array52 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector54 = new org.apache.commons.math.linear.ArrayRealVector(realVector53);
    org.apache.commons.math.linear.RealVector realVector56 = realVector53.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math.linear.ArrayRealVector(realVector53);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector60 = arrayRealVector58.mapSubtractToSelf(0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector61 = arrayRealVector57.append(arrayRealVector58);
    java.text.NumberFormat numberFormat65 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat66 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat65);
    java.lang.String str67 = realVectorFormat66.getSeparator();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector68 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector70 = arrayRealVector68.mapSubtractToSelf(0.0d);
    java.lang.String str71 = realVectorFormat66.format((org.apache.commons.math.linear.RealVector)arrayRealVector68);
    double[] d_array72 = arrayRealVector68.getDataRef();
    double[] d_array75 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector76 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array75);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector77 = new org.apache.commons.math.linear.ArrayRealVector(realVector76);
    java.lang.String str78 = arrayRealVector77.toString();
    double[] d_array81 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector82 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array81);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector83 = new org.apache.commons.math.linear.ArrayRealVector(realVector82);
    org.apache.commons.math.linear.RealVector realVector85 = realVector82.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix86 = arrayRealVector77.outerProduct(realVector82);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector87 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector68, arrayRealVector77);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector88 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector61, (org.apache.commons.math.linear.RealVector)arrayRealVector68);
    org.apache.commons.math.analysis.UnivariateFunction univariateFunction89 = null;
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector90 = arrayRealVector68.mapToSelf(univariateFunction89);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector91 = arrayRealVector48.ebeDivide((org.apache.commons.math.linear.RealVector)arrayRealVector68);
    double[] d_array92 = arrayRealVector68.toArray();
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector13.setSubVector((-532980225), d_array92);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "{}"+ "'", str17.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "{}"+ "'", str30.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + ""+ "'", str67.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "hi!"+ "'", str71.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "{1; -1}"+ "'", str78.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test463"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix3 = openMapRealMatrix2.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix4 = openMapRealMatrix3.copy();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = openMapRealMatrix4.getTrace();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix4);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test464"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test465"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.4210804127942924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1242758566925717d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test466"); }


    org.apache.commons.math.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector0, arrayRealVector3);
    double[] d_array5 = new double[] {  };
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship8 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array12 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint14 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array6, Double.POSITIVE_INFINITY, relationship8, d_array12, 1.0d);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint16 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array5, relationship8, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship20 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array24 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint26 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array18, Double.POSITIVE_INFINITY, relationship20, d_array24, 1.0d);
    double[] d_array29 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector30 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array29);
    org.apache.commons.math.linear.RealMatrix realMatrix31 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array29);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint33 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array5, (-1.0d), relationship20, d_array29, 1.4210804127942926d);
    org.apache.commons.math.linear.RealVector realVector34 = linearConstraint33.getCoefficients();
    double d35 = arrayRealVector4.getDistance(realVector34);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math.linear.ArrayRealVector();
    org.apache.commons.math.linear.RealVector realVector38 = arrayRealVector36.mapSubtractToSelf(0.0d);
    boolean b39 = arrayRealVector36.isInfinite();
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector40 = arrayRealVector4.ebeMultiply((org.apache.commons.math.linear.RealVector)arrayRealVector36);
    double[] d_array43 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array43);
    double[][] d_array_array46 = array2DRowRealMatrix45.getDataRef();
    double[][] d_array_array47 = array2DRowRealMatrix45.getDataRef();
    double[] d_array50 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector51 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array50);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix52 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array50);
    double[][] d_array_array53 = array2DRowRealMatrix52.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = array2DRowRealMatrix45.subtract(array2DRowRealMatrix52);
    double[] d_array57 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    org.apache.commons.math.linear.RealMatrix realMatrix59 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array57);
    double[] d_array60 = array2DRowRealMatrix54.preMultiply(d_array57);
    int i61 = org.apache.commons.math.util.MathUtils.hash(d_array60);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math.linear.ArrayRealVector(arrayRealVector4, d_array60);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair65 = new org.apache.commons.math.optimization.RealPointValuePair(d_array60, 93646.01489861733d, false);
    int i66 = org.apache.commons.math.util.MathUtils.hash(d_array60);
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    org.apache.commons.math.linear.MatrixDimensionMismatchException matrixDimensionMismatchException72 = new org.apache.commons.math.linear.MatrixDimensionMismatchException(0, 0, 0, 1);
    int i73 = matrixDimensionMismatchException72.getExpectedColumnDimension();
    int i74 = matrixDimensionMismatchException72.getWrongRowDimension();
    java.lang.Integer[] i_array75 = matrixDimensionMismatchException72.getExpectedDimensions();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)i66, localizable67, (java.lang.Object[])i_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array75);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test467"); }


    org.apache.commons.math.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math.linear.MatrixDimensionMismatchException(52, 785855953, 10, 10);
    java.lang.Integer[] i_array5 = matrixDimensionMismatchException4.getWrongDimensions();
    int i6 = matrixDimensionMismatchException4.getWrongRowDimension();
    java.lang.String str7 = matrixDimensionMismatchException4.toString();
    int i8 = matrixDimensionMismatchException4.getExpectedColumnDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.linear.MatrixDimensionMismatchException: got 52x785,855,953 but expected 10x10"+ "'", str7.equals("org.apache.commons.math.linear.MatrixDimensionMismatchException: got 52x785,855,953 but expected 10x10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 10);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test468"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.05823109416899832d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05819819083017831d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test469"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array5 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field6 = array2DRowFieldMatrix1.getField();
    boolean b7 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.FieldElement fieldElement10 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry(20, 0, fieldElement10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test470"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixChangingVisitor4, 31, 6, 4, (-1869155408));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test471"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix18.getData();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[][] d_array_array28 = array2DRowRealMatrix26.getDataRef();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[][] d_array_array34 = array2DRowRealMatrix33.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = array2DRowRealMatrix26.subtract(array2DRowRealMatrix33);
    double[] d_array38 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array38);
    double[][] d_array_array41 = array2DRowRealMatrix40.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = array2DRowRealMatrix33.subtract(array2DRowRealMatrix40);
    org.apache.commons.math.linear.RealMatrix realMatrix43 = array2DRowRealMatrix18.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix42);
    double[] d_array46 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array46);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[][] d_array_array50 = array2DRowRealMatrix48.getDataRef();
    double[] d_array53 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector54 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array53);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix55 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array53);
    double[][] d_array_array56 = array2DRowRealMatrix55.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = array2DRowRealMatrix48.subtract(array2DRowRealMatrix55);
    double[] d_array60 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector61 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array60);
    org.apache.commons.math.linear.RealMatrix realMatrix62 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array60);
    double[] d_array63 = array2DRowRealMatrix57.preMultiply(d_array60);
    double d64 = array2DRowRealMatrix57.getFrobeniusNorm();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = array2DRowRealMatrix42.subtract(array2DRowRealMatrix57);
    int i66 = array2DRowRealMatrix65.getColumnDimension();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor67 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d72 = array2DRowRealMatrix65.walkInColumnOrder(realMatrixChangingVisitor67, (-1869155408), (-785855953), 0, 96);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test472"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.FieldElement fieldElement5 = null;
    org.apache.commons.math.FieldElement[] fieldElement_array6 = new org.apache.commons.math.FieldElement[] { fieldElement5 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array7 = array2DRowFieldMatrix1.preMultiply(fieldElement_array6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array6);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test473"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getRowDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix8 = array2DRowFieldMatrix1.getColumnMatrix(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test474"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix18.getData();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair33 = new org.apache.commons.math.optimization.RealPointValuePair(d_array30, 0.0d);
    double[] d_array34 = realPointValuePair33.getPointRef();
    double[] d_array35 = array2DRowRealMatrix26.preMultiply(d_array34);
    double[][] d_array_array36 = array2DRowRealMatrix26.getData();
    double[] d_array39 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array39);
    double[][] d_array_array42 = array2DRowRealMatrix41.getDataRef();
    double[][] d_array_array43 = array2DRowRealMatrix41.getDataRef();
    double[] d_array46 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array46);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = array2DRowRealMatrix41.subtract(array2DRowRealMatrix48);
    int i51 = array2DRowRealMatrix50.getColumnDimension();
    double[] d_array54 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector55 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array54);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array54);
    double[][] d_array_array57 = array2DRowRealMatrix56.getDataRef();
    double[][] d_array_array58 = array2DRowRealMatrix56.getDataRef();
    double[] d_array61 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector62 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array61);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix63 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array61);
    double[][] d_array_array64 = array2DRowRealMatrix63.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = array2DRowRealMatrix56.subtract(array2DRowRealMatrix63);
    double[] d_array68 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector69 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array68);
    org.apache.commons.math.linear.RealMatrix realMatrix70 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array68);
    double[] d_array71 = array2DRowRealMatrix65.preMultiply(d_array68);
    double[] d_array72 = array2DRowRealMatrix50.operate(d_array71);
    org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix26, (org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix50);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix74 = array2DRowRealMatrix18.add(array2DRowRealMatrix50);
    java.io.ObjectOutputStream objectOutputStream75 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix74, objectOutputStream75);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix74);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test475"); }


    org.apache.commons.math.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix3 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix(field0, (-1023), 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test476"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    int i4 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array12);
    double[] d_array15 = blockRealMatrix13.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix5.setColumn((-4), d_array15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test477"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double d14 = array2DRowRealMatrix4.getNorm();
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    double[][] d_array_array20 = array2DRowRealMatrix19.getDataRef();
    double[][] d_array_array21 = array2DRowRealMatrix19.getDataRef();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = array2DRowRealMatrix19.subtract(array2DRowRealMatrix26);
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[][] d_array_array34 = array2DRowRealMatrix33.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = array2DRowRealMatrix26.subtract(array2DRowRealMatrix33);
    double[] d_array38 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array38);
    double[][] d_array_array41 = array2DRowRealMatrix40.getDataRef();
    double[][] d_array_array42 = array2DRowRealMatrix40.getDataRef();
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array45);
    double[][] d_array_array48 = array2DRowRealMatrix47.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix40.subtract(array2DRowRealMatrix47);
    java.lang.String str50 = array2DRowRealMatrix47.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix51 = array2DRowRealMatrix33.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix47);
    org.apache.commons.math.linear.RealMatrix realMatrix52 = array2DRowRealMatrix4.add(realMatrix51);
    double[] d_array55 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector56 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array55);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math.linear.ArrayRealVector(realVector56);
    java.lang.String str58 = arrayRealVector57.toString();
    double[] d_array61 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector62 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array61);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math.linear.ArrayRealVector(realVector62);
    org.apache.commons.math.linear.RealVector realVector65 = realVector62.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix66 = arrayRealVector57.outerProduct(realVector62);
    org.apache.commons.math.linear.RealVector realVector68 = arrayRealVector57.append(0.0d);
    java.text.NumberFormat numberFormat72 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat73 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat72);
    boolean b74 = arrayRealVector57.equals((java.lang.Object)numberFormat72);
    double[] d_array75 = arrayRealVector57.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix76 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array75);
    double[] d_array79 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector80 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array79);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix81 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array79);
    double[][] d_array_array82 = array2DRowRealMatrix81.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix84 = array2DRowRealMatrix81.scalarAdd(1.2626272556789118d);
    double[] d_array87 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector88 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array87);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair90 = new org.apache.commons.math.optimization.RealPointValuePair(d_array87, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector92 = new org.apache.commons.math.linear.ArrayRealVector(d_array87, false);
    int i93 = org.apache.commons.math.util.MathUtils.hash(d_array87);
    double[] d_array94 = array2DRowRealMatrix81.preMultiply(d_array87);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector96 = new org.apache.commons.math.linear.ArrayRealVector(d_array75, d_array87);
    double[] d_array97 = array2DRowRealMatrix4.preMultiply(d_array87);
    double[] d_array98 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array99 = array2DRowRealMatrix4.operate(d_array98);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str50.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "{1; -1}"+ "'", str58.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i93 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array97);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test478"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i3 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i7 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(100, 52);
    int i11 = openMapRealMatrix10.getColumnDimension();
    int i12 = openMapRealMatrix10.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix6.add(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix10.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.subtract(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix16);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix17);
    java.io.ObjectOutputStream objectOutputStream19 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix17, objectOutputStream19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test479"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(100.0f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test480"); }


    java.text.NumberFormat numberFormat4 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat4);
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat6 = new org.apache.commons.math.linear.RealVectorFormat(numberFormat4);
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = org.apache.commons.math.util.CompositeFormat.parseNumber("0-0hi!", numberFormat4, parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test481"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair11 = new org.apache.commons.math.optimization.RealPointValuePair(d_array8, 0.0d);
    double[] d_array12 = realPointValuePair11.getPointRef();
    double[] d_array13 = array2DRowRealMatrix4.preMultiply(d_array12);
    double[][] d_array_array14 = array2DRowRealMatrix4.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = blockRealMatrix15.scalarMultiply(2.1730492634188204E-15d);
    double[] d_array21 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair24 = new org.apache.commons.math.optimization.RealPointValuePair(d_array21, 0.0d);
    double[] d_array25 = realPointValuePair24.getPointRef();
    org.apache.commons.math.linear.RealMatrix realMatrix26 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array25);
    org.apache.commons.math.optimization.linear.Relationship relationship28 = org.apache.commons.math.optimization.linear.Relationship.EQ;
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair34 = new org.apache.commons.math.optimization.RealPointValuePair(d_array31, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math.linear.ArrayRealVector(d_array31, false);
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint38 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array25, 0.0d, relationship28, d_array31, 2.220446049250313E-16d);
    double[] d_array41 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    double[][] d_array_array44 = array2DRowRealMatrix43.getDataRef();
    double[][] d_array_array45 = array2DRowRealMatrix43.getDataRef();
    double[] d_array48 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector49 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array48);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array48);
    double[][] d_array_array51 = array2DRowRealMatrix50.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix52 = array2DRowRealMatrix43.subtract(array2DRowRealMatrix50);
    java.lang.String str53 = array2DRowRealMatrix50.toString();
    double[] d_array56 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector57 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array56);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix58 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array56);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = array2DRowRealMatrix50.subtract(array2DRowRealMatrix58);
    double[] d_array61 = array2DRowRealMatrix58.getColumn(0);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math.linear.ArrayRealVector(d_array25, d_array61);
    org.apache.commons.math.linear.RealVector realVector64 = arrayRealVector62.mapDivideToSelf(2.812644285236262E-103d);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix15.setColumnVector(4, (org.apache.commons.math.linear.RealVector)arrayRealVector62);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str53.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector64);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test482"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getDataRef();
    int i5 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix8 = array2DRowFieldMatrix1.add(array2DRowFieldMatrix7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test483"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.0052250343534246d, (-0.10101804543129411d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test484"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    int i2 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    int i4 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test485"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    double[][] d_array_array1 = array2DRowRealMatrix0.getData();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = array2DRowRealMatrix0.walkInOptimizedOrder(realMatrixPreservingVisitor2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array1);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test486"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double d14 = array2DRowRealMatrix4.getNorm();
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    double[][] d_array_array20 = array2DRowRealMatrix19.getDataRef();
    double[][] d_array_array21 = array2DRowRealMatrix19.getDataRef();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = array2DRowRealMatrix19.subtract(array2DRowRealMatrix26);
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[][] d_array_array34 = array2DRowRealMatrix33.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = array2DRowRealMatrix26.subtract(array2DRowRealMatrix33);
    double[] d_array38 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array38);
    double[][] d_array_array41 = array2DRowRealMatrix40.getDataRef();
    double[][] d_array_array42 = array2DRowRealMatrix40.getDataRef();
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array45);
    double[][] d_array_array48 = array2DRowRealMatrix47.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix40.subtract(array2DRowRealMatrix47);
    java.lang.String str50 = array2DRowRealMatrix47.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix51 = array2DRowRealMatrix33.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix47);
    org.apache.commons.math.linear.RealMatrix realMatrix52 = array2DRowRealMatrix4.add(realMatrix51);
    double[] d_array55 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector56 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array55);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math.linear.ArrayRealVector(realVector56);
    java.lang.String str58 = arrayRealVector57.toString();
    double[] d_array61 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector62 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array61);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math.linear.ArrayRealVector(realVector62);
    org.apache.commons.math.linear.RealVector realVector65 = realVector62.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix66 = arrayRealVector57.outerProduct(realVector62);
    org.apache.commons.math.linear.RealVector realVector68 = arrayRealVector57.append(0.0d);
    java.text.NumberFormat numberFormat72 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat73 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat72);
    boolean b74 = arrayRealVector57.equals((java.lang.Object)numberFormat72);
    double[] d_array75 = arrayRealVector57.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix76 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array75);
    double[] d_array79 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector80 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array79);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix81 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array79);
    double[][] d_array_array82 = array2DRowRealMatrix81.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix84 = array2DRowRealMatrix81.scalarAdd(1.2626272556789118d);
    double[] d_array87 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector88 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array87);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair90 = new org.apache.commons.math.optimization.RealPointValuePair(d_array87, 0.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector92 = new org.apache.commons.math.linear.ArrayRealVector(d_array87, false);
    int i93 = org.apache.commons.math.util.MathUtils.hash(d_array87);
    double[] d_array94 = array2DRowRealMatrix81.preMultiply(d_array87);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector96 = new org.apache.commons.math.linear.ArrayRealVector(d_array75, d_array87);
    double[] d_array97 = array2DRowRealMatrix4.preMultiply(d_array87);
    double d98 = array2DRowRealMatrix4.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str50.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "{1; -1}"+ "'", str58.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i93 == 2113930177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == 2.0d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test487"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix11.getData();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[][] d_array_array28 = array2DRowRealMatrix26.getDataRef();
    double[] d_array31 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[][] d_array_array34 = array2DRowRealMatrix33.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = array2DRowRealMatrix26.subtract(array2DRowRealMatrix33);
    double[] d_array38 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array38);
    double[][] d_array_array41 = array2DRowRealMatrix40.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = array2DRowRealMatrix33.subtract(array2DRowRealMatrix40);
    double[] d_array45 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array45);
    double[][] d_array_array48 = array2DRowRealMatrix47.getDataRef();
    double[][] d_array_array49 = array2DRowRealMatrix47.getDataRef();
    double[] d_array52 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array52);
    double[][] d_array_array55 = array2DRowRealMatrix54.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = array2DRowRealMatrix47.subtract(array2DRowRealMatrix54);
    java.lang.String str57 = array2DRowRealMatrix54.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix58 = array2DRowRealMatrix40.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix54);
    org.apache.commons.math.linear.RealVector realVector60 = array2DRowRealMatrix54.getRowVector(1);
    double d61 = array2DRowRealMatrix54.getFrobeniusNorm();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = array2DRowRealMatrix11.add(array2DRowRealMatrix54);
    org.apache.commons.math.linear.RealMatrix realMatrix63 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix64 = array2DRowRealMatrix11.subtract(realMatrix63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "Array2DRowRealMatrix{{1.0},{-1.0}}"+ "'", str57.equals("Array2DRowRealMatrix{{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix62);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test488"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double[] d_array4 = new double[] {  };
    org.apache.commons.math.optimization.linear.Relationship relationship6 = org.apache.commons.math.optimization.linear.Relationship.LEQ;
    double[] d_array10 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math.optimization.linear.LinearConstraint(d_array4, Double.POSITIVE_INFINITY, relationship6, d_array10, 1.0d);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math.linear.ArrayRealVector(d_array4, false);
    org.apache.commons.math.linear.RealVector realVector16 = arrayRealVector14.append(11.548739357257746d);
    blockRealMatrix2.setRowVector(0, realVector16);
    double[][] d_array_array18 = blockRealMatrix2.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix2.transpose();
    double[][] d_array_array20 = blockRealMatrix2.getData();
    double d21 = blockRealMatrix2.getFrobeniusNorm();
    double d22 = blockRealMatrix2.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkRowIndex((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix2, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 11.548739357257746d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test489"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    int i4 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix7 = blockRealMatrix5.scalarMultiply(1.4210804127942926d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector9 = blockRealMatrix5.getRowVector((-20));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test490"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array2);
    double[][] d_array_array5 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array6 = array2DRowRealMatrix4.getDataRef();
    double[] d_array9 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector10 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array9);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array9);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix11);
    double[] d_array16 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix11.subtract(array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix18.getData();
    double[] d_array24 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array24);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math.optimization.RealPointValuePair realPointValuePair33 = new org.apache.commons.math.optimization.RealPointValuePair(d_array30, 0.0d);
    double[] d_array34 = realPointValuePair33.getPointRef();
    double[] d_array35 = array2DRowRealMatrix26.preMultiply(d_array34);
    double[][] d_array_array36 = array2DRowRealMatrix26.getData();
    double[] d_array39 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array39);
    double[][] d_array_array42 = array2DRowRealMatrix41.getDataRef();
    double[][] d_array_array43 = array2DRowRealMatrix41.getDataRef();
    double[] d_array46 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array46);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = array2DRowRealMatrix41.subtract(array2DRowRealMatrix48);
    int i51 = array2DRowRealMatrix50.getColumnDimension();
    double[] d_array54 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector55 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array54);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array54);
    double[][] d_array_array57 = array2DRowRealMatrix56.getDataRef();
    double[][] d_array_array58 = array2DRowRealMatrix56.getDataRef();
    double[] d_array61 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector62 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array61);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix63 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array61);
    double[][] d_array_array64 = array2DRowRealMatrix63.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = array2DRowRealMatrix56.subtract(array2DRowRealMatrix63);
    double[] d_array68 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector69 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array68);
    org.apache.commons.math.linear.RealMatrix realMatrix70 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array68);
    double[] d_array71 = array2DRowRealMatrix65.preMultiply(d_array68);
    double[] d_array72 = array2DRowRealMatrix50.operate(d_array71);
    org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix26, (org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix50);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix74 = array2DRowRealMatrix18.add(array2DRowRealMatrix50);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor75 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d76 = array2DRowRealMatrix18.walkInRowOrder(realMatrixChangingVisitor75);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix74);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test491"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.0d, 0.01538044482321668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test492"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0f, 7.6293945E-6f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test493"); }


    java.text.NumberFormat numberFormat3 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math.linear.RealVectorFormat(numberFormat3);
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math.linear.RealVectorFormat("", "Array2DRowRealMatrix{{1.0},{-1.0}}", "org.apache.commons.math.linear.NonSquareMatrixException: non square (100x1) matrix", numberFormat3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.ArrayRealVector arrayRealVector7 = realVectorFormat5.parse("{}");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathParseException");
    } catch (org.apache.commons.math.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test494"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(100.000015f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.00002f);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test495"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(Float.NaN, 2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test496"); }


    double[] d_array2 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector3 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array2);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math.linear.ArrayRealVector(realVector3);
    java.lang.String str5 = arrayRealVector4.toString();
    double[] d_array8 = new double[] { 1.0d, (-1.0d) };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    org.apache.commons.math.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math.linear.ArrayRealVector(realVector9);
    org.apache.commons.math.linear.RealVector realVector12 = realVector9.mapAdd(2.2250738585072014E-308d);
    org.apache.commons.math.linear.RealMatrix realMatrix13 = arrayRealVector4.outerProduct(realVector9);
    org.apache.commons.math.linear.RealVector realVector15 = arrayRealVector4.append(0.0d);
    java.text.NumberFormat numberFormat19 = org.apache.commons.math.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math.linear.RealVectorFormat realVectorFormat20 = new org.apache.commons.math.linear.RealVectorFormat("", "hi!", "", numberFormat19);
    boolean b21 = arrayRealVector4.equals((java.lang.Object)numberFormat19);
    double[] d_array22 = arrayRealVector4.getDataRef();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array22);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor24 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d25 = array2DRowRealMatrix23.walkInRowOrder(realMatrixChangingVisitor24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{1; -1}"+ "'", str5.equals("{1; -1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test497"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d7 = blockRealMatrix6.getFrobeniusNorm();
    double d8 = blockRealMatrix6.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = blockRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix6);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix2.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix10.getRowMatrix(1);
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix12.scalarMultiply(4.898398434176588d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(1, 3);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = openMapRealMatrix17.copy();
    double[][] d_array_array19 = openMapRealMatrix18.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix12.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test498"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b4 = array2DRowFieldMatrix1.equals((java.lang.Object)11013.23292010332d);
    boolean b5 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement7 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test499"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(4.898398434176588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2132325757083433d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test500"); }


    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(3, 1);
    double d3 = blockRealMatrix2.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = blockRealMatrix2.copy();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = blockRealMatrix4.getColumn((-1869155408));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix4);

  }

}
